package javax.servlet;

import java.io.IOException;
import java.util.Enumeration;

public abstract class GenericServlet 
    implements Servlet, ServletConfig, java.io.Serializable {
    private transient ServletConfig config;

    public GenericServlet() { }
    
    public void destroy() {
	log("destroy");
    }
    
    public String getInitParameter(String name) {
	return getServletConfig().getInitParameter(name);
    }

    public Enumeration getInitParameterNames() {
	return getServletConfig().getInitParameterNames();
    }   
    
    public ServletConfig getServletConfig() {
	return config;
    }

    public ServletContext getServletContext() {
	return getServletConfig().getServletContext();
    }
    
    public String getServletInfo() {
	return "";
    }

    public void init(ServletConfig config) throws ServletException {
	this.config = config;
	log("init");
	this.init();
    }

    public void init() throws ServletException { }
 
    public void log(String msg) {
	getServletContext().log(getServletName() + ": "+ msg);
    }

    public void log(String message, Throwable t) {
	getServletContext().log(getServletName() + ": " + message, t);
    }

    public abstract void service(ServletRequest req, ServletResponse res)
	throws ServletException, IOException;

    public String getServletName() {
        return config.getServletName();
    }
}
