
        /**
 * JimBot - Java IM Bot
 * Copyright (C) 2006-2009 JimBot project
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package ru.jimbot.modules.chat;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStreamReader;
import java.util.HashMap;
import java.util.Properties;
import ru.jimbot.modules.AbstractProps;
import ru.jimbot.table.UserPreference;
import ru.jimbot.util.Log;
import ru.jimbot.util.MainProps;
/**
 *
 * @author Prolubnikov Dmitry
 */
public class ChatProps implements AbstractProps {
public static HashMap<String,ChatProps> props = new HashMap<String,ChatProps>();
public String PROPS_FILE = "";
private String PROPS_FOLDER = "";
public String ENCODING = "windows-1251";
public Properties appProps;
public Properties langProps;
public boolean isLoaded = false;
public ChatServer srv;
/** Creates a new instance of ChatProps */
public ChatProps() {
}

public static ChatProps getInstance(String name){
if(props.containsKey(name)) {
return props.get(name);
} else {
ChatProps p = new ChatProps();
p.PROPS_FILE = "./services/"+name+"/"+name+".xml";
p.PROPS_FOLDER = "./services/"+name;
p.setDefault();
p.load();
props.put(name, p);
return p;
}
}

//public static ChatProps getInstance(String name){
//if(props.containsKey(name)) {
//return props.get(name);
//} else {
//ChatProps p = new ChatProps();
//p.PROPS_FILE = "./services/chat/chat.xml";
//p.PROPS_FOLDER = "./services/chat";
//p.setDefault();
//p.load();
//props.put(name, p);
//return p;
//}
//}

public void setDefault() {
appProps = new Properties();

setIntProperty("conn.uinCount",1);
setStringProperty("conn.uin0","111");
setStringProperty("conn.pass0","Password");
//setStringProperty("admin.room","-1");
//setStringProperty("admin.id","1");
setIntProperty("chat.pauseOut",5000);
setBooleanProperty("chat.IgnoreOfflineMsg",true);
setIntProperty("chat.TempKick",10); // , 
setIntProperty("chat.ChangeStatusTime",60000);
setIntProperty("chat.ChangeStatusCount",5);
setBooleanProperty("chat.FreeReg",true); //    
setIntProperty("chat.MaxMsgSize",300); //     
setIntProperty("chat.MaxOutMsgSize",500);
setIntProperty("chat.MaxOutMsgCount",10);
//setIntProperty("icq.status",0/*Icq.STATUS_ONLINE*/);
//setIntProperty("icq.xstatus",0);
setStringProperty("icq.status1","0");
setStringProperty("icq.xstatus1","0");

//setIntProperty("icq.statusFlag",0);
setBooleanProperty("main.StartBot",false);
setIntProperty("bot.pauseIn",800); //  
setIntProperty("bot.pauseOut",800); //  
setIntProperty("bot.msgOutLimit",20); //   
setIntProperty("bot.pauseRestart",11*60*1000); //    
setStringProperty("bot.adminUIN","111111;222222");
setIntProperty("chat.autoKickTime",9);
setIntProperty("chat.autoKickTimeWarn",8);
setIntProperty("icq.AUTORETRY_COUNT",5);
setStringProperty("icq.STATUS_MESSAGE1","");
setStringProperty("icq.STATUS_MESSAGE2","");
setBooleanProperty("chat.ignoreMyMessage", true);
setBooleanProperty("chat.isAuthRequest", false);
setStringProperty("chat.badNicks","admin;");
//setStringProperty("adminbot1","[VIP]");
setStringProperty("pervo","JimBot Mod dimax & warik   !     !;-)");
setIntProperty("chat.defaultKickTime",5);
setIntProperty("chat.maxKickTime",300);
setIntProperty("chat.maxNickLenght",20);
setBooleanProperty("chat.showChangeUserStatus",true);
setBooleanProperty("chat.writeInMsgs",false);
setBooleanProperty("chat.writeAllMsgs",true);
//setBooleanProperty("adm.useAdmin",true);
//setBooleanProperty("adm.useMatFilter",true);
//setBooleanProperty("adm.useSayAdmin",true);
//setStringProperty("adm.matString",";;;;;;;;;;;;;;;;;;;;;;;");
//setStringProperty("adm.noMatString",";;;;;;;;;;;;;;;;");
//setIntProperty("adm.getStatTimeout",15);
//setIntProperty("adm.maxSayAdminCount",5);
//setIntProperty("adm.maxSayAdminTimeout",10);
//setIntProperty("adm.sayAloneTime",15);
//setIntProperty("adm.sayAloneProbability",20);
setStringProperty("auth.groups","user;poweruser;moder;admin;vip;hozm;hozw;modertime");
setStringProperty("auth.group_user","invite;kosty;status;smsbiling;rich;Searchnik;group_vip_sms;group_moder_sms;uin;game;pogoda;black_jack;adminstat;Anek;adminsay;whoinv;reg;polzovat;whouser;pmsg;reghist;room;TV");
setStringProperty("auth.group_poweruser","kosty;group_moder_sms;uin;black_jack;adminstat;dblnick;adminsay;whoinv;polzovat;pmsg;reghist;voting;invite;anyroom;smsbiling;status;exthelp;rich;group_vip_sms;Searchnik;pogoda;game;Anek;reg;whouser;TV;room");
setStringProperty("auth.group_moder","kosty;wroom;OpChat;uin;group_moder_sms;black_jack;adminstat;dblnick;info;chnick;adminsay;whoinv;kickhist;zakhist;polzovat;settheme;pmsg;reghist;voting;invise;invite;perevod;anyroom;smsbiling;status;exthelp;rich;ban_room;kickone;group_vip_sms;Searchnik;pogoda;game;setclan;Anek;reg;wedding;whouser;room;TV");
setStringProperty("auth.group_admin","kosty;wroom;group_moder_sms;uin;black_jack;dblnick;info;adminsay;chnick;whoinv;kickhist;chgkick;settheme;reghist;invise;ban;anyroom;status;smsbiling;exthelp;group_vip_sms;pogoda;setclan;uchat;addvict;TV;room;authread;OpChat;gift;adminstat;zakhist;banhist;polzovat;pmsg;voting;kickall;setpass;invite;perevod;ban_room;rich;Searchnik;kickone;game;Anek;moda;ubanhist;reg;wedding;whouser");
setStringProperty("auth.group_vip","kosty;OpChat;group_moder_sms;uin;black_jack;adminstat;dblnick;adminsay;zakhist;polzovat;pmsg;reghist;voting;invise;invite;perevod;anyroom;smsbiling;status;ban_room;rich;exthelp;Searchnik;group_vip_sms;pogoda;game;setclan;Anek;reg;wedding;whouser;TV;room");
setStringProperty("auth.group_hozm","kosty;wroom;uin;group_moder_sms;black_jack;dblnick;info;adminsay;chnick;cleanlog;whoinv;allroom_message;kickhist;clovo;chgkick;aban;settheme;reghist;invise;moder_time;ban;anyroom;status;smsbiling;exthelp;group_vip_sms;enter;pogoda;uchat;setclan;addvict;xstatus;anti_kik;akik;bot_message;TV;room;authread;gift;OpChat;adminstat;zakhist;banhist;polzovat;pmsg;voting;kickall;anti_ban;setpass;invite;perevod;restart;ball;ban_room;rich;kickone;Searchnik;game;chid;Anek;moda;ubanhist;authwrite;reg;wedding;whouser;messagi");
setStringProperty("auth.group_hozw","kosty;wroom;uin;group_moder_sms;black_jack;dblnick;info;adminsay;chnick;cleanlog;whoinv;allroom_message;kickhist;clovo;chgkick;aban;settheme;reghist;invise;moder_time;ban;anyroom;status;smsbiling;exthelp;group_vip_sms;enter;pogoda;uchat;setclan;addvict;xstatus;anti_kik;akik;bot_message;TV;room;authread;gift;OpChat;adminstat;zakhist;banhist;polzovat;pmsg;voting;kickall;anti_ban;setpass;invite;perevod;restart;ball;ban_room;rich;kickone;Searchnik;game;chid;Anek;moda;ubanhist;authwrite;reg;wedding;whouser;messagi");
setStringProperty("auth.group_modertime","kosty;OpChat;uin;group_moder_sms;black_jack;adminstat;dblnick;info;adminsay;whoinv;kickhist;zakhist;polzovat;settheme;pmsg;reghist;voting;invise;invite;perevod;anyroom;smsbiling;status;exthelp;ban_room;rich;group_vip_sms;kickone;Searchnik;pogoda;game;setclan;Anek;reg;wedding;whouser;room;TV");
//setBooleanProperty("main.checkNewVer",true);
//setStringProperty("main.newVerInfo","455227096");
//setStringProperty("main.newVerReport","111");
setStringProperty("privat2","chat;;..");
setBooleanProperty("privatzap", false);

setIntProperty("chat.MaxInviteTime",24);
setBooleanProperty("chat.NoDelContactList",false);
setIntProperty("chat.maxUserOnUin",7);
setStringProperty("chat.badSymNicks","");
setStringProperty("chat.goodSymNicks","");
setStringProperty("chat.delimiter",":");
setStringProperty("chat.inviteDescription","          .");
setIntProperty("chat.floodCountLimit",5);
setIntProperty("chat.floodTimeLimit",10);
setIntProperty("chat.floodTimeLimitNoReg",20);
setStringProperty("db.host","localhost:3306");
setStringProperty("db.user","root");
setStringProperty("db.pass","");
setStringProperty("db.dbname","botdb");
setBooleanProperty("chat.useCaptcha", false);
setBooleanProperty("chat.isUniqueNick", false);
setIntProperty("chat.maxNickChanged",99);
setBooleanProperty("chat.isShowKickReason", false);
setStringProperty("chat.lichnoe","111111;222222");
setStringProperty("chat.lichnoe.admin","111111;222222");
setStringProperty("chat.vixod","    ;-)<b>#BOT#: #BYE#!!! #NIK# [#ID#]");
setStringProperty("chat.vihod2","   ? 8-)  .");
setIntProperty("chat.vihod",-2);
setIntProperty("ochkiplus",1);
setIntProperty("ochkiminus",1);
setStringProperty("chat.vixod.vchat","#BOT# ()   #NIK# id ~#ID#~");
setStringProperty("chat.vxod.vchat","#BOT#     #NIK# id ~#ID#~");
setStringProperty("chat.vxod","#HI#<br> : #NIK#<br> id: #ID#<br>  icq #UIN#<br>   #GROUP#<br>  #BALLID#<br> #BALL#<br>  #BANK#<br> #AVT#<br>: #ACTIV#<br> : #PATRONS#<br>: #GUN#<br>: #+#%<br>: #BRONYA#<br>: #PRESTUP#<br>:#ODEGD#<br> : #AUTO#<br> : #DOM#<br> : #GIV#<br>  #ROOM# <br>  #TOPIC#<br>");
setStringProperty("vxod.room","#NIK# ()  ");
setStringProperty("vixod.room","#NIK# ()   #ROOM_IN#");
//setIntProperty("room.tyrma",-2);
setStringProperty("reg.text","   !<br>    !");
setStringProperty("reg.text.01","   !<br>    ! <> : ! <br>    !");
setStringProperty("vxod.text","      !.     !");
setStringProperty("vxod.text.01","       !. : ! <br>    !");
setBooleanProperty("rek.on.off", true);
setStringProperty("rek.text","=======<br>#REC#<br>=======");
setIntProperty("room.igra.bytilochka",1); //  
setIntProperty("room.igra.ryletka",1); //  
setIntProperty("room.igra.kazino",1); //  
setIntProperty("koll.igra.kazino",10);
setIntProperty("koll.ball",900000);
setIntProperty("koll.ball_2",900000);
setIntProperty("koll2.igra.kazino",5);
setBooleanProperty("pervoe", false);
setBooleanProperty("room.on.off", false);
setIntProperty("room.kol",20);
//setBooleanProperty("pokaz.id", false);
setStringProperty("chat.speaker", " #NIK# #svadba# [#ID#]#GROUP#:");
setStringProperty("reg.text.02","  .       !");
setStringProperty("reg.text.03"," ,      !");
setBooleanProperty("kik.ball.on.off", false);
setStringProperty("chat.time", "1251816319311");
setBooleanProperty("vic.ball1", false);
//  
setIntProperty("auto_status.time", 5 );
setBooleanProperty("auto_status.on.off", false);
setBooleanProperty("ball.grant.1.on.off", false);
setIntProperty("ball.grant.1",100);
setBooleanProperty("ball.grant.2.on.off", false);
setIntProperty("ball.grant.2",200);
setBooleanProperty("ball.grant.3.on.off", false);
setIntProperty("ball.grant.3",200);
setBooleanProperty("ball.grant.4.on.off", false);
setIntProperty("ball.grant.4",200);
setBooleanProperty("ball.grant.5.on.off", false);
setIntProperty("ball.grant.5",300);
setBooleanProperty("ball.grant.6.on.off", false);
setIntProperty("ball.grant.6",300);
setBooleanProperty("ball.grant.7.on.off", false);
setIntProperty("ball.grant.7",200);
setBooleanProperty("ball.grant.8.on.off", false);
setIntProperty("ball.grant.8",200);
setBooleanProperty("ball.grant.9.on.off", false);
setIntProperty("ball.grant.9",200);
setBooleanProperty("ball.grant.10.on.off", false);
setIntProperty("ball.grant.10",200);
setBooleanProperty("ball.grant.11.on.off", false);
setIntProperty("ball.grant.11",1500);
setBooleanProperty("ball.grant.12.on.off", false);
setIntProperty("ball.grant.12",2000);
setBooleanProperty("chat.lichnoe.on.off", false);
setBooleanProperty("chat.lichnoe.admin.on.off", false);
setBooleanProperty("dat.ball.on.off", true);
setBooleanProperty("dat.ball.on.off", true);
setBooleanProperty("vhod.in.chat", false);
setStringProperty("spisok1.text", " -  () () ");
setStringProperty("spisok2.text", " - |()()[] ");
setStringProperty("chat.a", "#ID# - #NIK##svadba# #BALLID#. ");
setStringProperty("chat.aa", "#ID# - #NIK##svadba# #BALLID#. ");
setBooleanProperty("group.on.off", false);
setBooleanProperty("useAnek.ball1.on.off", false);
setIntProperty("ads.BotAnekTime", 60);
setIntProperty("ads.BotAnekRoom", 0);
setIntProperty("chat.maxPMChanged", 10);
//setIntProperty("mag.mod",2000);
//setIntProperty("mag.adm",5000);
//setIntProperty("mag.vip",1000);
//setIntProperty("mag.room",5);
//setIntProperty("mag.reg",10);
//setIntProperty("mag.kick",140);
//setIntProperty("mag.ban",800);
//setIntProperty("mag.anti_kick",80);
//setIntProperty("mag.anti_ban",200);

setStringProperty("uin", " !");
setStringProperty("9", "   !,  !");
setStringProperty("8", "   !,  !");
setStringProperty("7", "   !,  !");
setStringProperty("6", "   !,  !");
//
setIntProperty("Clan.MaxCount",5);
setIntProperty("Clan.NameLenght",20);
setIntProperty("Clan.InfoLenght",60);
setIntProperty("Clan.Ball_1",1);
setIntProperty("Clan.Ball_2",1);
setIntProperty("Clan.Ball_3",100);

setIntProperty("about.user.long",15);
setIntProperty("about.age.min",10);
setIntProperty("about.age.max",50);
setStringProperty("about.user.bad", ">;<;);(;!;`;~;@;#;");
setIntProperty("about.user.st",15);

setIntProperty("salary.vip",30);
setIntProperty("salary.moder",50);
setIntProperty("salary.admin",100);

setIntProperty("games.room", 1); //  
setIntProperty("bay.room", 13); //  
setIntProperty("bay.cena.room", 300); // 
setIntProperty("bank.room", 50); // 
setIntProperty("bones.room", 1); //  
setIntProperty("bones.max", 30); //   
setIntProperty("bones.def", 10);
setIntProperty("casino.room", 1); //  
setIntProperty("casino.price", 2);
setIntProperty("casino.amount", 9);
setIntProperty("casino.win2", 25);
setIntProperty("casino.win3", 50);
setIntProperty("chat.TimePause1", 30000); //   
setBooleanProperty("chat.usepause1", false); //   
setIntProperty("chat.GameRoom1", 12); //   
setIntProperty("chat.MagRoom", 13);
setIntProperty("orugie.room", 10); // 
setBooleanProperty("room_str.on.off", false); //\    
setIntProperty("room.str",0); //  

setBooleanProperty("room_str.no.off", false); //\    
setIntProperty("room.no.str",0); //  
setIntProperty("immm.price",10000);
//
//// 
//setIntProperty("uron.hp.ES",10);
//setIntProperty("uron.hp.pcm",9);
//setIntProperty("uron.hp.pm",12);
//setIntProperty("uron.hp.uzi",17);
//setIntProperty("uron.hp.g3",22);
//setIntProperty("uron.hp.ak27",27);
//setIntProperty("uron.hp.aug",37);
//setIntProperty("uron.hp.SHOTGUN",32);
//setIntProperty("uron.hp.UMP45",19);
//setIntProperty("uron.hp.SCHMIDT",14);
//setIntProperty("uron.hp.KRIEG",44);
//setIntProperty("uron.hp.MAGNUM",49);
//setIntProperty("uron.hp.D3",52);
//setIntProperty("uron.hp.M249",59);
//// 
//
//setIntProperty("uron.bronya.ES",10);
//setIntProperty("uron.bronya.pcm",9);
//setIntProperty("uron.bronya.pm",12);
//setIntProperty("uron.bronya.uzi",17);
//setIntProperty("uron.bronya.g3",22);
//setIntProperty("uron.bronya.ak27",27);
//setIntProperty("uron.bronya.aug",37);
//setIntProperty("uron.bronya.SHOTGUN",32);
//setIntProperty("uron.bronya.UMP45",19);
//setIntProperty("uron.bronya.SCHMIDT",14);
//setIntProperty("uron.bronya.KRIEG",44);
//setIntProperty("uron.bronya.MAGNUM",49);
//setIntProperty("uron.bronya.D3",52);
//setIntProperty("uron.bronya.M249",59);
//
//// 
//setIntProperty("uron.money.ES",30);
//setIntProperty("uron.money.pcm",27);
//setIntProperty("uron.money.pm",36);
//setIntProperty("uron.money.uzi",56);
//setIntProperty("uron.money.g3",66);
//setIntProperty("uron.money.ak27",87);
//setIntProperty("uron.money.aug",120);
//setIntProperty("uron.money.SHOTGUN",96);
//setIntProperty("uron.money.UMP45",59);
//setIntProperty("uron.money.SCHMIDT",42);
//setIntProperty("uron.money.KRIEG",130);
//setIntProperty("uron.money.MAGNUM",150);
//setIntProperty("uron.money.D3",155);
//setIntProperty("uron.money.M249",180);
////
//setIntProperty("give.money.ES",60);
//setIntProperty("give.money.pcm",57);
//setIntProperty("give.money.pm",72);
//setIntProperty("give.money.uzi",102);
//setIntProperty("give.money.g3",112);
//setIntProperty("give.money.ak27",190);
//setIntProperty("give.money.aug",240);
//setIntProperty("give.money.SHOTGUN",189);
//setIntProperty("give.money.UMP45",118);
//setIntProperty("give.money.SCHMIDT",84);
//setIntProperty("give.money.KRIEG",260);
//setIntProperty("give.money.MAGNUM",300);
//setIntProperty("give.money.D3",305);
//setIntProperty("give.money.M249",360);
//// 
//setIntProperty("orugie.ES",750);
//setIntProperty("orugie.pcm",700);
//setIntProperty("orugie.pm",1000);
//setIntProperty("orugie.uzi",1500);
//setIntProperty("orugie.g3",2000);
//setIntProperty("orugie.ak27",2500);
//setIntProperty("orugie.aug",3500);
//setIntProperty("orugie.SHOTGUN",3000);
//setIntProperty("orugie.UMP45",1700);
//setIntProperty("orugie.SCHMIDT",1250);
//setIntProperty("orugie.KRIEG",4200);
//setIntProperty("orugie.MAGNUM",4750);
//setIntProperty("orugie.D3",5000);
//setIntProperty("orugie.M249",5750);
//// 
//
//setIntProperty("orug.ES",8);
//setIntProperty("orug.pcm",7);
//setIntProperty("orug.pm",10);
//setIntProperty("orug.uzi",15);
//setIntProperty("orug.g3",20);
//setIntProperty("orug.ak27",25);
//setIntProperty("orug.aug",35);
//setIntProperty("orug.SHOTGUN",30);
//setIntProperty("orug.UMP45",17);
//setIntProperty("orug.SCHMIDT",12);
//setIntProperty("orug.KRIEG",42);
//setIntProperty("orug.MAGNUM",47);
//setIntProperty("orug.D3",50);
//setIntProperty("orug.M249",57);

setIntProperty("kick.ball", 5); //   
setStringProperty("valuta.chat",".");
setIntProperty("aptecka.price", 2500); //
setIntProperty("aptecka.zdorove", 100); //
setIntProperty("s.price", 100); //
setIntProperty("s.zdorove", 10); //
setIntProperty("mag.string", 100); //
setIntProperty("mag.djeanse", 110); //
setIntProperty("mag.tigr", 80);
setIntProperty("mag.fish", 15);
setIntProperty("mag.vertolet", 1500);
setBooleanProperty("vzyatka.on.off", true); // 
setIntProperty("vzyatka", 500); // 
setIntProperty("vs.respect", 1); // 
setIntProperty("vs.antirespect", 1); // 
setIntProperty("room.rumushka", 1); //  
setIntProperty("room.orujie", 10); // 

////
//setIntProperty("orujie.cena", 300);
//setIntProperty("orujie.ochki", 30);
//setIntProperty("orujie.cena2", 310);
//setIntProperty("orujie.ochki2", 31);
//setIntProperty("orujie.cena3", 200);
//setIntProperty("orujie.ochki3", 20);
//setIntProperty("orujie.cena4", 350);
//setIntProperty("orujie.ochki4", 35);
//setIntProperty("orujie.cena5", 400);
//setIntProperty("orujie.ochki5", 40);
//setIntProperty("orujie.cena6", 370);
//setIntProperty("orujie.ochki6", 37);
//setIntProperty("orujie.cena7", 320);
//setIntProperty("orujie.ochki7", 32);
//setIntProperty("orujie.cena8", 500);
//setIntProperty("orujie.ochki8", 50);


setBooleanProperty("magprav.on.off", false);
setBooleanProperty("Priglashenie.on.off", false);
setStringProperty("chat.Priglashenie","111111;222222");
setBooleanProperty("chat.Rum", true); // 
setBooleanProperty("chat.Stavka", true); // 
setBooleanProperty("chat.Bones", true); // 
setBooleanProperty("chat.Casino", true); // 
setBooleanProperty("chat.Bytilochka", true); // 
setBooleanProperty("chat.Ryletka", true); // 
setIntProperty("ryletka.bonus", 10); //  
setStringProperty("list.group", "user,[];poweruser,[];modertime,[MOD];admin,[D];moder,[MOD];vip,[V.I.P];hozm,[];hozw,[]"); //
setStringProperty("list.grouprus", "user,;admin,;moder,;vip,;hozm,;hozw,"); //
setIntProperty("chislo.ryletka1", 6); // 
setIntProperty("chislo.kick.ryletka", 10); //  
////  
//setIntProperty("alcohol.konjak", 7);
//setIntProperty("alcohol.meri", 11);
//setIntProperty("alcohol.viski", 6);
//setIntProperty("alcohol.martini", 18);
//setIntProperty("alcohol.beer", 2);
//setIntProperty("alcohol.jaguar", 9);
//setIntProperty("alcohol.djin", 17);
//setIntProperty("alcohol.zum", 20);
//setIntProperty("alcohol.samogon", 38);
//setIntProperty("alcohol.schampan", 15);
//// 
//setIntProperty("money.konjak", 150);
//setIntProperty("money.meri", 137);
//setIntProperty("money.viski", 179);
//setIntProperty("money.martini", 200);
//setIntProperty("money.beer", 53);
//setIntProperty("money.jaguar", 48);
//setIntProperty("money.djin", 50);
//setIntProperty("money.zum", 20);
//setIntProperty("money.samogon", 70);
//setIntProperty("money.schampan", 100);
setIntProperty("reg.ball",50); //   
setIntProperty("sms.ball",1000); //   
setStringProperty("sms.ball.txt", "  1000  -     (    )   ( ).   ! pass,  pass      "); //   
setIntProperty("status", 20); //   
setIntProperty("roomkazino", 1); //
setIntProperty("bllimit",5);//  \

setIntProperty("bomba.ween",5);//  \
setIntProperty("bomba.hp",10);//  
setBooleanProperty("chat.bomba", true); // 
setIntProperty("orug.granata", 10); //+ 
setIntProperty("price.garanata",100);//  
setIntProperty("granat.lim",1);//  
setIntProperty("granata.uron.hp",11);


setIntProperty("chat.min.stav", 50);
setIntProperty("chat.max.stav", 5000);
setIntProperty("chat.ween.stav", 35);
setBooleanProperty("room_hold.on.off",false);
setIntProperty("room.hold",0);
//setIntProperty("uron.hp.rem",5);
//setIntProperty("uron.money.rem",5);
//setIntProperty("give.money.rem",10);
//setIntProperty("uron.hp.nog",6);
//setIntProperty("uron.money.nog",6);
//setIntProperty("give.money.nog",12);
//setIntProperty("uron.hp.sumka",7);
//setIntProperty("uron.money.sumka",7);
//setIntProperty("give.money.sumka",14);
//setIntProperty("uron.hp.kuvalda",8);
//setIntProperty("uron.money.kuvalda",8);
//setIntProperty("give.money.kuvalda",16);
//setIntProperty("uron.hp.povar",9);
//setIntProperty("uron.money.povar",9);
//setIntProperty("give.money.povar",18);
//setIntProperty("uron.hp.sapogi",10);
//setIntProperty("uron.money.sapogi",10);
//setIntProperty("give.money.sapogi",20);
//setIntProperty("uron.hp.scalka",11);
//setIntProperty("uron.money.scalka",11);
//setIntProperty("give.money.scalka",22);
//setIntProperty("orugie.rem",20);
//setIntProperty("orugie.nog",25);
//setIntProperty("orugie.sumka",30) ;
//setIntProperty("orugie.kuvalda",35) ;
//setIntProperty("orugie.povar",40) ;
//setIntProperty("orugie.sapogi",45) ;
//setIntProperty("orugie.scalka",50) ;
//
//setIntProperty("orug.rem",1);
//setIntProperty("orug.nog",2); 
//setIntProperty("orug.sumka",3); 
//setIntProperty("orug.kuvalda",4); 
//setIntProperty("orug.povar",5); 
//setIntProperty("orug.sapogi",6); 
//setIntProperty("orug.scalka",7);
setBooleanProperty("filter.on", true);
setBooleanProperty("filter.private.on", true);
setBooleanProperty("filter.automsg.on", true);
setBooleanProperty("filter.adm", true);
setBooleanProperty("filter.replace", true);
setStringProperty("filter.change", "[ ]");
setStringProperty("filter.change1", "   !!!    ICQ   ! <id>");

setStringProperty("filter.antiuin", ";;;;;;;;;;1;2;3;4;5;6;7;8;9;one;;;;;;odin;dva;tri;chetire;pyat;shest;sem;vosem;devyat;nol;;;uin");
setStringProperty("bot.nik", "");
setStringProperty("bot.nik.alt", "admin;");
setBooleanProperty("adm.useAdmin",true);
setBooleanProperty("invisbota", true);
setStringProperty("adminbot1","0 - ");
setStringProperty("privatbotu","  ?!   03!");
setBooleanProperty("adm.useMatFilter",true);
setStringProperty("adm.matString",";;;;;;;;;;;;;;;;;;;;;;;");
setStringProperty("adm.noMatString",";;;;;;;;;;;;;;;;");
setStringProperty("adm.warning"," ,  !!!");
setStringProperty("adm2.warning","   !!!");
setIntProperty("adm.maxwarning",3);
setBooleanProperty("adm.br",false);
setIntProperty("adm.BanRoom",666);
setIntProperty("adm.BanRoomTime",10);
setStringProperty("adm.UIN","111111;222222");
setIntProperty("adm.getStatTimeout",15);
setStringProperty("adm.statFlood","   (_*_)...  !!!");
setBooleanProperty("adm.useSayAdmin",true);
setIntProperty("adm.maxSayAdminCount",5);
setStringProperty("adm.Flood","!!!   !!!");
setIntProperty("adm.maxSayAdminTimeout",10);
setIntProperty("adm.sayAloneTime",15);
setIntProperty("adm.sayAloneProbability",20);
setBooleanProperty("adm.sayHI",true);
setStringProperty("adm.testHI",";;;;;;;;;;;hi");
setStringProperty("adm.getHI","*HI*;;;;*HI*;");
setBooleanProperty("adm.sayBYE",true);
setStringProperty("adm.testBYE",";;;; ; ");
setStringProperty("adm.getBYE","   *BYE*;   *BYE*; :-D");
setBooleanProperty("adm.sayNAME",true);
setStringProperty("adm.testNAME",";;");
setStringProperty("adm.getNAME","  -  ;      :);     :(;    ");
setBooleanProperty("adm.sayBYE",true);
setBooleanProperty("adm.sayChe",true);
setStringProperty("adm.testChe"," ; ; ; ; ; ; ; ");
setStringProperty("adm.getChe","    ...  ...  ...;    ...;  ...;...    ???;)");
setBooleanProperty("adm.sayKak",true);
setStringProperty("adm.testKak"," ; ; ; ; ; ; ");
setStringProperty("adm.getKak"," ...  ...     .....:(;   -  ,   ...:(;         ,      ... %);     ...  !!!; - .      :      :(;   ,   -    :-X;:); :(;-        ... :(");
setBooleanProperty("adm.sayPoc",true);
setStringProperty("adm.testPoc","");
setStringProperty("adm.getPoc"," , !;  ,  ,   !");
setBooleanProperty("adm.sayQue",true);
setStringProperty("adm.testQue",";;;;;;;;");
setStringProperty("adm.getQue","   !;   -   !!!;   ;   ?");
setBooleanProperty("adm.saySKD",true);
setStringProperty("adm.testSKD",";;;;;;;;;;;;;;;;");
setStringProperty("adm.getSKD","  !]:->; !!!]:->  !]:->;,   ?! !!!; !!!]:->; , !!!;    !!!");
setBooleanProperty("adm.sayHach",true);
setStringProperty("adm.testICQ","uin;icq");
setStringProperty("adm.getICQ","      ! <id >");
setStringProperty("bot.adminUIN","111111;222222");
setIntProperty("MatBall",10);
setIntProperty("adm.MatRoom",-1);
setStringProperty("adm.raz",":");
setStringProperty("adm.Vremya",";;;;");
setBooleanProperty("voting.on.off", true);
setIntProperty("voting.time", 1 );
setIntProperty("voting.kick.time", 30 );
setIntProperty("voting.count", 2 );
setStringProperty("filter.zap_simvol", ".;,;:;*;(;);!;@;#;%;';-;_;?;$;^;=;+;<;>");
//
setIntProperty("price.patron",5);
setIntProperty("ogr.patron",30);
setIntProperty("sms.moder.day",28);
setStringProperty("sms.txt","                ");
setStringProperty("sms.vip.txt","     VIP           ");
//
setBooleanProperty("chat.ring", true);
setBooleanProperty("chat.robo", true);
setIntProperty("ring.room",9);
setIntProperty("ring.hp",9);
setIntProperty("chat.BombTimer", 10);
//  
setIntProperty("room.child_ogr",88); //  
setIntProperty("room.child_chel",2); //    
setIntProperty("status.bomch",0);
setIntProperty("status.nich",0);
setIntProperty("status.sost",500);
setIntProperty("status.uvah",30000);
setIntProperty("status.vlia",50000);
setIntProperty("status.boga",100000);
setIntProperty("status.burc",500000);
setIntProperty("status.mill",1000000);
setIntProperty("status.magn",10000000);
setIntProperty("status.olig",1000000000);


//
setIntProperty("Alisa.sayAloneTime", 20);
setIntProperty("Alisa.UsageTime", 20);
setStringProperty("Alisa.delimiter", ">>");
//
setBooleanProperty("millioner.on.off", false);
setIntProperty("millioner.room", 1000 );
setIntProperty("millioner.game.in.day", 3 );
setIntProperty("millioner.question.time", 3 );
setIntProperty("millioner.not.consumed.1", 50 );
setIntProperty("millioner.not.consumed.2", 100 );
setIntProperty("millioner.not.consumed.3", 150 );
setIntProperty("games.naperstokroom", 0);
setIntProperty("games.besproigrishroom", 0);
setIntProperty("games.morelessroom", 0);
//////////////////////////////////
//////////////
setBooleanProperty("hospital.on.off",true);
setIntProperty("time.help", 10);
setIntProperty("zdorovmin", 10);
setIntProperty("help.zdorove", 20);
setIntProperty("room.hospital", 911);
setIntProperty("hospital.zdorove", 100);
///   
setIntProperty("max.money.bolshe", 4);
setIntProperty("max.money.besproigrash", 3);
setBooleanProperty("smsstat.on.off",false);
//setIntProperty("smsstat.vip", 2000);
//setIntProperty("smsstat.moder", 5000);
//setIntProperty("smsstat.admin", 10000);
//setIntProperty("smsstat.gladmin", 30000);
setStringProperty("smsstat.groups", "user,0;vip,5000;moder,1000;admin,25000;gladmin,100000");


setStringProperty("chat.lroom", " #ROOMID# - #ROOM# [#INROOM# .]");
//Informer
setBooleanProperty("adm.Informer",false);
setIntProperty("adm.Informer.time",5);
setStringProperty("rezdelitel","<br>-------");
setIntProperty("billing.days", 32);//     
setIntProperty("billing.days.minus", 1);
setBooleanProperty("billing.on.off",false);//   
setIntProperty("billing.id.system", -12321);//     
setIntProperty("billing.days.mess", 3);//       
setStringProperty("billing.message",".<br>     #DAYS# .<br>  .<br> #BILTAR#.<br> #BILREC#");//
setIntProperty("money.Informer.time", 360);//  
setIntProperty("billing.days.off.limited", -5);//    
setStringProperty("billing.rec","");//
setStringProperty("billing.tarif","");//

setIntProperty("billing.x", 0);
setBooleanProperty("billing.x.on.off", false);

setBooleanProperty("Questionnaire.on.off", true);
////////////////////////////////////////
setStringProperty("chat.name","");
setBooleanProperty("smsfin.on.off",false);
setStringProperty("word.room","8");
setBooleanProperty("word.on.off", false);
setBooleanProperty("word.help.on.off", false);
setIntProperty("word.ball", 10);
setIntProperty("word.time", 90000);
setStringProperty("sissms.text"," : ");//
setIntProperty("spam.timer", 1);
setBooleanProperty("clearuser",false);
setIntProperty("goroda_time", 3 );
setIntProperty("goroda_ball", 5 );
setIntProperty("race.max", 3);//fuel.max
setIntProperty("fuel.max", 3);
setIntProperty("room.racing", 3);
setBooleanProperty("adm.user",false);
setBooleanProperty("ball.of.joy.on.off", false);
//setIntProperty("icq.client", 0 );
setStringProperty("icq.client1","0");
setBooleanProperty("web.aware.on.off", false);
setBooleanProperty("wedding.floor.on.off", true);
setIntProperty("wedding.room", 7 );
setStringProperty("chat.svadba.2","(  #NIK#[#ID#])");
setStringProperty("chat.svadba.1","(  #NIK#[#ID#])");
setStringProperty("chat.svadba.00","(   #NIK#[#ID#])");
setBooleanProperty("wedding.interaktiv", true);
//
setIntProperty("suefa_room", 4 );
setIntProperty("min.ball", 10 );
setIntProperty("max.ball", 100 );
setBooleanProperty("slot", true);
setIntProperty("mest.free", 1);


setStringProperty("vic.room","10;11");
setBooleanProperty("vic.on.off", true);
setBooleanProperty("vic.on.off.n", true);
setIntProperty("vic.money", 10);
setIntProperty("vic.time", 50000);
setStringProperty("vic.game.time", "9;21");
setBooleanProperty("vic.time_game.on.off", false);
setIntProperty("vic.users.cnt", 10);
setBooleanProperty("vic.throwout.on.off", true);
setIntProperty("vic.throwout.room", 0);
setBooleanProperty("moder.room.on.off", true);
setBooleanProperty("private.one.room", true);
setBooleanProperty("private.rooms", false);

setStringProperty("help.id", "1;2;3;4;5;6;7;8");
setStringProperty("categori.txt", ";;  ;;;  ;;");
setStringProperty("help.txt", "osnova.txt;rank.txt;anketa.txt;users.txt;rooms.txt;fun.txt;admin.txt;system.txt");
setStringProperty("help.show"," ~ ");
setStringProperty("exthelp","7;8");
setBooleanProperty("help.on.off", false);

setStringProperty("time.chat.Greeting.0","6;11; "); //   1
setStringProperty("time.chat.Greeting.1","11;18; "); //   2
setStringProperty("time.chat.Greeting.2","18;24; "); //   3
setStringProperty("time.chat.Greeting.3","0;6; "); //   4

setStringProperty("time.chat.Greeting.4","6;11;"); //   1
setStringProperty("time.chat.Greeting.5","11;18; "); //   2
setStringProperty("time.chat.Greeting.6","18;24; "); //   3
setStringProperty("time.chat.Greeting.7","0;6; "); //   4
setIntProperty("no.msk", 0);
//setIntProperty("poyas", 0);

setBooleanProperty("al.srtip.on.off", false);
setIntProperty("Alisa.room", 0);

setBooleanProperty("imm.on.off", true);
setBooleanProperty("immm.on.off", false);

//
setBooleanProperty("otrezvitel.on.off",true);
setIntProperty("max.alc",50);
setIntProperty("time.alc",10);
setIntProperty("room.bomba",1);
setBooleanProperty("rank.vic.on.off",false);

//
setIntProperty("uin.col",5);
setStringProperty("sn.tarif","");
setBooleanProperty("war.clan.on.off",true);
setBooleanProperty("clearbid",false);
setIntProperty("bleckmax",100);


 setIntProperty("v.vybros",0);
 setIntProperty("v.vybrost",0);
setIntProperty("v.vybroskick",1);
setIntProperty("v.maxvybros", 5);
setIntProperty("v.maxvybrost", 5);
setIntProperty("v.antivybrosroom", 11);
 setIntProperty("v.vybros.age",500);
setStringProperty("v.vybrosr","@=, @=    @=!");

 setIntProperty("spams.timers",0);
  setIntProperty("spams.timer.dy",1);
  setBooleanProperty("close.chat",false);
  setStringProperty("close.chat.text","   ..");
    setStringProperty("close.uins","111111;222222");
    setStringProperty("rec.uins","111111;222222");

      setBooleanProperty("con.on.off",false);
}

private String[][] icqStatus = {{"0"," "},{"268435456","  "},{"10",""},
{"4",""},{"512","  "},{"256",""},{"2"," "},
{"32"," "},{"1",""},{"8193",""},{"24576",""},{"20480",""},
{"16384",""},{"12288",""}};

private String[][] icqXstatus = {{"0",""},{"1",""},{"2",""},{"3",""},
{"4",""},{"5",""},{"6",""},{"7",""},{"8",""},{"9",""},
{"10",""},{"11"," "},{"12",""},{"13",""},{"14",""},
{"15",""},{"16",""},{"17",""},{"18",""},{"19",""},{"20",""},
{"21",""},{"22",""},{"23",""},{"24",""},{"25",""},
{"26",""},{"27",""},{"28",""},{"29",""},{"30",""},
{"31",""},{"32",""},{"33",""},{"34",""},{"35",""},{"36",""}};



private String[][] icqClient = {{"0"," "},{"1","Miranda"},{"2","MacICQ"},
{"3","QIP 2005a"},{"4","QIP Infium"},{"5","QIP Mobile"},{"6","QIP PDA Symbian"},
{"7","QIP PDA Windows"},{"8","Licq"},{"9","mChat"},{"10","mIcq"},{"11","SIM"},
{"12","&RQ"},{"13","Sm@per"},{"14","D[i]Chat"},{"15","Qutim"},{"16","ICQ 6"},
{"17","bayan ICQ"},{"18","Mail Agent"},{"19","Kopete"},{"26","YAPP"},{"28","DICAAT"},{"29","MIPCLIENT"},
{"30","NAIM"},{"31","ICQJS7"}};



public UserPreference[] getDBPreference(){
UserPreference[] p = {
new UserPreference(UserPreference.CATEGORY_TYPE,"db", " mySQL",""),
new UserPreference(UserPreference.STRING_TYPE,"db.host"," ",getStringProperty("db.host")),
new UserPreference(UserPreference.STRING_TYPE,"db.user","",getStringProperty("db.user")),
new UserPreference(UserPreference.PASS_TYPE,"db.pass","",getStringProperty("db.pass")),
new UserPreference(UserPreference.STRING_TYPE,"db.dbname","  ",getStringProperty("db.dbname")),

new UserPreference(UserPreference.CATEGORY_TYPE,"BBb", "  ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"billing.on.off"," (   )",getBooleanProperty("billing.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"billing.id.system","  ",getIntProperty("billing.id.system")),

new UserPreference(UserPreference.CATEGORY_TYPE,"BBb2", "  XML",""),
new UserPreference(UserPreference.INTEGER_TYPE,"billing.x"," ",getIntProperty("billing.x")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"billing.x.on.off"," XML ",getBooleanProperty("billing.x.on.off")),

new UserPreference(UserPreference.CATEGORY_TYPE,"BBb3", " ",""),
new UserPreference(UserPreference.INTEGER_TYPE,"billing.days","  +",getIntProperty("billing.days")),
new UserPreference(UserPreference.INTEGER_TYPE,"billing.days.minus","  -",getIntProperty("billing.days.minus")),
new UserPreference(UserPreference.TEXTAREA_TYPE,"billing.message","",getStringProperty("billing.message")),
new UserPreference(UserPreference.STRING_TYPE,"billing.rec"," #BILREC#",getStringProperty("billing.rec")),
new UserPreference(UserPreference.STRING_TYPE,"billing.tarif"," #BILTAR#",getStringProperty("billing.tarif")),
new UserPreference(UserPreference.INTEGER_TYPE,"money.Informer.time","   () ",getIntProperty("money.Informer.time")),
new UserPreference(UserPreference.INTEGER_TYPE,"billing.days.mess","    #DAYS#",getIntProperty("billing.days.mess")),
new UserPreference(UserPreference.INTEGER_TYPE,"billing.days.off.limited","   ",getIntProperty("billing.days.off.limited")),

new UserPreference(UserPreference.CATEGORY_TYPE,"mainb", " ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"main.StartBot"," -",getBooleanProperty("main.StartBot")),
new UserPreference(UserPreference.CATEGORY_TYPE,"spec", " ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"clearuser"," !clearuser",getBooleanProperty("clearuser")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"clearbid","  ?",getBooleanProperty("clearbid")),





};
return p;
}

public UserPreference[] getUserPreference(){
UserPreference[] p = {
new UserPreference(UserPreference.CATEGORY_TYPE,"main", " ",""),
//new UserPreference(UserPreference.BOOLEAN_TYPE,"main.StartBot"," -",getBooleanProperty("main.StartBot")),

new UserPreference(UserPreference.STRING_TYPE,"bot.adminUIN"," uin",getStringProperty("bot.adminUIN")),

new UserPreference(UserPreference.BOOLEAN_TYPE,"Questionnaire.on.off","/    ",getBooleanProperty("Questionnaire.on.off")),
new UserPreference(UserPreference.STRING_TYPE,"chat.name"," ",getStringProperty("chat.name")),
//new UserPreference(UserPreference.BOOLEAN_TYPE,"main.checkNewVer","   ",getBooleanProperty("main.checkNewVer")),
//new UserPreference(UserPreference.STRING_TYPE,"main.newVerInfo"," ",getStringProperty("main.newVerInfo")),
//new UserPreference(UserPreference.STRING_TYPE,"main.newVerReport","UIN     ",getStringProperty("main.newVerReport")),
new UserPreference(UserPreference.SELECT_TYPE,"icq.status1","ICQ ",getStringProperty("icq.status1"),icqStatus),
new UserPreference(UserPreference.SELECT_TYPE,"icq.xstatus1","x- (0-37)",getStringProperty("icq.xstatus1"),icqXstatus),
new UserPreference(UserPreference.TEXTAREA_TYPE,"icq.STATUS_MESSAGE1"," x- 1",getStringProperty("icq.STATUS_MESSAGE1")),
new UserPreference(UserPreference.TEXTAREA_TYPE,"icq.STATUS_MESSAGE2"," x- 2",getStringProperty("icq.STATUS_MESSAGE2")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"ball.of.joy.on.off","  ",getBooleanProperty("ball.of.joy.on.off")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"web.aware.on.off","   (Web Aware)",getBooleanProperty("web.aware.on.off")),
new UserPreference(UserPreference.SELECT_TYPE,"icq.client1","ID icq ",getStringProperty("icq.client1"),icqClient),
new UserPreference(UserPreference.BOOLEAN_TYPE,"auto_status.on.off","/   x-status`",getBooleanProperty("auto_status.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"auto_status.time","  x-status`",getIntProperty("auto_status.time")),
new UserPreference(UserPreference.INTEGER_TYPE,"icq.AUTORETRY_COUNT","    ",getIntProperty("icq.AUTORETRY_COUNT")),
new UserPreference(UserPreference.INTEGER_TYPE,"bot.pauseIn","   ",getIntProperty("bot.pauseIn")),
new UserPreference(UserPreference.INTEGER_TYPE,"bot.pauseOut","   ",getIntProperty("bot.pauseOut")),
new UserPreference(UserPreference.INTEGER_TYPE,"bot.msgOutLimit","  ",getIntProperty("bot.msgOutLimit")),
new UserPreference(UserPreference.INTEGER_TYPE,"bot.pauseRestart","   ",getIntProperty("bot.pauseRestart")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"pervoe","   ",getBooleanProperty("pervoe")),
new UserPreference(UserPreference.STRING_TYPE,"pervo","  ",getStringProperty("pervo")),
new UserPreference(UserPreference.CATEGORY_TYPE,"chat", " ",""),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.floodCountLimit","  ",getIntProperty("chat.floodCountLimit")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.floodTimeLimit","  ()",getIntProperty("chat.floodTimeLimit")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.floodTimeLimitNoReg","    ()",getIntProperty("chat.floodTimeLimitNoReg")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.pauseOut","  ",getIntProperty("chat.pauseOut")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"chat.IgnoreOfflineMsg","  ",getBooleanProperty("chat.IgnoreOfflineMsg")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"chat.ignoreMyMessage","    ",getBooleanProperty("chat.ignoreMyMessage")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.TempKick","  ()",getIntProperty("chat.TempKick")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.ChangeStatusTime","  ",getIntProperty("chat.ChangeStatusTime")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.ChangeStatusCount","    ",getIntProperty("chat.ChangeStatusCount")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"chat.FreeReg"," ",getBooleanProperty("chat.FreeReg")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"chat.useCaptcha"," CAPTCHA  ",getBooleanProperty("chat.useCaptcha")),
new UserPreference(UserPreference.STRING_TYPE,"chat.inviteDescription","     ",getStringProperty("chat.inviteDescription")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.MaxInviteTime","   ()",getIntProperty("chat.MaxInviteTime")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.MaxMsgSize","   ",getIntProperty("chat.MaxMsgSize")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.MaxOutMsgSize","    ",getIntProperty("chat.MaxOutMsgSize")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.MaxOutMsgCount","    ",getIntProperty("chat.MaxOutMsgCount")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.autoKickTime","    ()",getIntProperty("chat.autoKickTime")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.autoKickTimeWarn","   ",getIntProperty("chat.autoKickTimeWarn")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"chat.isAuthRequest","   ",getBooleanProperty("chat.isAuthRequest")),
new UserPreference(UserPreference.STRING_TYPE,"chat.badNicks"," ",getStringProperty("chat.badNicks")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.maxNickChanged","    ",getIntProperty("chat.maxNickChanged")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.defaultKickTime","   ",getIntProperty("chat.defaultKickTime")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.maxKickTime","  ",getIntProperty("chat.maxKickTime")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.maxNickLenght","    ",getIntProperty("chat.maxNickLenght")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"chat.isUniqueNick","   ",getBooleanProperty("chat.isUniqueNick")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"chat.showChangeUserStatus"," -   ",getBooleanProperty("chat.showChangeUserStatus")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"chat.writeInMsgs","     ",getBooleanProperty("chat.writeInMsgs")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"chat.writeAllMsgs","    (   ..)",getBooleanProperty("chat.writeAllMsgs")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"chat.NoDelContactList","  -",getBooleanProperty("chat.NoDelContactList")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"slot","   ",getBooleanProperty("slot")),
new UserPreference(UserPreference.INTEGER_TYPE,"mest.free","",getIntProperty("mest.free")),
//new UserPreference(UserPreference.INTEGER_TYPE,"chat.maxUserOnUin","   1 ",getIntProperty("chat.maxUserOnUin")),
//new UserPreference(UserPreference.INTEGER_TYPE,"uin.col","   ",getIntProperty("uin.col")),
new UserPreference(UserPreference.STRING_TYPE,"chat.badSymNicks","   ",getStringProperty("chat.badSymNicks")),
new UserPreference(UserPreference.STRING_TYPE,"chat.goodSymNicks","   ",getStringProperty("chat.goodSymNicks")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"chat.isShowKickReason","   ",getBooleanProperty("chat.isShowKickReason")),
//new UserPreference(UserPreference.BOOLEAN_TYPE,"pokaz.id","     ",getBooleanProperty("pokaz.id")),
new UserPreference(UserPreference.STRING_TYPE,"chat.speaker","   ",getStringProperty("chat.speaker")),
new UserPreference(UserPreference.STRING_TYPE,"rezdelitel"," (<br>-------)",getStringProperty("rezdelitel")),
new UserPreference(UserPreference.CATEGORY_TYPE,"close", "",""),
new UserPreference(UserPreference.TEXTAREA_TYPE,"close.uins","    ",getStringProperty("close.uins")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"close.chat","   ?",getBooleanProperty("close.chat")),
new UserPreference(UserPreference.STRING_TYPE,"close.chat.text","   ",getStringProperty("close.chat.text")),

new UserPreference(UserPreference.CATEGORY_TYPE,"sss", "  ",""),
new UserPreference(UserPreference.INTEGER_TYPE,"spam.timer","  ",getIntProperty("spam.timer")),
new UserPreference(UserPreference.INTEGER_TYPE,"spams.timer.dy","( )  ",getIntProperty("spams.timer.dy")),

//new UserPreference(UserPreference.STRING_TYPE,"chat.delimiter","  ",getStringProperty("chat.delimiter")),
//new UserPreference(UserPreference.CATEGORY_TYPE,"db", " mySQL",""),
//new UserPreference(UserPreference.STRING_TYPE,"db.host"," ",getStringProperty("db.host")),
//new UserPreference(UserPreference.STRING_TYPE,"db.user","",getStringProperty("db.user")),
//new UserPreference(UserPreference.PASS_TYPE,"db.pass","",getStringProperty("db.pass")),
//new UserPreference(UserPreference.STRING_TYPE,"db.dbname","  ",getStringProperty("db.dbname"))
};
return p;
}

public UserPreference[] OtherUserPreference(){
UserPreference[] p = {
//
new UserPreference(UserPreference.CATEGORY_TYPE,"filter", " ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE, "filter.on", "    ", getBooleanProperty("filter.on")),
new UserPreference(UserPreference.BOOLEAN_TYPE, "filter.private.on", "     ", getBooleanProperty("filter.private.on")),
new UserPreference(UserPreference.BOOLEAN_TYPE, "filter.automsg.on", "  ", getBooleanProperty("filter.automsg.on")),
new UserPreference(UserPreference.BOOLEAN_TYPE, "filter.adm", "  ", getBooleanProperty("filter.adm")),
new UserPreference(UserPreference.STRING_TYPE,"rec.uins","  ",getStringProperty("rec.uins")),

new UserPreference(UserPreference.BOOLEAN_TYPE, "filter.replace", "   ", getBooleanProperty("filter.replace")),
new UserPreference(UserPreference.STRING_TYPE, "filter.change", ",    :", getStringProperty("filter.change")),
new UserPreference(UserPreference.STRING_TYPE, "filter.change1", " :", getStringProperty("filter.change1")),
new UserPreference(UserPreference.STRING_TYPE, "filter.antiuin", "    :", getStringProperty("filter.antiuin")),
new UserPreference(UserPreference.STRING_TYPE, "filter.zap_simvol", "   :", getStringProperty("filter.zap_simvol")),
//
//
new UserPreference(UserPreference.CATEGORY_TYPE,"auth", " ",""),
new UserPreference(UserPreference.STRING_TYPE,"auth.group_user"," ",getStringProperty("auth.group_user")),
new UserPreference(UserPreference.STRING_TYPE,"auth.group_poweruser","  ",getStringProperty("auth.group_poweruser")),
new UserPreference(UserPreference.STRING_TYPE,"auth.group_moder"," ",getStringProperty("auth.group_moder")),
new UserPreference(UserPreference.STRING_TYPE,"auth.group_admin"," ",getStringProperty("auth.group_admin")),
new UserPreference(UserPreference.STRING_TYPE,"auth.group_vip"," vip",getStringProperty("auth.group_vip")),
new UserPreference(UserPreference.STRING_TYPE,"auth.group_hozm"," ",getStringProperty("auth.group_hozm")),
new UserPreference(UserPreference.STRING_TYPE,"auth.group_hozw"," ",getStringProperty("auth.group_hozw")),
new UserPreference(UserPreference.STRING_TYPE,"auth.group_modertime","   ",getStringProperty("auth.group_modertime")),
//
new UserPreference(UserPreference.CATEGORY_TYPE,"rus", "",""),
new UserPreference(UserPreference.STRING_TYPE,"list.group","   (  )",getStringProperty("list.group")),
new UserPreference(UserPreference.STRING_TYPE,"list.grouprus","    ! ! ()",getStringProperty("list.grouprus")),
new UserPreference(UserPreference.CATEGORY_TYPE,"text", "  ",""),
new UserPreference(UserPreference.STRING_TYPE,"reg.text","-",getStringProperty("reg.text")),
new UserPreference(UserPreference.STRING_TYPE,"reg.text.01","-",getStringProperty("reg.text.01")),
new UserPreference(UserPreference.STRING_TYPE,"vxod.text","-",getStringProperty("vxod.text")),
new UserPreference(UserPreference.STRING_TYPE,"vxod.text.01","-",getStringProperty("vxod.text.01")),
new UserPreference(UserPreference.STRING_TYPE,"reg.text.02","-",getStringProperty("reg.text.02")),
new UserPreference(UserPreference.STRING_TYPE,"reg.text.03","-",getStringProperty("reg.text.03")),
// 
new UserPreference(UserPreference.CATEGORY_TYPE,"room", "  ",""),
new UserPreference(UserPreference.INTEGER_TYPE,"room.child_ogr","  ",getIntProperty("room.child_ogr")),
new UserPreference(UserPreference.INTEGER_TYPE,"room.child_chel","    ",getIntProperty("room.child_chel")),
//  
new UserPreference(UserPreference.CATEGORY_TYPE,"text", "    ",""),
new UserPreference(UserPreference.TEXTAREA_TYPE,"chat.vxod","   - ",getStringProperty("chat.vxod")),
//new UserPreference(UserPreference.TEXTAREA_TYPE,"icq.STATUS_MESSAGE2"," x- 2",getStringProperty("icq.STATUS_MESSAGE2"),true),
new UserPreference(UserPreference.STRING_TYPE,"chat.vxod.vchat","   - ",getStringProperty("chat.vxod.vchat")),
new UserPreference(UserPreference.STRING_TYPE,"chat.vixod.vchat","   - ",getStringProperty("chat.vixod.vchat")),
new UserPreference(UserPreference.TEXTAREA_TYPE,"chat.vixod","   - ",getStringProperty("chat.vixod")),
new UserPreference(UserPreference.STRING_TYPE,"vxod.room","     ",getStringProperty("vxod.room")),
new UserPreference(UserPreference.STRING_TYPE,"vixod.room","     ",getStringProperty("vixod.room")),
//
new UserPreference(UserPreference.CATEGORY_TYPE,"spisok", "  ",""),
new UserPreference(UserPreference.STRING_TYPE,"spisok1.text","  +:",getStringProperty("spisok1.text")),
new UserPreference(UserPreference.STRING_TYPE,"chat.a","  +:",getStringProperty("chat.a")),
new UserPreference(UserPreference.STRING_TYPE,"spisok2.text","  + :",getStringProperty("spisok2.text")),
new UserPreference(UserPreference.STRING_TYPE,"chat.aa","  + :",getStringProperty("chat.aa")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"group.on.off","/   ",getBooleanProperty("group.on.off")),
new UserPreference(UserPreference.CATEGORY_TYPE,"spisokroom", " ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"vhod.in.chat","    ",getBooleanProperty("vhod.in.chat")),
new UserPreference(UserPreference.STRING_TYPE,"chat.lroom","   ! :",getStringProperty("chat.lroom")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"private.rooms"," !   ",getBooleanProperty("private.rooms")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.vihod","     ",getIntProperty("chat.vihod")),
new UserPreference(UserPreference.STRING_TYPE,"chat.vihod2","        ",getStringProperty("chat.vihod2")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"room.on.off","/ ",getBooleanProperty("room.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"room.kol","  !",getIntProperty("room.kol")),
// 
new UserPreference(UserPreference.CATEGORY_TYPE,"wedding", " :",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"wedding.floor.on.off","/  .",getBooleanProperty("wedding.floor.on.off")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"wedding.interaktiv","/  .",getBooleanProperty("wedding.interaktiv")),
new UserPreference(UserPreference.INTEGER_TYPE,"wedding.room",".",getIntProperty("wedding.room")),
new UserPreference(UserPreference.STRING_TYPE,"chat.svadba.2"," ",getStringProperty("chat.svadba.2")),
new UserPreference(UserPreference.STRING_TYPE,"chat.svadba.1"," ",getStringProperty("chat.svadba.1")),
new UserPreference(UserPreference.STRING_TYPE,"chat.svadba.00"," !  ",getStringProperty("chat.svadba.00")),
// 
new UserPreference(UserPreference.CATEGORY_TYPE,"AboutUser", "  ",""),
new UserPreference(UserPreference.INTEGER_TYPE,"about.user.long","    .",getIntProperty("about.user.long")),
new UserPreference(UserPreference.INTEGER_TYPE,"about.age.min"," .",getIntProperty("about.age.min")),
new UserPreference(UserPreference.INTEGER_TYPE,"about.age.max"," .",getIntProperty("about.age.max")),
new UserPreference(UserPreference.STRING_TYPE,"about.user.bad"," ",getStringProperty("about.user.bad")),
//  
new UserPreference(UserPreference.CATEGORY_TYPE,"st", "  ", ""),
new UserPreference(UserPreference.INTEGER_TYPE,"about.user.st"," .",getIntProperty("about.user.st")),
//
new UserPreference(UserPreference.CATEGORY_TYPE,"lich", "   ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"privatzap","      ",getBooleanProperty("privatzap")),
new UserPreference(UserPreference.STRING_TYPE,"privat2","   :",getStringProperty("privat2")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"chat.lichnoe.on.off","  ",getBooleanProperty("chat.lichnoe.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"chat.maxPMChanged","     ",getIntProperty("chat.maxPMChanged")),
new UserPreference(UserPreference.STRING_TYPE,"chat.lichnoe","   ",getStringProperty("chat.lichnoe")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"chat.lichnoe.admin.on.off","  ",getBooleanProperty("chat.lichnoe.admin.on.off")),
new UserPreference(UserPreference.STRING_TYPE,"chat.lichnoe.admin","   ",getStringProperty("chat.lichnoe.admin")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"Priglashenie.on.off","/  .",getBooleanProperty("Priglashenie.on.off")),
new UserPreference(UserPreference.STRING_TYPE,"chat.Priglashenie","   .",getStringProperty("chat.Priglashenie")),
new UserPreference(UserPreference.CATEGORY_TYPE,"sissms", " ",""),
new UserPreference(UserPreference.STRING_TYPE,"sissms.text","",getStringProperty("sissms.text")),
//
new UserPreference(UserPreference.CATEGORY_TYPE,"reklama", "  ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"rek.on.off","    ",getBooleanProperty("rek.on.off")),
new UserPreference(UserPreference.CATEGORY_TYPE,"REC", "    #REC#",""),
new UserPreference(UserPreference.STRING_TYPE,"rek.text","  ",getStringProperty("rek.text")),

// 
new UserPreference(UserPreference.CATEGORY_TYPE,"voting", " ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"voting.on.off","/   ",getBooleanProperty("voting.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"voting.time"," (.)",getIntProperty("voting.time")),
new UserPreference(UserPreference.INTEGER_TYPE,"voting.kick.time","    (.)",getIntProperty("voting.kick.time")),
new UserPreference(UserPreference.INTEGER_TYPE,"voting.count","      ",getIntProperty("voting.count")),
// 

new UserPreference(UserPreference.CATEGORY_TYPE,"clan", " ",""),
new UserPreference(UserPreference.INTEGER_TYPE,"Clan.MaxCount","  ",getIntProperty("Clan.MaxCount")),
new UserPreference(UserPreference.INTEGER_TYPE,"Clan.NameLenght","   ",getIntProperty("Clan.NameLenght")),
new UserPreference(UserPreference.INTEGER_TYPE,"Clan.InfoLenght","   ",getIntProperty("Clan.InfoLenght")),
new UserPreference(UserPreference.INTEGER_TYPE,"Clan.Ball_1","  (/)   (/) ",getIntProperty("Clan.Ball_1")),
new UserPreference(UserPreference.INTEGER_TYPE,"Clan.Ball_2","       +",getIntProperty("Clan.Ball_2")),
new UserPreference(UserPreference.INTEGER_TYPE,"Clan.Ball_3","      ",getIntProperty("Clan.Ball_3")),
new UserPreference(UserPreference.CATEGORY_TYPE,"helps", "!( )",""),
new UserPreference(UserPreference.STRING_TYPE,"help.id"," ID",getStringProperty("help.id")),
new UserPreference(UserPreference.STRING_TYPE,"exthelp","exthelp",getStringProperty("exthelp")),
new UserPreference(UserPreference.STRING_TYPE,"categori.txt","",getStringProperty("categori.txt")),
new UserPreference(UserPreference.STRING_TYPE,"help.txt"," ",getStringProperty("help.txt")),
new UserPreference(UserPreference.STRING_TYPE,"help.show","",getStringProperty("help.show")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"help.on.off","   ",getBooleanProperty("help.on.off")),
};
return p;
}

public UserPreference[] NewUserPreference(){
UserPreference[] p = {
    new UserPreference(UserPreference.CATEGORY_TYPE,"intelect", " IQ ",""),

new UserPreference(UserPreference.CATEGORY_TYPE,"word", " ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"word.on.off","/ ",getBooleanProperty("word.on.off")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"word.help.on.off","/ ",getBooleanProperty("word.help.on.off")),
new UserPreference(UserPreference.STRING_TYPE,"word.room", "    ", getStringProperty("word.room")),
new UserPreference(UserPreference.INTEGER_TYPE,"word.ball","    ",getIntProperty("word.ball")),
new UserPreference(UserPreference.INTEGER_TYPE,"word.time"," ",getIntProperty("word.time")),


//
new UserPreference(UserPreference.CATEGORY_TYPE,"victorina", " :",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"vic.on.off","/ .",getBooleanProperty("vic.on.off")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"vic.time_game.on.off","/  .",getBooleanProperty("vic.time_game.on.off")),
new UserPreference(UserPreference.STRING_TYPE,"vic.game.time", " .", getStringProperty("vic.game.time")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"vic.throwout.on.off", "       .", getBooleanProperty("vic.throwout.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"vic.throwout.room","       .",getIntProperty("vic.throwout.room")),
new UserPreference(UserPreference.INTEGER_TYPE,"vic.users.cnt"," .  .",getIntProperty("vic.users.cnt")),
new UserPreference(UserPreference.STRING_TYPE,"vic.room", "    .", getStringProperty("vic.room")),
new UserPreference(UserPreference.INTEGER_TYPE,"vic.money","    .",getIntProperty("vic.money")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"rank.vic.on.off", "  ", getBooleanProperty("rank.vic.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"vic.time"," .",getIntProperty("vic.time")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"vic.on.off.n","  .",getBooleanProperty("vic.on.off.n")),

new UserPreference(UserPreference.CATEGORY_TYPE,"prava", "    ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"vic.ball1", "    ", getBooleanProperty("vic.ball1")),
// 

new UserPreference(UserPreference.BOOLEAN_TYPE,"ball.grant.1.on.off","  ",getBooleanProperty("ball.grant.1.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"ball.grant.1"," ",getIntProperty("ball.grant.1")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"ball.grant.2.on.off","    ",getBooleanProperty("ball.grant.2.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"ball.grant.2"," ",getIntProperty("ball.grant.2")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"ball.grant.3.on.off","    ",getBooleanProperty("ball.grant.3.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"ball.grant.3"," ",getIntProperty("ball.grant.3")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"ball.grant.4.on.off","   ",getBooleanProperty("ball.grant.4.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"ball.grant.4"," ",getIntProperty("ball.grant.4")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"ball.grant.5.on.off","    ",getBooleanProperty("ball.grant.5.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"ball.grant.5"," ",getIntProperty("ball.grant.5")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"ball.grant.6.on.off","   ",getBooleanProperty("ball.grant.6.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"ball.grant.6"," ",getIntProperty("ball.grant.6")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"ball.grant.7.on.off","    ",getBooleanProperty("ball.grant.7.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"ball.grant.7"," ",getIntProperty("ball.grant.7")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"ball.grant.8.on.off","   ",getBooleanProperty("ball.grant.8.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"ball.grant.8"," ",getIntProperty("ball.grant.8")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"ball.grant.9.on.off","   ",getBooleanProperty("ball.grant.9.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"ball.grant.9"," ",getIntProperty("ball.grant.9")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"ball.grant.10.on.off","   ",getBooleanProperty("ball.grant.10.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"ball.grant.10"," ",getIntProperty("ball.grant.10")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"ball.grant.11.on.off","  ",getBooleanProperty("ball.grant.11.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"ball.grant.11"," ",getIntProperty("ball.grant.11")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"ball.grant.12.on.off","  ",getBooleanProperty("ball.grant.12.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"ball.grant.12"," ",getIntProperty("ball.grant.12")),

new UserPreference(UserPreference.CATEGORY_TYPE,"million", "  " +"",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"millioner.on.off","/ ",getBooleanProperty("millioner.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"millioner.room"," ",getIntProperty("millioner.room")),
new UserPreference(UserPreference.INTEGER_TYPE,"millioner.game.in.day","   ",getIntProperty("millioner.game.in.day")),
new UserPreference(UserPreference.INTEGER_TYPE,"millioner.question.time","   ()",getIntProperty("millioner.question.time")),
new UserPreference(UserPreference.INTEGER_TYPE,"millioner.not.consumed.1","   ",getIntProperty("millioner.not.consumed.1")),
new UserPreference(UserPreference.INTEGER_TYPE,"millioner.not.consumed.2","   ",getIntProperty("millioner.not.consumed.2")),
new UserPreference(UserPreference.INTEGER_TYPE,"millioner.not.consumed.3","   ",getIntProperty("millioner.not.consumed.3")),
//
new UserPreference(UserPreference.CATEGORY_TYPE,"magasin", "  ",""),
new UserPreference(UserPreference.INTEGER_TYPE,"goroda_time","  ",getIntProperty("goroda_time")),
new UserPreference(UserPreference.INTEGER_TYPE,"goroda_ball","-    ",getIntProperty("goroda_ball")),
//
    new UserPreference(UserPreference.CATEGORY_TYPE,"razz", " ",""),
new UserPreference(UserPreference.CATEGORY_TYPE,"anek", " ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"useAnek.ball1.on.off","/  ",getBooleanProperty("useAnek.ball1.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"ads.BotAnekRoom","    :",getIntProperty("ads.BotAnekRoom")),
new UserPreference(UserPreference.INTEGER_TYPE,"ads.BotAnekTime","    (.):",getIntProperty("ads.BotAnekTime")),

//
new UserPreference(UserPreference.CATEGORY_TYPE,"alisa", "",""),
new UserPreference(UserPreference.BOOLEAN_TYPE, "al.srtip.on.off", " ", getBooleanProperty("al.srtip.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE, "Alisa.room", "    ", getIntProperty("Alisa.room")),
new UserPreference(UserPreference.INTEGER_TYPE, "Alisa.sayAloneTime", "  ", getIntProperty("Alisa.sayAloneTime")),
new UserPreference(UserPreference.INTEGER_TYPE, "Alisa.UsageTime", " ", getIntProperty("Alisa.UsageTime")),
new UserPreference(UserPreference.STRING_TYPE, "Alisa.delimiter", "   - ", getStringProperty("Alisa.delimiter")),
new UserPreference(UserPreference.CATEGORY_TYPE,"racing", "  ",""),
new UserPreference(UserPreference.INTEGER_TYPE,"room.racing","  ",getIntProperty("room.racing")),
new UserPreference(UserPreference.INTEGER_TYPE,"race.max"," - ",getIntProperty("race.max")),
new UserPreference(UserPreference.INTEGER_TYPE,"fuel.max"," ",getIntProperty("fuel.max")),
//
new UserPreference(UserPreference.CATEGORY_TYPE,"kasinogames", " ",""),
//

//
new UserPreference(UserPreference.INTEGER_TYPE,"games.naperstokroom", "   ",getIntProperty("games.naperstokroom")),
new UserPreference(UserPreference.INTEGER_TYPE,"games.besproigrishroom", "   ",getIntProperty("games.besproigrishroom")),
new UserPreference(UserPreference.INTEGER_TYPE,"games.morelessroom", "   -",getIntProperty("games.morelessroom")),
new UserPreference(UserPreference.INTEGER_TYPE,"max.money.bolshe", "   ",getIntProperty("max.money.bolshe")),
new UserPreference(UserPreference.INTEGER_TYPE,"max.money.besproigrash", "   ",getIntProperty("max.money.besproigrash")),
//

new UserPreference(UserPreference.CATEGORY_TYPE,"21", "",""),
new UserPreference(UserPreference.INTEGER_TYPE, "roomkazino", "  ", getIntProperty("roomkazino")),
new UserPreference(UserPreference.INTEGER_TYPE, "bllimit", " ", getIntProperty("bllimit")),
new UserPreference(UserPreference.INTEGER_TYPE, "bleckmax", " ", getIntProperty("bleckmax")),


//
new UserPreference(UserPreference.CATEGORY_TYPE,"stavka", " -  ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE, "chat.Stavka", "   ", getBooleanProperty("chat.Stavka")),
new UserPreference(UserPreference.INTEGER_TYPE, "chat.TimePause1", "  ", getIntProperty("chat.TimePause1")),
new UserPreference(UserPreference.INTEGER_TYPE, "chat.GameRoom1", "  ", getIntProperty("chat.GameRoom1")),
new UserPreference(UserPreference.BOOLEAN_TYPE, "chat.usepause1", "    .", getBooleanProperty("chat.usepause1")),
new UserPreference(UserPreference.INTEGER_TYPE, "chat.min.stav", " ", getIntProperty("chat.min.stav")),
new UserPreference(UserPreference.INTEGER_TYPE, "chat.max.stav", " ", getIntProperty("chat.max.stav")),
new UserPreference(UserPreference.INTEGER_TYPE, "chat.ween.stav", "   ", getIntProperty("chat.ween.stav")),
//
new UserPreference(UserPreference.CATEGORY_TYPE, "bones", "", ""),
new UserPreference(UserPreference.BOOLEAN_TYPE, "chat.Bones", "   ", getBooleanProperty("chat.Bones")),
new UserPreference(UserPreference.INTEGER_TYPE, "bones.room", "    ", getIntProperty("bones.room")),
new UserPreference(UserPreference.INTEGER_TYPE, "bones.max", "    ", getIntProperty("bones.max")),
new UserPreference(UserPreference.INTEGER_TYPE, "bones.def", "  ,    ", getIntProperty("bones.def")),
//
new UserPreference(UserPreference.CATEGORY_TYPE, "casino", " ", ""),
new UserPreference(UserPreference.BOOLEAN_TYPE, "chat.Casino", "   ", getBooleanProperty("chat.Casino")),
new UserPreference(UserPreference.INTEGER_TYPE, "casino.room", "    ", getIntProperty("casino.room")),
new UserPreference(UserPreference.INTEGER_TYPE, "casino.price", "    ", getIntProperty("casino.price")),
new UserPreference(UserPreference.INTEGER_TYPE, "casino.amount", "     ( 1  9)", getIntProperty("casino.amount")),
new UserPreference(UserPreference.INTEGER_TYPE, "casino.win2", "   2 ", getIntProperty("casino.win2")),
new UserPreference(UserPreference.INTEGER_TYPE, "casino.win3", "   3 ", getIntProperty("casino.win3")),
// 
new UserPreference(UserPreference.CATEGORY_TYPE, "kazino", "     ", ""),
new UserPreference(UserPreference.INTEGER_TYPE,"room.igra.kazino","    ",getIntProperty("room.igra.kazino")),
new UserPreference(UserPreference.INTEGER_TYPE,"koll.igra.kazino","   ",getIntProperty("koll.igra.kazino")),
new UserPreference(UserPreference.INTEGER_TYPE,"koll2.igra.kazino","      ",getIntProperty("koll2.igra.kazino")),     
//
new UserPreference(UserPreference.CATEGORY_TYPE,"butulka", "",""),
new UserPreference(UserPreference.BOOLEAN_TYPE, "chat.Bytilochka", "   ", getBooleanProperty("chat.Bytilochka")),
new UserPreference(UserPreference.INTEGER_TYPE,"room.igra.bytilochka","    ",getIntProperty("room.igra.bytilochka")),
new UserPreference(UserPreference.CATEGORY_TYPE,"suefa", "  ,,",""),
new UserPreference(UserPreference.INTEGER_TYPE,"suefa_room","  ",getIntProperty("suefa_room")),
// 
new UserPreference(UserPreference.CATEGORY_TYPE,"rulet", " ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE, "chat.Ryletka", "   ", getBooleanProperty("chat.Ryletka")),
new UserPreference(UserPreference.INTEGER_TYPE,"room.igra.ryletka","     ",getIntProperty("room.igra.ryletka")),
new UserPreference(UserPreference.INTEGER_TYPE, "ryletka.bonus", "   ", getIntProperty("ryletka.bonus")),
new UserPreference(UserPreference.INTEGER_TYPE,"chislo.ryletka1","   ",getIntProperty("chislo.ryletka1")),
new UserPreference(UserPreference.INTEGER_TYPE,"chislo.kick.ryletka","  ",getIntProperty("chislo.kick.ryletka")),
//  
//
new UserPreference(UserPreference.CATEGORY_TYPE,"rumka", "",""),
new UserPreference(UserPreference.BOOLEAN_TYPE, "chat.Rum", "   ", getBooleanProperty("chat.Rum")),
new UserPreference(UserPreference.INTEGER_TYPE, "room.rumushka", "   ", getIntProperty("room.rumushka")),



};
return p;
}

public UserPreference[] amunicia(){
UserPreference[] p = {


    


new UserPreference(UserPreference.CATEGORY_TYPE, "Orugie", "", ""),
new UserPreference(UserPreference.INTEGER_TYPE, "orugie.room", " :", getIntProperty("orugie.room")),


new UserPreference(UserPreference.CATEGORY_TYPE, "Orugie1", "", ""),
    new UserPreference(UserPreference.BOOLEAN_TYPE,"room_str.on.off","  ",getBooleanProperty("room_str.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"room.str","  ",getIntProperty("room.str")),
new UserPreference(UserPreference.CATEGORY_TYPE, "Orugie2", "", ""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"room_hold.on.off","  ",getBooleanProperty("room_hold.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"room.hold","  ",getIntProperty("room.hold")),

new UserPreference(UserPreference.CATEGORY_TYPE, "mir", "", ""),
    new UserPreference(UserPreference.BOOLEAN_TYPE,"war.clan.on.off","   ",getBooleanProperty("war.clan.on.off")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"room_str.no.off","  ",getBooleanProperty("room_str.no.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"room.no.str"," ",getIntProperty("room.no.str")),
//
new UserPreference(UserPreference.CATEGORY_TYPE, "granati", ":",""),
new UserPreference(UserPreference.INTEGER_TYPE, "price.garanata", ":", getIntProperty("price.garanata")),
new UserPreference(UserPreference.INTEGER_TYPE, "orug.granata", " :", getIntProperty("orug.granata")),
new UserPreference(UserPreference.INTEGER_TYPE, "granat.lim", "   :", getIntProperty("granat.lim")),
new UserPreference(UserPreference.INTEGER_TYPE, "granata.uron.hp", "  ", getIntProperty("granata.uron.hp")),

//
new UserPreference(UserPreference.CATEGORY_TYPE, "patron", ":",""),
new UserPreference(UserPreference.INTEGER_TYPE, "price.patron", "  1.:", getIntProperty("price.patron")),
new UserPreference(UserPreference.INTEGER_TYPE, "ogr.patron", "    .:", getIntProperty("ogr.patron")),


new UserPreference(UserPreference.CATEGORY_TYPE,"Bomba", " - ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE, "chat.bomba", "   ", getBooleanProperty("chat.bomba")),
new UserPreference(UserPreference.INTEGER_TYPE, "bomba.ween", "   ", getIntProperty("bomba.ween")),
new UserPreference(UserPreference.INTEGER_TYPE, "bomba.hp", " ", getIntProperty("bomba.hp")),
new UserPreference(UserPreference.INTEGER_TYPE, "room.bomba", "  ", getIntProperty("room.bomba")),
new UserPreference(UserPreference.INTEGER_TYPE, "chat.BombTimer", "     ", getIntProperty("chat.BombTimer")),

new UserPreference(UserPreference.CATEGORY_TYPE,"aptecka", "",""),
new UserPreference(UserPreference.CATEGORY_TYPE,"aptecka", "",""),
new UserPreference(UserPreference.INTEGER_TYPE, "aptecka.price", " :", getIntProperty("aptecka.price")),
new UserPreference(UserPreference.INTEGER_TYPE, "aptecka.zdorove", "   :", getIntProperty("aptecka.zdorove")),
new UserPreference(UserPreference.CATEGORY_TYPE,"0", "  .",""),
new UserPreference(UserPreference.INTEGER_TYPE, "s.price", "  :", getIntProperty("s.price")),
new UserPreference(UserPreference.INTEGER_TYPE, "s.zdorove", "   :", getIntProperty("s.zdorove")),
new UserPreference(UserPreference.CATEGORY_TYPE,"hospital", "",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"hospital.on.off","/  ",getBooleanProperty("hospital.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE, "help.zdorove", "!    :", getIntProperty("help.zdorove")),
new UserPreference(UserPreference.INTEGER_TYPE, "room.hospital", " :", getIntProperty("room.hospital")),
new UserPreference(UserPreference.INTEGER_TYPE, "zdorovmin", "  :", getIntProperty("zdorovmin")),
new UserPreference(UserPreference.INTEGER_TYPE, "hospital.zdorove", "   :", getIntProperty("hospital.zdorove")),
new UserPreference(UserPreference.INTEGER_TYPE, "time.help", " :", getIntProperty("time.help")),
        new UserPreference(UserPreference.CATEGORY_TYPE, "immm", "  ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"imm.on.off","/",getBooleanProperty("imm.on.off")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"immm.on.off","/    ",getBooleanProperty("immm.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE, "immm.price", ":", getIntProperty("immm.price")),


new UserPreference(UserPreference.CATEGORY_TYPE,"v", " ",""),
    new UserPreference(UserPreference.INTEGER_TYPE,"v.vybros.age","  : ",getIntProperty("v.vybros.age")),
    new UserPreference(UserPreference.INTEGER_TYPE,"v.maxvybros","  : ",getIntProperty("v.maxvybros")),
    new UserPreference(UserPreference.INTEGER_TYPE,"v.maxvybrost","  : ",getIntProperty("v.maxvybrost")),
    new UserPreference(UserPreference.INTEGER_TYPE,"v.antivybrosroom"," : ",getIntProperty("v.antivybrosroom")),
    new UserPreference(UserPreference.STRING_TYPE,"v.vybrosr","    : ",getStringProperty("v.vybrosr")),
    new UserPreference(UserPreference.INTEGER_TYPE,"v.vybros","   ?,  !",getIntProperty("v.vybros")),
    new UserPreference(UserPreference.INTEGER_TYPE,"v.vybrost","  ,  !",getIntProperty("v.vybrost")),
    new UserPreference(UserPreference.INTEGER_TYPE,"v.vybroskick","  ,  !",getIntProperty("v.vybroskick")),
    //
new UserPreference(UserPreference.CATEGORY_TYPE,"ring", "",""),
new UserPreference(UserPreference.INTEGER_TYPE, "ring.room", "  ", getIntProperty("ring.room")),
    new UserPreference(UserPreference.CATEGORY_TYPE,"ring1", "",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"chat.ring","   :",getBooleanProperty("chat.ring")),
new UserPreference(UserPreference.INTEGER_TYPE, "ring.hp", " ", getIntProperty("ring.hp")),
new UserPreference(UserPreference.CATEGORY_TYPE,"ring2", "-",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"chat.robo","   :",getBooleanProperty("chat.robo")),


//
//new UserPreference(UserPreference.CATEGORY_TYPE,"orujie", "  ",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "room.orujie", "  ", getIntProperty("room.orujie")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.cena", "  ", getIntProperty("orujie.cena")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.ochki", ".   ", getIntProperty("orujie.cena")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.cena2", "  ", getIntProperty("orujie.cena2")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.ochki2", ".   ", getIntProperty("orujie.ochki2")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.cena3", "   ", getIntProperty("orujie.cena3")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.ochki3", ".    ", getIntProperty("orujie.ochki3")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.cena4", "  <<>>", getIntProperty("orujie.cena4")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.ochki4", ".   <<>>", getIntProperty("orujie.ochki4")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.cena5", "  << >>", getIntProperty("orujie.cena5")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.ochki5", ".   << >>", getIntProperty("orujie.ochki5")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.cena6", "  -4 (-01)", getIntProperty("orujie.cena6")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.ochki6", ".   -4 (-01)", getIntProperty("orujie.ochki6")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.cena7", "  -01", getIntProperty("orujie.cena7")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.ochki7", ".   -01", getIntProperty("orujie.ochki7")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.cena8", "   -3̻", getIntProperty("orujie.cena8")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orujie.ochki8", ".    -3̻", getIntProperty("orujie.ochki8")),

// - 
//new UserPreference(UserPreference.CATEGORY_TYPE, "firegun", " (. )",""),
//new UserPreference(UserPreference.CATEGORY_TYPE, "pcm", " :",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.pcm", ":", getIntProperty("orugie.pcm")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.pcm", " :", getIntProperty("orug.pcm")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.pcm", "   PCM:", getIntProperty("uron.hp.pcm")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.bronya.pcm", "   PCM:", getIntProperty("uron.bronya.pcm")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.pcm", " :", getIntProperty("uron.money.pcm")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.pcm", ":", getIntProperty("give.money.pcm")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "pm", "  ():",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.pm", ":", getIntProperty("orugie.pm")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.pm", " :", getIntProperty("orug.pm")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.pm", "   PM:", getIntProperty("uron.hp.pm")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.bronya.pm", "   PM:", getIntProperty("uron.bronya.pm")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.pm", " :", getIntProperty("uron.money.pm")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.pm", ":", getIntProperty("give.money.pm")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "uzi", ":",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.uzi", ":", getIntProperty("orugie.uzi")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.uzi", " :", getIntProperty("orug.uzi")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.uzi", "   UZI:", getIntProperty("uron.hp.uzi")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.bronya.uzi", "   UZI:", getIntProperty("uron.bronya.uzi")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.uzi", " :", getIntProperty("uron.money.uzi")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.uzi", ":", getIntProperty("give.money.uzi")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "g3", "G3:",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.g3", ":", getIntProperty("orugie.g3")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.g3", " :", getIntProperty("orug.g3")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.g3", "   G3:", getIntProperty("uron.hp.g3")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.bronya.g3", "   G3:", getIntProperty("uron.bronya.g3")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.g3", " :", getIntProperty("uron.money.g3")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.g3", ":", getIntProperty("give.money.g3")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "ak27", "AK-47:",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.ak27", ":", getIntProperty("orugie.ak27")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.ak27", " :", getIntProperty("orug.ak27")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.ak27", "   AK-47:", getIntProperty("uron.hp.ak27")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.bronya.ak27", "   AK-47:", getIntProperty("uron.bronya.ak27")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.ak27", " :", getIntProperty("uron.money.ak27")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.ak27", ":", getIntProperty("give.money.ak27")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "aug", "Steyer AUG:",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.aug", ":", getIntProperty("orugie.aug")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.aug", " :", getIntProperty("orug.aug")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.aug", "   AUG:", getIntProperty("uron.hp.aug")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.bronya.aug", "   AUG:", getIntProperty("uron.bronya.aug")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.aug", " :", getIntProperty("uron.money.aug")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.aug", ":", getIntProperty("give.money.aug")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "ES", "ESFIVE-SEVEN:",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.ES", ":", getIntProperty("orugie.ES")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.ES", " :", getIntProperty("orug.ES")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.ES", "   ES:", getIntProperty("uron.hp.ES")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.bronya.ES", "   ES:", getIntProperty("uron.bronya.ES")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.ES", " :", getIntProperty("uron.money.ES")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.ES", ":", getIntProperty("give.money.ES")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "SHOTGUN", " LEONE YG 1265 AUTO SHOTGUN:",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.SHOTGUN", ":", getIntProperty("orugie.SHOTGUN")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.SHOTGUN", " :", getIntProperty("orug.SHOTGUN")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.SHOTGUN", "   SHOTGUN:", getIntProperty("uron.hp.SHOTGUN")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.bronya.SHOTGUN", "   SHOTGUN:", getIntProperty("uron.bronya.SHOTGUN")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.SHOTGUN", " :", getIntProperty("uron.money.SHOTGUN")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.SHOTGUN", ":", getIntProperty("give.money.SHOTGUN")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "UMP45", "KM UMP45:",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.UMP45", ":", getIntProperty("orugie.UMP45")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.UMP45", " :", getIntProperty("orug.UMP45")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.UMP45", "   UMP45:", getIntProperty("uron.hp.UMP45")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.bronya.UMP45", "   UMP45:", getIntProperty("uron.bronya.UMP45")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.UMP45", " :", getIntProperty("uron.money.UMP45")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.UMP45", ":", getIntProperty("give.money.UMP45")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "SCHMIDT", "SCHMIDT SCOUT:",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.SCHMIDT", ":", getIntProperty("orugie.SCHMIDT")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.SCHMIDT", " :", getIntProperty("orug.SCHMIDT")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.SCHMIDT", "   SCHMIDT:", getIntProperty("uron.hp.SCHMIDT")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.bronya.SCHMIDT", "   SCHMIDT:", getIntProperty("uron.bronya.SCHMIDT")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.SCHMIDT", " :", getIntProperty("uron.money.SCHMIDT")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.SCHMIDT", ":", getIntProperty("give.money.SCHMIDT")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "KRIEG", "KRIEG 550 COMMANDO:",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.KRIEG", ":", getIntProperty("orugie.KRIEG")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.KRIEG", " :", getIntProperty("orug.KRIEG")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.KRIEG", "   KRIEG:", getIntProperty("uron.hp.KRIEG")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.bronya.KRIEG", "   KRIEG:", getIntProperty("uron.bronya.KRIEG")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.KRIEG", " :", getIntProperty("uron.money.KRIEG")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.KRIEG", ":", getIntProperty("give.money.KRIEG")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "MAGNUM", "MAGNUM SNIPER RIFLE:",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.MAGNUM", ":", getIntProperty("orugie.MAGNUM")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.MAGNUM", " :", getIntProperty("orug.MAGNUM")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.MAGNUM", "   MAGNUM:", getIntProperty("uron.hp.MAGNUM")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.bronya.MAGNUM", "   MAGNUM:", getIntProperty("uron.bronya.MAGNUM")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.MAGNUM", " :", getIntProperty("uron.money.MAGNUM")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.MAGNUM", ":", getIntProperty("give.money.MAGNUM")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "D3", "D3/AU-1:",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.D3", ":", getIntProperty("orugie.D3")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.D3", " :", getIntProperty("orug.D3")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.D3", "   D3:", getIntProperty("uron.hp.D3")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.bronya.D3", "   D3:", getIntProperty("uron.bronya.D3")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.D3", " :", getIntProperty("uron.money.D3")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.D3", ":", getIntProperty("give.money.D3")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "M249", " M249:",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.M249", ":", getIntProperty("orugie.M249")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.M249", " :", getIntProperty("orug.M249")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.M249", "   M249:", getIntProperty("uron.hp.M249")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.bronya.M249", "   M249:", getIntProperty("uron.bronya.M249")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.M249", " :", getIntProperty("uron.money.M249")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.M249", ":", getIntProperty("give.money.M249")),
//
//new UserPreference(UserPreference.CATEGORY_TYPE, "coldgun", " ",""),
//new UserPreference(UserPreference.CATEGORY_TYPE, "rem", ":",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.rem", ":", getIntProperty("orugie.rem")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.rem", " :", getIntProperty("orug.rem")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.rem", "  :", getIntProperty("uron.hp.rem")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.rem", " :", getIntProperty("uron.money.rem")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.rem", ":", getIntProperty("give.money.rem")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "nog", ":",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.nog", ":", getIntProperty("orugie.nog")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.nog", " :", getIntProperty("orug.nog")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.nog", "  :", getIntProperty("uron.hp.nog")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.nog", " :", getIntProperty("uron.money.nog")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.nog", ":", getIntProperty("give.money.nog")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "sumka", "  :",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.sumka", ":", getIntProperty("orugie.sumka")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.sumka", " :", getIntProperty("orug.sumka")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.sumka", "  :", getIntProperty("uron.hp.sumka")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.sumka", " :", getIntProperty("uron.money.sumka")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.sumka", ":", getIntProperty("give.money.sumka")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "kuvalda", ":",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.kuvalda", ":", getIntProperty("orugie.kuvalda")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.kuvalda", " :", getIntProperty("orug.kuvalda")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.kuvalda", "  :", getIntProperty("uron.hp.kuvalda")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.kuvalda", " :", getIntProperty("uron.money.kuvalda")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.kuvalda", ":", getIntProperty("give.money.kuvalda")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "povar", ":",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.povar", ":", getIntProperty("orugie.povar")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.povar", " :", getIntProperty("orug.povar")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.povar", "  :", getIntProperty("uron.hp.povar")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.povar", " :", getIntProperty("uron.money.povar")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.povar", ":", getIntProperty("give.money.povar")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "sapogi", ":",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.sapogi", ":", getIntProperty("orugie.sapogi")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.sapogi", " :", getIntProperty("orug.sapogi")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.sapogi", "  :", getIntProperty("uron.hp.sapogi")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.sapogi", " :", getIntProperty("uron.money.sapogi")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.sapogi", ":", getIntProperty("give.money.sapogi")),
//new UserPreference(UserPreference.CATEGORY_TYPE, "scalka", ":",""),
//new UserPreference(UserPreference.INTEGER_TYPE, "orugie.scalka", ":", getIntProperty("orugie.scalka")),
//new UserPreference(UserPreference.INTEGER_TYPE, "orug.scalka", " :", getIntProperty("orug.scalka")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.hp.scalka", "  :", getIntProperty("uron.hp.scalka")),
//new UserPreference(UserPreference.INTEGER_TYPE, "uron.money.scalka", " :", getIntProperty("uron.money.scalka")),
//new UserPreference(UserPreference.INTEGER_TYPE, "give.money.scalka", ":", getIntProperty("give.money.scalka")),

};
return p;
}

public UserPreference[] MagazinUserPreference(){
UserPreference[] p = {
new UserPreference(UserPreference.CATEGORY_TYPE,"maP", "   ",""),
    new UserPreference(UserPreference.CATEGORY_TYPE,"mag", " !",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"magprav.on.off","/   ",getBooleanProperty("magprav.on.off")),
new UserPreference(UserPreference.CATEGORY_TYPE,"smsstat", "  ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"smsstat.on.off","     ",getBooleanProperty("smsstat.on.off")),
new UserPreference(UserPreference.STRING_TYPE,"smsstat.groups","   :", getStringProperty("smsstat.groups")),
//new UserPreference(UserPreference.INTEGER_TYPE,"smsstat.vip","VIP   ",getIntProperty("smsstat.vip")),
//new UserPreference(UserPreference.INTEGER_TYPE,"smsstat.moder","   ",getIntProperty("smsstat.moder")),
//new UserPreference(UserPreference.INTEGER_TYPE,"smsstat.admin","   ",getIntProperty("smsstat.admin")),
//new UserPreference(UserPreference.INTEGER_TYPE,"smsstat.gladmin"," (gladmin) ",getIntProperty("smsstat.gladmin")),
//new UserPreference(UserPreference.BOOLEAN_TYPE, "smsfin.on.off", "  ", getBooleanProperty("smsfin.on.off")),
//  
new UserPreference(UserPreference.CATEGORY_TYPE,"smsbiling", "   (www.smspartner.ru)",""),
new UserPreference(UserPreference.STRING_TYPE,"sms.ball.txt","   :", getStringProperty("sms.ball.txt")),
new UserPreference(UserPreference.INTEGER_TYPE,"sms.ball","    ",getIntProperty("sms.ball")),
//   
new UserPreference(UserPreference.CATEGORY_TYPE,"sms", "    (www.smspartner.ru)",""),
new UserPreference(UserPreference.INTEGER_TYPE,"sms.moder.day","  ",getIntProperty("sms.moder.day")),
new UserPreference(UserPreference.STRING_TYPE,"sms.txt","   ",getStringProperty("sms.txt")),
//  
new UserPreference(UserPreference.CATEGORY_TYPE,"sms.vip.txt11", "VIP   (www.smspartner.ru)",""),
new UserPreference(UserPreference.STRING_TYPE,"sms.vip.txt","  ",getStringProperty("sms.vip.txt")),
//
new UserPreference(UserPreference.CATEGORY_TYPE,"regbr", "",""),
new UserPreference(UserPreference.INTEGER_TYPE,"reg.ball","    ",getIntProperty("reg.ball")),
// 
new UserPreference(UserPreference.CATEGORY_TYPE,"status", " ",""),
new UserPreference(UserPreference.INTEGER_TYPE,"status.bomch"," (  0)",getIntProperty("status.bomch")),
new UserPreference(UserPreference.INTEGER_TYPE,"status.nich","",getIntProperty("status.nich")),
new UserPreference(UserPreference.INTEGER_TYPE,"status.sost","",getIntProperty("status.sost")),
new UserPreference(UserPreference.INTEGER_TYPE,"status.uvah","",getIntProperty("status.uvah")),
new UserPreference(UserPreference.INTEGER_TYPE,"status.vlia","",getIntProperty("status.vlia")),
new UserPreference(UserPreference.INTEGER_TYPE,"status.boga","",getIntProperty("status.boga")),
new UserPreference(UserPreference.INTEGER_TYPE,"status.burc","",getIntProperty("status.burc")),
new UserPreference(UserPreference.INTEGER_TYPE,"status.mill","",getIntProperty("status.mill")),
new UserPreference(UserPreference.INTEGER_TYPE,"status.magn","",getIntProperty("status.magn")),
new UserPreference(UserPreference.INTEGER_TYPE,"status.olig","",getIntProperty("status.olig")),
//  
//new UserPreference(UserPreference.CATEGORY_TYPE,"bar", " ''",""),
//new UserPreference(UserPreference.INTEGER_TYPE,"money.konjak"," ''",getIntProperty("money.konjak")),
//new UserPreference(UserPreference.INTEGER_TYPE,"money.meri"," ' '",getIntProperty("money.meri")),
//new UserPreference(UserPreference.INTEGER_TYPE,"money.viski"," ''",getIntProperty("money.viski")),
//new UserPreference(UserPreference.INTEGER_TYPE,"money.martini"," ''",getIntProperty("money.martini")),
//new UserPreference(UserPreference.INTEGER_TYPE,"money.beer"," ''",getIntProperty("money.beer")),
//new UserPreference(UserPreference.INTEGER_TYPE,"money.jaguar"," ''",getIntProperty("money.jaguar")),
//new UserPreference(UserPreference.INTEGER_TYPE,"money.djin"," ''",getIntProperty("money.djin")),
//new UserPreference(UserPreference.INTEGER_TYPE,"money.zum"," 'Zum - Zum'",getIntProperty("money.zum")),
//new UserPreference(UserPreference.INTEGER_TYPE,"money.samogon"," ''",getIntProperty("money.samogon")),
//new UserPreference(UserPreference.INTEGER_TYPE,"money.schampan"," ''",getIntProperty("money.schampan")),
//// 
//new UserPreference(UserPreference.INTEGER_TYPE,"alcohol.konjak","  ''",getIntProperty("alcohol.konjak")),
//new UserPreference(UserPreference.INTEGER_TYPE,"alcohol.meri","  ' '",getIntProperty("alcohol.meri")),
//new UserPreference(UserPreference.INTEGER_TYPE,"alcohol.viski","  ''",getIntProperty("alcohol.viski")),
//new UserPreference(UserPreference.INTEGER_TYPE,"alcohol.martini","  ''",getIntProperty("alcohol.martini")),
//new UserPreference(UserPreference.INTEGER_TYPE,"alcohol.beer","  ''",getIntProperty("alcohol.beer")),
//new UserPreference(UserPreference.INTEGER_TYPE,"alcohol.jaguar","  ''",getIntProperty("alcohol.jaguar")),
//new UserPreference(UserPreference.INTEGER_TYPE,"alcohol.djin","  ''",getIntProperty("alcohol.djin")),
//new UserPreference(UserPreference.INTEGER_TYPE,"alcohol.zum","  'Zum - Zum'",getIntProperty("alcohol.zum")),
//new UserPreference(UserPreference.INTEGER_TYPE,"alcohol.samogon","  ''",getIntProperty("alcohol.samogon")),
//new UserPreference(UserPreference.INTEGER_TYPE,"alcohol.schampan","  ''",getIntProperty("alcohol.schampan")),
//
new UserPreference(UserPreference.CATEGORY_TYPE,"valuta", "",""),
new UserPreference(UserPreference.STRING_TYPE,"valuta.chat","    ( - .,.,$,,):", getStringProperty("valuta.chat")),
//
new UserPreference(UserPreference.CATEGORY_TYPE,"finans", "",""),
new UserPreference(UserPreference.BOOLEAN_TYPE, "vzyatka.on.off", " ", getBooleanProperty("vzyatka.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE, "vzyatka", "   :", getIntProperty("vzyatka")),
//
new UserPreference(UserPreference.CATEGORY_TYPE,"salary", "",""),
new UserPreference(UserPreference.INTEGER_TYPE,"salary.vip"," VIP-",getIntProperty("salary.vip")),
new UserPreference(UserPreference.INTEGER_TYPE,"salary.moder"," ",getIntProperty("salary.moder")),
new UserPreference(UserPreference.INTEGER_TYPE,"salary.admin"," ",getIntProperty("salary.admin")),
//
new UserPreference(UserPreference.CATEGORY_TYPE, "Room", "", ""),
new UserPreference(UserPreference.INTEGER_TYPE, "bank.room", "-", getIntProperty("bank.room")),
//
new UserPreference(UserPreference.CATEGORY_TYPE,"reiting", "",""),
new UserPreference(UserPreference.INTEGER_TYPE,"ochkiplus","      (!)",getIntProperty("ochkiplus")),
new UserPreference(UserPreference.INTEGER_TYPE,"ochkiminus","      (!)",getIntProperty("ochkiminus")),
new UserPreference(UserPreference.STRING_TYPE,"vs.respect","  :",getStringProperty("vs.respect")),
new UserPreference(UserPreference.STRING_TYPE,"vs.antirespect","  :",getStringProperty("vs.antirespect")),
//
new UserPreference(UserPreference.CATEGORY_TYPE,"reiting", "",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"kik.ball.on.off","   ",getBooleanProperty("kik.ball.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"kick.ball","     ",getIntProperty("kick.ball")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"dat.ball.on.off", "  ! <id> <>", getBooleanProperty("dat.ball.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"koll.ball","   !",getIntProperty("koll.ball")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"zab.ball.on.off", "  ! <id> <>", getBooleanProperty("zab.ball.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"koll.ball_2","   !",getIntProperty("koll.ball_2")),
//
new UserPreference(UserPreference.CATEGORY_TYPE, "shop", "::::::", ""),
// 
new UserPreference(UserPreference.CATEGORY_TYPE, "Room", "  ", ""),
new UserPreference(UserPreference.INTEGER_TYPE, "bay.room", "  ", getIntProperty("bay.room")),
new UserPreference(UserPreference.INTEGER_TYPE, "bay.cena.room", " :", getIntProperty("bay.cena.room")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"private.one.room","    ",getBooleanProperty("private.one.room")),
// 
new UserPreference(UserPreference.CATEGORY_TYPE,"mag", " ",""),
new UserPreference(UserPreference.STRING_TYPE,"uin", "  ", getStringProperty("uin")),
new UserPreference(UserPreference.STRING_TYPE,"9", " ", getStringProperty("9")),
new UserPreference(UserPreference.STRING_TYPE,"8", " ", getStringProperty("8")),
new UserPreference(UserPreference.STRING_TYPE,"7", " ", getStringProperty("7")),
new UserPreference(UserPreference.STRING_TYPE,"6", " ", getStringProperty("6")),
// 

//new UserPreference(UserPreference.INTEGER_TYPE,"mag.vip","  vip:",getIntProperty("mag.vip")),
//new UserPreference(UserPreference.INTEGER_TYPE,"mag.mod","  moder:",getIntProperty("mag.mod")),
//new UserPreference(UserPreference.INTEGER_TYPE,"mag.adm","  admin:",getIntProperty("mag.adm")),
//new UserPreference(UserPreference.INTEGER_TYPE,"mag.room","  room:",getIntProperty("mag.room")),
//new UserPreference(UserPreference.INTEGER_TYPE,"mag.reg","  reg:",getIntProperty("mag.reg")),
//new UserPreference(UserPreference.INTEGER_TYPE,"mag.kick","   kick(kickone):",getIntProperty("mag.kick")),
//new UserPreference(UserPreference.INTEGER_TYPE,"mag.ban","   ban:",getIntProperty("mag.ban")),
//new UserPreference(UserPreference.INTEGER_TYPE,"mag.anti_kick","  (anti_kick):",getIntProperty("mag.anti_kick")),
//new UserPreference(UserPreference.INTEGER_TYPE,"mag.anti_ban","  (anti_ban):",getIntProperty("mag.anti_ban")),
};
return p;
}

public UserPreference[] getAdmPreference(){
UserPreference[] p = {
// 
new UserPreference(UserPreference.CATEGORY_TYPE,"adm", " -",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"adm.useAdmin"," -  ",getBooleanProperty("adm.useAdmin")),
new UserPreference(UserPreference.INTEGER_TYPE,"MatBall"," ,  -  ",getIntProperty("MatBall")),
new UserPreference(UserPreference.STRING_TYPE,"adm.MatRoom","   ",getStringProperty("adm.MatRoom")),
new UserPreference(UserPreference.STRING_TYPE,"bot.nik"," -:",getStringProperty("bot.nik")),
new UserPreference(UserPreference.STRING_TYPE,"bot.nik.alt","     -:",getStringProperty("bot.nik.alt")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"invisbota","    -",getBooleanProperty("invisbota")),
new UserPreference(UserPreference.STRING_TYPE,"adminbot1","   - (  ):",getStringProperty("adminbot1")),
new UserPreference(UserPreference.STRING_TYPE,"adm.raz","   :",getStringProperty("adm.raz")),
new UserPreference(UserPreference.STRING_TYPE,"privatbotu","       :",getStringProperty("privatbotu")),
//Informer
new UserPreference(UserPreference.CATEGORY_TYPE,"Informer", " ", ""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"adm.Informer","/ ",getBooleanProperty("adm.Informer")),
new UserPreference(UserPreference.INTEGER_TYPE,"adm.Informer.time","  ()",getIntProperty("adm.Informer.time")),
// 
new UserPreference(UserPreference.CATEGORY_TYPE,"adm.testMat", " ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"adm.useMatFilter","   ",getBooleanProperty("adm.useMatFilter")),
new UserPreference(UserPreference.STRING_TYPE,"adm.matString","    :",getStringProperty("adm.matString")),
new UserPreference(UserPreference.STRING_TYPE,"adm.noMatString","      :",getStringProperty("adm.noMatString")),
new UserPreference(UserPreference.STRING_TYPE,"adm.warning","    :",getStringProperty("adm.warning")),
new UserPreference(UserPreference.STRING_TYPE,"adm2.warning","    :",getStringProperty("adm2.warning")),
new UserPreference(UserPreference.INTEGER_TYPE,"adm.maxwarning","        ",getIntProperty("adm.maxwarning")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"adm.br","     ( )",getBooleanProperty("adm.br")),
new UserPreference(UserPreference.INTEGER_TYPE,"adm.BanRoom","-",getIntProperty("adm.BanRoom")),
new UserPreference(UserPreference.INTEGER_TYPE,"adm.BanRoomTime","  ()",getIntProperty("adm.BanRoomTime")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"adm.user"," ",getBooleanProperty("adm.user")),
new UserPreference(UserPreference.CATEGORY_TYPE,"otrezvitel", " ",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"con.on.off"," ?",getBooleanProperty("con.on.off")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"otrezvitel.on.off","  ?",getBooleanProperty("otrezvitel.on.off")),
new UserPreference(UserPreference.INTEGER_TYPE,"max.alc"," % ",getIntProperty("max.alc")),
new UserPreference(UserPreference.INTEGER_TYPE,"time.alc"," ",getIntProperty("time.alc")),
// 
new UserPreference(UserPreference.CATEGORY_TYPE,"mati", "  ([  )",""),
new UserPreference(UserPreference.CATEGORY_TYPE,"matihoz", "  ",""),
new UserPreference(UserPreference.STRING_TYPE,"adm.UIN","    ",getStringProperty("adm.UIN")),
//
new UserPreference(UserPreference.CATEGORY_TYPE,"adm.stat", "  ",""),
new UserPreference(UserPreference.INTEGER_TYPE,"adm.getStatTimeout","   ",getIntProperty("adm.getStatTimeout")),
new UserPreference(UserPreference.STRING_TYPE,"adm.statFlood","  -    :",getStringProperty("adm.statFlood")),
new UserPreference(UserPreference.CATEGORY_TYPE,"timers", "  #HI#",""),
new UserPreference(UserPreference.INTEGER_TYPE,"no.msk","  ",getIntProperty("no.msk")),
new UserPreference(UserPreference.STRING_TYPE,"time.chat.Greeting.0","",getStringProperty("time.chat.Greeting.0")),
new UserPreference(UserPreference.STRING_TYPE,"time.chat.Greeting.1","",getStringProperty("time.chat.Greeting.1")),
new UserPreference(UserPreference.STRING_TYPE,"time.chat.Greeting.2","",getStringProperty("time.chat.Greeting.2")),
new UserPreference(UserPreference.STRING_TYPE,"time.chat.Greeting.3","",getStringProperty("time.chat.Greeting.3")),
new UserPreference(UserPreference.CATEGORY_TYPE,"timers", "  #BYE#",""),

new UserPreference(UserPreference.STRING_TYPE,"time.chat.Greeting.4","",getStringProperty("time.chat.Greeting.4")),
new UserPreference(UserPreference.STRING_TYPE,"time.chat.Greeting.5","",getStringProperty("time.chat.Greeting.5")),
new UserPreference(UserPreference.STRING_TYPE,"time.chat.Greeting.6","",getStringProperty("time.chat.Greeting.6")),
new UserPreference(UserPreference.STRING_TYPE,"time.chat.Greeting.7","",getStringProperty("time.chat.Greeting.7")),



//
new UserPreference(UserPreference.CATEGORY_TYPE,"adm.say", "   -",""),
new UserPreference(UserPreference.BOOLEAN_TYPE,"adm.useSayAdmin"," - ",getBooleanProperty("adm.useSayAdmin")),
new UserPreference(UserPreference.INTEGER_TYPE,"adm.maxSayAdminCount","   -   ",getIntProperty("adm.maxSayAdminCount")),
new UserPreference(UserPreference.STRING_TYPE,"adm.Flood","  -     :",getStringProperty("adm.Flood")),
new UserPreference(UserPreference.INTEGER_TYPE,"adm.maxSayAdminTimeout","   ",getIntProperty("adm.maxSayAdminTimeout")),
new UserPreference(UserPreference.INTEGER_TYPE,"adm.sayAloneTime"," ,   - ",getIntProperty("adm.sayAloneTime")),
new UserPreference(UserPreference.INTEGER_TYPE,"adm.sayAloneProbability","  -   (1  ...)",getIntProperty("adm.sayAloneProbability")),
new UserPreference(UserPreference.STRING_TYPE,"adm.Vremya","   ",getStringProperty("adm.Vremya")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"adm.sayHI","   ",getBooleanProperty("adm.sayHI")),
new UserPreference(UserPreference.STRING_TYPE,"adm.testHI","    :",getStringProperty("adm.testHI")),
new UserPreference(UserPreference.STRING_TYPE,"adm.getHI","  :",getStringProperty("adm.getHI")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"adm.sayBYE","   ",getBooleanProperty("adm.sayBYE")),
new UserPreference(UserPreference.STRING_TYPE,"adm.testBYE","    :",getStringProperty("adm.testBYE")),
new UserPreference(UserPreference.STRING_TYPE,"adm.getBYE","  :",getStringProperty("adm.getBYE")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"adm.sayNAME","    ' ?'",getBooleanProperty("adm.sayNAME")),
new UserPreference(UserPreference.STRING_TYPE,"adm.testNAME","     ' ?':",getStringProperty("adm.testNAME")),
new UserPreference(UserPreference.STRING_TYPE,"adm.getNAME","   ' ?':",getStringProperty("adm.getNAME")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"adm.sayChe","    ' ?'",getBooleanProperty("adm.sayChe")),
new UserPreference(UserPreference.STRING_TYPE,"adm.testChe","     ' ?':",getStringProperty("adm.testChe")),
new UserPreference(UserPreference.STRING_TYPE,"adm.getChe","   ' ?':",getStringProperty("adm.getChe")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"adm.sayKak","    ' ?'",getBooleanProperty("adm.sayKak")),
new UserPreference(UserPreference.STRING_TYPE,"adm.testKak","     ' ?':",getStringProperty("adm.testKak")),
new UserPreference(UserPreference.STRING_TYPE,"adm.getKak","   ' ?':",getStringProperty("adm.getKak")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"adm.sayPoc","    ' ?'",getBooleanProperty("adm.sayPoc")),
new UserPreference(UserPreference.STRING_TYPE,"adm.testPoc","     '?':",getStringProperty("adm.testPoc")),
new UserPreference(UserPreference.STRING_TYPE,"adm.getPoc","    '?':",getStringProperty("adm.getPoc")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"adm.sayQue","    ",getBooleanProperty("adm.sayQue")),
new UserPreference(UserPreference.STRING_TYPE,"adm.testQue","     :",getStringProperty("adm.testQue")),
new UserPreference(UserPreference.STRING_TYPE,"adm.getQue","    :",getStringProperty("adm.getQue")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"adm.saySKD","    ",getBooleanProperty("adm.saySKD")),
new UserPreference(UserPreference.STRING_TYPE,"adm.testSKD","    :",getStringProperty("adm.testSKD")),
new UserPreference(UserPreference.STRING_TYPE,"adm.getSKD","  :",getStringProperty("adm.getSKD")),
new UserPreference(UserPreference.BOOLEAN_TYPE,"adm.sayHach","   ICQ",getBooleanProperty("adm.sayHach")),
new UserPreference(UserPreference.STRING_TYPE,"adm.testICQ","    :",getStringProperty("adm.testICQ")),
new UserPreference(UserPreference.STRING_TYPE,"adm.getICQ","  ICQ:",getStringProperty("adm.getICQ")),
};
return p;
}


public UserPreference[] getUIN(int i){
UserPreference[] p = {
new UserPreference(UserPreference.CATEGORY_TYPE,"conn", "UIN ["+i+"]",""),
new UserPreference(UserPreference.STRING_TYPE,"conn.uin"+i,"UIN", getStringProperty("conn.uin" + i)),
new UserPreference(UserPreference.PASS_TYPE,"conn.pass"+i,"Password", getStringProperty("conn.pass" + i)),
};
return p;
}

public UserPreference[] getUINPreference(){
UserPreference[] p = new UserPreference[uinCount()*2+1];
p[0] = new UserPreference(UserPreference.CATEGORY_TYPE,"conn", " UIN  ","");
for(int i=0;i<uinCount();i++){
p[i*2+1] = new UserPreference(UserPreference.STRING_TYPE,"conn.uin" + i,"UIN" + i,getProperty("conn.uin" + i,""));
p[i*2+2] = new UserPreference(UserPreference.PASS_TYPE,"conn.pass" + i,"Password" + i,getProperty("conn.pass" + i, ""));
}
return p;
}

public boolean isAutoStart(){
return getBooleanProperty("main.StartBot");
}


public boolean testAdmin(String uin) {
if(uin.equals("0")) {return true;} // 
String s = getStringProperty("bot.adminUIN")+";"+ MainProps.getStringProperty("main.hoz_uin");
if(s.equals("")) {return false;}
String[] ss = s.split(";");
try{
for(int i=0;i<ss.length;i++){
if(ss[i].equalsIgnoreCase(uin)) {return true;}
}
} catch(Exception ex){
ex.printStackTrace();
}
return false;
}

public boolean testNoBot(String uin) { //         
if(uin.equals("0")) {return true;}
String s = getStringProperty("adm.UIN")+ MainProps.getStringProperty("main.hoz_uin");
if(s.equals("")) {return false;}
String[] ss = s.split(";");
try{
for(int i=0;i<ss.length;i++){
if(ss[i].equalsIgnoreCase(uin)) {return true;}
}
} catch(Exception ex){
ex.printStackTrace();
}
return false;
}

public String[] getAdmins(){
return getStringProperty("bot.adminUIN").split(";");
}


public String loadText(String fname){
String s = "";
try {
BufferedReader r = new BufferedReader(new InputStreamReader(new FileInputStream(fname),"windows-1251"));
while (r.ready()) {
s += r.readLine() + "\n";
}
r.close();
} catch (Exception ex) {
ex.printStackTrace();
}
return s;
}


//public final void load() {
//File file = new File(PROPS_FILE);
//setDefault();
//try {
//FileInputStream fi = new FileInputStream(file);
////appProps.load(fi);
//appProps.loadFromXML(fi);
//fi.close();
//Log.info("Load preferences ok");
//} catch (Exception ex) {
//ex.printStackTrace();
//Log.error("Error opening preferences: ");
//}
//}

//public  void load(  ) {
//File file = new File(PROPS_FILE);
//if(!file.exists()){
//String[] xml = PROPS_FILE.split("/");
//Log.error(xml[2] + ".xml  !");
//return;
//}
//setDefault();
//try {
//FileInputStream fi = new FileInputStream(file);
//appProps.loadFromXML(fi);
//fi.close();
//Log.info("Load preferences ok");
//} catch (Exception ex) {
//ex.printStackTrace();
//Log.error("Error saving preferences: ");
//}
//}
public  void load(  ) {
File file = new File(PROPS_FILE);
if(!file.exists()){
String[] xml = PROPS_FILE.split("/");
Log.error(xml[2] + ".xml  !");
return;
}
setDefault();
try {
FileInputStream fi = new FileInputStream(file);
appProps.loadFromXML(fi);
fi.close();
Log.info("Load preferences ok");
} catch (Exception ex) {
ex.printStackTrace();
Log.error("Error opening preferences: ");
}
}

public final void save() {
File file = new File(PROPS_FILE);
File dir = new File(this.PROPS_FOLDER);
try {
if(!dir.exists())
dir.mkdirs();
FileOutputStream fo = new FileOutputStream(file);
appProps.storeToXML(fo, "jImBot properties");
fo.close();
Log.info("Save preferences ok");
} catch (Exception ex) {
ex.printStackTrace();
Log.error("Error saving preferences: ");
}
}

public   void del(String name) {
File i = new File (name);
if (i.exists()) {i.delete();}
}

//public final void save() {
//File file = new File(PROPS_FILE);
//File dir = new File(this.PROPS_FOLDER);
//try {
//if(!dir.exists()) {dir.mkdirs();}
//FileOutputStream fo = new FileOutputStream(file);
////appProps.store(fo,"jImBot properties");
//appProps.storeToXML(fo, "jImBot properties");
//fo.close();
//Log.info("Save preferences ok");
//} catch (Exception ex) {
//ex.printStackTrace();
//Log.error("Error saving preferences: ");
//}
//}

public int uinCount(){
return getIntProperty("conn.uinCount");
}

public String getUin(int i){
return getStringProperty("conn.uin"+i);
}

public String getPass(int i){
return getStringProperty("conn.pass"+i);
}

/**
*  
* @param i
* @param uin
* @param pass
*/
public void setUin(int i, String uin, String pass){
setStringProperty("conn.uin"+i, uin);
if(!pass.equals("")) {setStringProperty("conn.pass" + i, pass);}
}

/**
*     
* @param uin - 
* @param pass - 
* @return -    
*/
public int addUin(String uin, String pass){
int c = uinCount();
setIntProperty("conn.uinCount", c+1);
setStringProperty("conn.uin"+c, uin);
setStringProperty("conn.pass"+c, pass);
return c;
}





/**
*    
* @param c
*/
public void delUin(int c) {
//   
for(int i=0; i<(uinCount()-1); i++){
if(i>=c){
setStringProperty("conn.uin"+i, getUin(i+1));
setStringProperty("conn.pass"+i, getPass(i+1));
}
}
//   
appProps.remove("conn.uin"+(uinCount()-1));
appProps.remove("conn.pass"+(uinCount()-1));
setIntProperty("conn.uinCount", uinCount()-1);
}

public void registerProperties(Properties _appProps) {
appProps = _appProps;
}

public String getProperty(String key) {
return appProps.getProperty(key);
}

public String getStringProperty(String key) {
return appProps.getProperty(key);
}

public String getProperty(String key, String def) {
return appProps.getProperty(key,def);
}

public void setProperty(String key, String val) {
appProps.setProperty(key,val);
}

public void setStringProperty(String key, String val) {
appProps.setProperty(key,val);
}

public void setIntProperty(String key, int val) {
appProps.setProperty(key,Integer.toString(val));
}

public void setBooleanProperty(String key, boolean val) {
appProps.setProperty(key, val ? "true":"false");
}

public int getIntProperty(String key) {
return Integer.parseInt(appProps.getProperty(key));
}

public boolean getBooleanProperty(String key) {
return Boolean.valueOf(appProps.getProperty(key)).booleanValue();
}

public Properties getProps() {
return appProps;
}

	
/**
*   
* @param name
*/
//public void AddXmlConfig (String name){
//String Xml = "./services/chat/chat.xml";
//File NEW = new File(Xml);
//try {
//FileOutputStream fo = new FileOutputStream(NEW);
//appProps.storeToXML(fo, "jImBot properties");
//fo.close();
//Log.info(name + ".xml   !");
//} catch (Exception ex) {
//ex.printStackTrace();
//Log.error("Error saving preferences: ");
//}
//}

public void AddXmlConfig (String name){
String Xml = "./services/" + name + "/" + name + ".xml";
File NEW = new File(Xml);
try {
FileOutputStream fo = new FileOutputStream(NEW);
appProps.storeToXML(fo, "jImBot properties");
fo.close();
Log.info(name + ".xml   !");
} catch (Exception ex) {
ex.printStackTrace();
Log.error("Error saving preferences: ");
}
}

public void delAllUin()
  {
    for (int i = 0; i < uinCount() - 1; ++i){

    this.appProps.remove("conn.uin" + i);
    this.appProps.remove("conn.pass" + i);
    }
    setIntProperty("conn.uinCount", 0);
  }












public boolean testAdmin2(String uin) {
if (uin.equals("0")) return true;
String s = MainProps.getStringProperty("main.hoz_uin");
if (s.equals("")) return false;
String[] ss = s.split(";");
try {
for (int i = 0; i < ss.length; ++i)
if (ss[i].equalsIgnoreCase(uin)) return true;
}catch (Exception ex){
ex.printStackTrace();
}
return false;
}







}
