/**
 * JimBot - Java IM Bot
 * Copyright (C) 2006-2009 JimBot project
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package ru.jimbot.modules.chat;

//import org.pr_dim.jImBot.modules.IcqProc;
import ru.jimbot.db.DBAdaptor;
import ru.jimbot.modules.AbstractProps;
import ru.jimbot.modules.AbstractServer;
import ru.jimbot.modules.MsgInQueue;
import ru.jimbot.modules.UINmanager;

import ru.jimbot.protocol.IcqProtocol;
import ru.jimbot.util.MainProps;
import ru.jimbot.util.OtherProp;
import ru.jimbot.util.PlainProp;
import ru.jimbot.util.ShootingProp;


/**
 *
 * @author Prolubnikov Dmitry
 */
public class ChatServer extends AbstractServer{
public ChatConnection con;
public UserWork us;
public ChatQueue cq;
public MsgInQueue inq;
private ChatProps props = null;

/** Creates a new instance of ChatServer */
public ChatServer(String name) {
this.setName(name);
ChatProps.getInstance(name).load();
ShootingProp.getInstance(name).load(); // 
OtherProp.getInstance(name).load(); //
PlainProp.getInstance(name).load(); // 
cmd = new ChatCommandProc(this);
//us = new UserWork(name);
con = new ChatConnection(this);
con.server = MainProps.getServer();
con.port = MainProps.getPort();
con.proxy = MainProps.getProxy();
String[] icq = new String[ChatProps.getInstance(this.getName()).uinCount()];
String[] pass = new String[ChatProps.getInstance(this.getName()).uinCount()];
for(int i=0;i<ChatProps.getInstance(this.getName()).uinCount();i++){
icq[i] = ChatProps.getInstance(this.getName()).getUin(i);
pass[i] = ChatProps.getInstance(this.getName()).getPass(i);
}
con.uins = new UINmanager(icq, pass, con,
ChatProps.getInstance(this.getName()).getBooleanProperty("chat.IgnoreOfflineMsg"),
ChatProps.getInstance(this.getName()));
cq = new ChatQueue(this);
cq.start();
inq = new MsgInQueue(cmd);
}

    @Override
public void start() {

us = new UserWork(getName());


isRun = true;
inq.start();

if (MainProps.getBooleanProperty("billing.main.on.off")){
if (ChatProps.getInstance(this.getName()).getBooleanProperty("main.StartBot")){
if (ChatProps.getInstance(this.getName()).getBooleanProperty("billing.on.off")){
int bid= ChatProps.getInstance(this.getName()).getIntProperty("billing.id.system");
int off= ChatProps.getInstance(this.getName()).getIntProperty("billing.days.off.limited");
Users user = (Users) getDB().getObject("select * from users where id="+bid+"");
long tc =  user.billing;
long t = System.currentTimeMillis();
int dni = (int) ((tc - t) / (60000*60*24));
if ( dni <= off ) {
closeDB();
isRun = false;
inq.stop();
//if(!con.server.equals("")) con.uins.stop();
return;
}
}
}


if (ChatProps.getInstance(this.getName()).getBooleanProperty("billing.x.on.off")){
int bid= ChatProps.getInstance(this.getName()).getIntProperty("billing.x");
int off= ChatProps.getInstance(this.getName()).getIntProperty("billing.days.off.limited");
//Users user = (Users) getDB().getObject("select * from users where id="+bid+"");
long tc =  bid;
long t = System.currentTimeMillis()/60000;
int dni = (int) ((tc - t) / (60*24));
if ( dni <= off ) {
closeDB();
isRun = false;
inq.stop();
//if(!con.server.equals("")) con.uins.stop();
return;
}
}






}
if(!con.server.equals("")) {
con.uins.start();
}
for(int i=0;i<con.uins.count();i++){
inq.addReceiver((IcqProtocol)con.uins.proc.get(i));
}





//-
if(ChatProps.getInstance(this.getName()).getBooleanProperty("auto_status.on.off"))
((ChatCommandProc)this.cmd).xstatus.start();
//
if(ChatProps.getInstance(this.getName()).getBooleanProperty("word.on.off"))
((ChatCommandProc)this.cmd).word.start();
//
if(ChatProps.getInstance(this.getName()).getBooleanProperty("vic.on.off"))
((ChatCommandProc)this.cmd).Quiz.start();
//


}



@Override
public void stop() {
//-
if(ChatProps.getInstance(this.getName()).getBooleanProperty("auto_status.on.off"))
((ChatCommandProc)this.cmd).xstatus.stop();
//-
if(((ChatCommandProc)this.cmd).xstatus.isStart()) ((ChatCommandProc)this.cmd).xstatus.stop();
//
if(((ChatCommandProc)this.cmd).word.isStart()) ((ChatCommandProc)this.cmd).word.stop();
//
if(((ChatCommandProc)this.cmd).Quiz.isStart()) ((ChatCommandProc)this.cmd).Quiz.stop();
//   
closeDB();
if(!con.server.equals("")) con.uins.stop();
isRun = false;
inq.stop();
}

public void closeDB(){
us.closeDB();
}

public IcqProtocol getIcqProcess(String baseUin) {
if(!con.server.equals("")) {
for(int i=0; i<con.uins.count();i++){
if(con.uins.getUin(i).equalsIgnoreCase(baseUin))
return (IcqProtocol)con.uins.proc.get(i);
}
}
return null;
}

    @Override
public DBAdaptor getDB(){
return us.db;
}


    @Override
public AbstractProps getProps() {
if(props==null)
props = ChatProps.getInstance(this.getName());
return props;
}

    @Override
public IcqProtocol getIcqProcess(int baseUin) {
return con.uins.proc.get(baseUin);
}

    @Override
public int getIneqSize(){
return inq.size();
}

}