package ru.jimbot.modules.chat;

import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Statement;
import java.sql.Timestamp;
import java.util.Vector;

import ru.jimbot.db.DBAdaptor;
import ru.jimbot.db.DBObject;
import ru.jimbot.util.Log;

/**
 *
 * @author Prolubnikov Dmitry
 */
public class DBChat extends DBAdaptor{
private String serviceName = "";

/** Creates a new instance of DBChat */
public DBChat(String name) throws Exception {
serviceName = name;
}

public void createDB(){}

    /**
     *    
     */
public void log(int user, String sn, String type, String msg, int room){
if(!ChatProps.getInstance(serviceName).getBooleanProperty("chat.writeAllMsgs")) return;
try{
PreparedStatement pst = getDb().prepareStatement("insert into log values(null, ?, ?, ?, ?, ?, ?)");
pst.setTimestamp(1,new Timestamp(System.currentTimeMillis()));
pst.setInt(2,user);
pst.setString(3,sn);
pst.setString(4,type);
pst.setString(5,msg);
pst.setInt(6, room);
pst.execute();
pst.close();
} catch (Exception ex) {
ex.printStackTrace();
}
}

/**
*    
*/



public void event(int user, String sn, String type, int user2, String sn2, String msg) {
try {
PreparedStatement pst = getDb().prepareStatement("insert into events values(null, ?, ?, ?, ?, ?, ?, ?)");
pst.setTimestamp(1,new Timestamp(System.currentTimeMillis()));
pst.setInt(2,user);
pst.setString(3,sn);
pst.setString(4,type);
pst.setInt(5,user2);
pst.setString(6,sn2);
pst.setString(7,msg);
pst.execute();
pst.close();
} catch (Exception ex) {
ex.printStackTrace();
}
}


public void info(int user, String sn, String type, int user2, String sn2, String msg) {
try {
PreparedStatement pst = getDb().prepareStatement("insert into info values(null, ?, ?, ?, ?, ?, ?, ?)");
pst.setTimestamp(1,new Timestamp(System.currentTimeMillis()));
pst.setInt(2,user);
pst.setString(3,sn);
pst.setString(4,type);
pst.setInt(5,user2);
pst.setString(6,sn2);
pst.setString(7,msg);
pst.execute();
pst.close();
} catch (Exception ex) {
ex.printStackTrace();
}
}

public void sv_status(int user, String sn, String type, int user2, String sn2, String msg) {
try {
PreparedStatement pst = getDb().prepareStatement("insert into sv_status values(null, ?, ?, ?, ?, ?, ?, ?)");
pst.setTimestamp(1,new Timestamp(System.currentTimeMillis()));
pst.setInt(2,user);
pst.setString(3,sn);
pst.setString(4,type);
pst.setInt(5,user2);
pst.setString(6,sn2);
pst.setString(7,msg);
pst.execute();
pst.close();
} catch (Exception ex) {
ex.printStackTrace();
}
}

/**
*   
*/
public boolean existUserProps(int user_id){
boolean f = false;
try{
Vector<String[]> v = this.getValues("select count(*) from user_props where user_id="+user_id);
if(Integer.parseInt(v.get(0)[0])>0) f = true;
//if(openQuery("select count(*) from user_props where user_id="+user_id)){
//String[] s=readNext();
//if(Integer.parseInt(s[0])>0) f=true;
//closeQuery();
//}
} catch (Exception ex){
ex.printStackTrace();
}
return f;
}

/**
*   
*/
public Vector<String[]> getUserProps(int user_id){
Vector<String[]> v=new Vector<String[]>();
try{
v=getValues("select name, val from user_props where user_id="+user_id);
} catch (Exception ex){
ex.printStackTrace();
}
return v;
}

/**
*   
*/
public boolean setUserProps(int user_id, String name, String val){
boolean f = false;
try{
executeQuery("delete from user_props where user_id="+user_id+" and name='"+name + "'");
PreparedStatement pst = getDb().prepareStatement("insert into user_props values(?, ?, ?)");
pst.setString(2, name);
pst.setString(3, val);
pst.setInt(1, user_id);
pst.execute();
pst.close();
f = true;
} catch (Exception ex){
ex.printStackTrace();
}
return f;
}

public Invites getInvites(String q){
Invites in = new Invites();
ResultSet rst=null;
Statement stmt=null;
try{
stmt = getDb().createStatement(ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
Log.debug("EXEC: " + q);
rst = stmt.executeQuery(q);
rst.next();
in.id = rst.getInt(1);
in.user_id = rst.getInt(2);
in.time = rst.getTimestamp(3).getTime();
in.invite = rst.getString(4);
in.new_user = rst.getInt(5);
in.create_time = rst.getTimestamp(6).getTime();
} catch (Exception ex){
ex.printStackTrace();
} finally {
if(rst!=null) try{rst.close();} catch(Exception e) {};
if(stmt!=null) try{stmt.close();} catch(Exception e) {};
}
return in;
}

public void insertInvite(Invites in){
Log.debug("INSERT invite id=" + in.id);
try{
PreparedStatement pst = getDb().prepareStatement("insert into invites values (?,?,?,?,?,?,?)");
pst.setInt(1,in.id);
pst.setInt(2,in.user_id);
pst.setTimestamp(3,new Timestamp(in.time));
pst.setString(4,in.invite);
pst.setInt(5,in.new_user);
pst.setTimestamp(6,null/*new Timestamp(in.create_time)*/);
pst.setString(7, "");
pst.execute();
pst.close();
//commit();
} catch (Exception ex){
ex.printStackTrace();
}
}

public void updateInvite(Invites in){
Log.debug("UPDATE invite id=" + in.id);
try{
PreparedStatement pst = getDb().prepareStatement("update invites set user_id=?, time=?, invite=?, new_user=?, create_time=? where id=?");
pst.setInt(6,in.id);
pst.setInt(1,in.user_id);
pst.setTimestamp(2,new Timestamp(in.time));
pst.setString(3,in.invite);
pst.setInt(4,in.new_user);
pst.setTimestamp(5,new Timestamp(in.create_time));
pst.execute();
pst.close();
//commit();
} catch (Exception ex){
ex.printStackTrace();
}
}

public void clearOldInvites(int user_id){
try {
PreparedStatement pst = getDb().prepareStatement("delete from invites where user_id=" + user_id + " and new_user=0 and time<?");
pst.setTimestamp(1, new Timestamp(System.currentTimeMillis()-ChatProps.getInstance(serviceName).getIntProperty("chat.MaxInviteTime")*3600000));
pst.execute();
pst.close();
//commit();
} catch (Exception ex){
ex.printStackTrace();
}
}

public void clearOldInvites(String uid){
try {
PreparedStatement pst = getDb().prepareStatement("delete from invites where invite='" + uid + "' and new_user=0 and time<?");
pst.setTimestamp(1, new Timestamp(System.currentTimeMillis()-ChatProps.getInstance(serviceName).getIntProperty("chat.MaxInviteTime")*3600000));
pst.execute();
pst.close();
//commit();
} catch (Exception ex){
ex.printStackTrace();
}
}

public DBObject getObject(String q){
Users us = new Users();
ResultSet rSet=null;
Statement stmt=null;
try{
stmt = getDb().createStatement(ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
Log.debug("EXEC: " + q);
rSet = stmt.executeQuery(q);
rSet.next();
us.id = rSet.getInt(1);
us.sn = rSet.getString(2);
us.nick = rSet.getString(3);
us.localnick = rSet.getString(4);
us.fname = rSet.getString(5);
us.lname = rSet.getString(6);
us.email = rSet.getString(7);
us.city = rSet.getString(8);
us.homepage = rSet.getString(9);
us.gender = rSet.getInt(10);
us.birthyear = rSet.getInt(11);
us.birthmonth = rSet.getInt(12);
us.birthday = rSet.getInt(13);
us.age = rSet.getInt(14);
us.country = rSet.getInt(15);
us.language = rSet.getInt(16);
us.state =  rSet.getInt(17);
us.basesn = rSet.getString(18);
us.createtime = rSet.getTimestamp(19).getTime();
us.room = rSet.getInt(20);
if(rSet.getLong(21)==0) us.lastKick = System.currentTimeMillis(); else us.lastKick = rSet.getTimestamp(21).getTime();
if(rSet.getLong(22)==0) us.lastclosed = System.currentTimeMillis(); else us.lastclosed = rSet.getTimestamp(22).getTime();
if(rSet.getLong(23)==0) us.SP = System.currentTimeMillis(); else us.SP = rSet.getTimestamp(23).getTime();
us.ball = rSet.getInt(24);
us.viev = rSet.getInt(25);
us.odegd = rSet.getString(26);
us.giv = rSet.getString(27);
us.auto = rSet.getString(28);
us.dom = rSet.getString(29);
us.clansman = rSet.getInt(30);
us.clangroup =  rSet.getString(31);
us.ohran = rSet.getInt(32);
us.banks = rSet.getInt(33);
us.orujie = rSet.getInt(34);
if(rSet.getLong(35)==0)us.lastMod = System.currentTimeMillis(); else us.lastMod = rSet.getTimestamp(35).getTime();
if(rSet.getLong(36)==0)us.data = System.currentTimeMillis(); else us.data = rSet.getTimestamp(36).getTime();
us.bar = rSet.getString(37);
us.alcohol = rSet.getInt(38);
us.hp = rSet.getInt(39);
us.hp_ = rSet.getString(40);
us.bronya = rSet.getInt(41);
us.bronya_ = rSet.getString(42);
us.game = rSet.getInt(43);
us.score = rSet.getInt(44);
us.bomba = rSet.getInt(45);
us.holodnoe = rSet.getInt(46);
us.pushka = rSet.getString(47);
us.hold_org = rSet.getString(48);
us.sms = rSet.getInt(49);
if(rSet.getLong(50)==0)us.sms_t = System.currentTimeMillis(); else us.sms_t = rSet.getTimestamp(50).getTime();
//
us.pol = rSet.getInt(51);
us.smskiplat= rSet.getInt(52);
us.number = rSet.getInt(53);
us.answer = rSet.getInt(54);
us.smsstat = rSet.getInt(55);
if(rSet.getLong(56)==0)us.billing = System.currentTimeMillis(); else us.billing = rSet.getTimestamp(56).getTime();
//
us.carMax = rSet.getInt(57);
us.car = rSet.getString(58);
us.fuel = rSet.getInt(59);
us.win = rSet.getInt(60);
us.lost= rSet.getInt(61);
us.leavel = rSet.getInt(62);
us.id_auto = rSet.getInt(63);
us.cena = rSet.getInt(64);
//
us.wedding = rSet.getInt(65);
us.sv_status = rSet.getString(66);
us.ugroza = rSet.getInt(67);
//us.alkoTime = rSet.getTimestamp(68).getTime();
//closeQuery();
} catch (Exception ex){
ex.printStackTrace();
} finally {
if(rSet!=null) try{rSet.close();} catch(Exception e) {};
if(stmt!=null) try{stmt.close();} catch(Exception e) {};
}
return us;
}

public Vector<Users> getObjectVector(String q){
Vector<Users> v = new Vector<Users>();
ResultSet rSet=null;
Statement stmt=null;
try{
stmt = getDb().createStatement(ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
Log.debug("EXEC: " + q);
rSet = stmt.executeQuery(q);
while(rSet.next()) {
Users us = new Users();
us.id = rSet.getInt(1);
us.sn = rSet.getString(2);
us.nick = rSet.getString(3);
us.localnick = rSet.getString(4);
us.fname = rSet.getString(5);
us.lname = rSet.getString(6);
us.email = rSet.getString(7);
us.city = rSet.getString(8);
us.homepage = rSet.getString(9);
us.gender = rSet.getInt(10);
us.birthyear = rSet.getInt(11);
us.birthmonth = rSet.getInt(12);
us.birthday = rSet.getInt(13);
us.age = rSet.getInt(14);
us.country = rSet.getInt(15);
us.language = rSet.getInt(16);
us.state =  rSet.getInt(17);
us.basesn = rSet.getString(18);
us.createtime = rSet.getTimestamp(19).getTime();
us.room = rSet.getInt(20);
if(rSet.getLong(21)==0) us.lastKick = System.currentTimeMillis(); else us.lastKick = rSet.getTimestamp(21).getTime();
if(rSet.getLong(22)==0) us.lastclosed = System.currentTimeMillis(); else us.lastclosed = rSet.getTimestamp(22).getTime();
if(rSet.getLong(23)==0) us.SP = System.currentTimeMillis(); else us.SP = rSet.getTimestamp(23).getTime();
us.ball = rSet.getInt(24);
us.viev = rSet.getInt(25);
us.odegd = rSet.getString(26);
us.giv = rSet.getString(27);
us.auto = rSet.getString(28);
us.dom = rSet.getString(29);
us.clansman = rSet.getInt(30);
us.clangroup =  rSet.getString(31);
us.ohran = rSet.getInt(32);
us.banks = rSet.getInt(33);
us.orujie = rSet.getInt(34);
if(rSet.getLong(35)==0)us.lastMod = System.currentTimeMillis(); else us.lastMod = rSet.getTimestamp(35).getTime();
if(rSet.getLong(36)==0)us.data = System.currentTimeMillis(); else us.data = rSet.getTimestamp(36).getTime();
us.bar = rSet.getString(37);
us.alcohol = rSet.getInt(38);
us.hp = rSet.getInt(39);
us.hp_ = rSet.getString(40);
us.bronya = rSet.getInt(41);
us.bronya_ = rSet.getString(42);
us.game = rSet.getInt(43);
us.score = rSet.getInt(44);
us.bomba = rSet.getInt(45);
us.holodnoe = rSet.getInt(46);
us.pushka = rSet.getString(47);
us.hold_org = rSet.getString(48);
us.sms = rSet.getInt(49);
if(rSet.getLong(50)==0)us.sms_t = System.currentTimeMillis(); else us.sms_t = rSet.getTimestamp(50).getTime();
us.pol = rSet.getInt(51);
//
us.smskiplat= rSet.getInt(52);
us.number = rSet.getInt(53);
us.answer = rSet.getInt(54);
us.smsstat = rSet.getInt(55);
if(rSet.getLong(56)==0)us.billing = System.currentTimeMillis(); else us.billing = rSet.getTimestamp(56).getTime();
//
us.carMax = rSet.getInt(57);
us.car = rSet.getString(58);
us.fuel = rSet.getInt(59);
us.win = rSet.getInt(60);
us.lost= rSet.getInt(61);
us.leavel = rSet.getInt(62);
us.id_auto = rSet.getInt(63);
us.cena = rSet.getInt(64);
//
us.wedding = rSet.getInt(65);
us.sv_status = rSet.getString(66);
  us.ugroza = rSet.getInt(67);
//us.alkoTime = rSet.getTimestamp(67).getTime();
v.addElement(us);
}
//closeQuery();
} catch (Exception ex){
ex.printStackTrace();
} finally {
if(rSet!=null) try{rSet.close();} catch(Exception e) {};
if(stmt!=null) try{stmt.close();} catch(Exception e) {};
}
return v;
}

public void insertObject(DBObject o){
Users us = (Users)o;
Log.debug("INSERT user id=" + us.id);
try{
PreparedStatement pst = getDb().prepareStatement(
"insert into users values (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?," +
"?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?," +
"?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
pst.setInt(1,us.id);
pst.setString(2,us.sn);
pst.setString(3,us.nick);
pst.setString(4,us.localnick);
pst.setString(5,us.fname);
pst.setString(6,us.lname);
pst.setString(7,us.email);
pst.setString(8,us.city);
pst.setString(9,us.homepage);
pst.setInt(10,us.gender);
pst.setInt(11,us.birthyear);
pst.setInt(12,us.birthmonth);
pst.setInt(13,us.birthday);
pst.setInt(14,us.age);
pst.setInt(15,us.country);
pst.setInt(16,us.language);
pst.setInt(17,us.state);
pst.setString(18,us.basesn);
pst.setTimestamp(19,new Timestamp(us.createtime));
pst.setInt(20,us.room);
pst.setTimestamp(21,new Timestamp(us.lastKick));
pst.setTimestamp(22,new Timestamp(us.lastclosed));
pst.setTimestamp(23,new Timestamp(us.SP));
pst.setInt(24,us.ball);
pst.setInt(25,us.viev);
pst.setString(26,us.odegd);
pst.setString(27,us.giv);
pst.setString(28,us.auto);
pst.setString(29,us.dom);
pst.setInt(30,us.clansman);
pst.setString(31,us.clangroup);
pst.setInt(32, us.ohran);
pst.setInt(33, us.banks);
pst.setInt(34, us.orujie);
pst.setTimestamp(35,new Timestamp(us.lastMod));
pst.setTimestamp(36,new Timestamp(us.data));
pst.setString(37,us.bar);
pst.setInt(38,us.alcohol);
pst.setInt(39,us.hp);
pst.setString(40,us.hp_);
pst.setInt(41,us.bronya);
pst.setString(42,us.bronya_);
pst.setInt(43,us.game);
pst.setInt(44,us.score);
pst.setInt(45,us.bomba);
pst.setInt(46,us.holodnoe);
pst.setString(47,us.pushka);
pst.setString(48,us.hold_org);
pst.setInt(49,us.sms);
pst.setTimestamp(50,new Timestamp(us.sms_t));
pst.setInt(51,us.pol);
pst.setInt(52,us.smskiplat);
pst.setInt(53,us.number);
pst.setInt(54,us.answer);
pst.setInt(55,us.smsstat);
pst.setTimestamp(56,new Timestamp(us.billing));
//
pst.setInt(57,us.carMax);
pst.setString(58,us.car);
pst.setInt(59,us.fuel);
pst.setInt(60,us.win);
pst.setInt(61,us.lost);
pst.setInt(62,us.leavel);
pst.setInt(63,us.id_auto);
pst.setInt(64,us.cena);
//
pst.setInt(65,us.wedding);
pst.setString(66,us.sv_status);
pst.setInt(67,us.ugroza);
//pst.setTimestamp(68,new Timestamp(us.alkoTime));


pst.execute();
pst.close();
//commit();
} catch (Exception ex){
ex.printStackTrace();
}
}

public void updateObject(DBObject o){
Users us = (Users)o;
Log.debug("UPDATE user id=" + us.id);
try{
PreparedStatement pst = getDb().prepareStatement("update users set sn=?,nick=?," +
"localnick=?,fname=?,lname=?,email=?,city=?,homepage=?,gender=?," +
"birthyear=?,birthmonth=?,birthday=?,age=?,country=?,language=?," +
"state=?,basesn=?,createtime=?,room=?, lastkick=?, lastclosed=?, SP=?, " +
"ball=?, viev=?, odegd=?, giv=?, auto=?, dom=?, clansman=?, clangroup=?," +
"ohran=?, banks=?, orujie=?, lastMod=?, data=?, bar=?, alcohol=?," +
"hp=?, hp_=?, bronya=?, bronya_=?, game=?, score=?, bomba=?, holodnoe=?," +
"pushka=?, hold_org=?, sms=?, sms_t=?, pol=?," +
"smskiplat=?, number=?, answer=? , smsstat=?, billing=?,"+
"carMax=?, car=?, fuel=?, win=?, lost=?, leavel=?, id_auto=?, cena=?,"+
"wedding=?,sv_status=?,ugroza=? where id=" + us.id);
//pst.setInt(1,us.id);
pst.setString(1,us.sn);
pst.setString(2,us.nick);
pst.setString(3,us.localnick);
pst.setString(4,us.fname);
pst.setString(5,us.lname);
pst.setString(6,us.email);
pst.setString(7,us.city);
pst.setString(8,us.homepage);
pst.setInt(9,us.gender);
pst.setInt(10,us.birthyear);
pst.setInt(11,us.birthmonth);
pst.setInt(12,us.birthday);
pst.setInt(13,us.age);
pst.setInt(14,us.country);
pst.setInt(15,us.language);
pst.setInt(16,us.state);
pst.setString(17,us.basesn);
pst.setTimestamp(18,new Timestamp(us.createtime));
pst.setInt(19,us.room);
pst.setTimestamp(20,new Timestamp(us.lastKick));
pst.setTimestamp(21,new Timestamp(us.lastclosed));
pst.setTimestamp(22,new Timestamp(us.SP));
pst.setInt(23,us.ball);
pst.setInt(24,us.viev);
pst.setString(25,us.odegd); //    - 
pst.setString(26,us.giv); //     ""
pst.setString(27,us.auto); // 22,23,24  25 ,  
pst.setString(28,us.dom); //  1 
pst.setInt(29,us.clansman);
pst.setString(30,us.clangroup);
pst.setInt(31, us.ohran);
pst.setInt(32, us.banks);
pst.setInt(33, us.orujie);
pst.setTimestamp(34,new Timestamp(us.lastMod));
pst.setTimestamp(35,new Timestamp(us.data));
pst.setString(36,us.bar);
pst.setInt(37,us.alcohol);
pst.setInt(38,us.hp);
pst.setString(39,us.hp_);
pst.setInt(40,us.bronya);
pst.setString(41,us.bronya_);
pst.setInt(42,us.game);
pst.setInt(43,us.score);
pst.setInt(44,us.bomba);
pst.setInt(45,us.holodnoe);
pst.setString(46,us.pushka);
pst.setString(47,us.hold_org);
pst.setInt(48,us.sms);
pst.setTimestamp(49,new Timestamp(us.sms_t));
pst.setInt(50,us.pol);
pst.setInt(51,us.smskiplat);
pst.setInt(52,us.number);
pst.setInt(53,us.answer);
pst.setInt(54,us.smsstat);
pst.setTimestamp(55,new Timestamp(us.billing));
//
pst.setInt(56,us.carMax);
pst.setString(57,us.car);
pst.setInt(58,us.fuel);
pst.setInt(59,us.win);
pst.setInt(60,us.lost);
pst.setInt(61,us.leavel);
pst.setInt(62,us.id_auto);
pst.setInt(63,us.cena);
//
pst.setInt(64,us.wedding);
pst.setString(65,us.sv_status);
pst.setInt(66,us.ugroza);
//pst.setTimestamp(67,new Timestamp(us.alkoTime));


pst.execute();
pst.close();
//commit();
} catch (Exception ex){
ex.printStackTrace();
}
}

}
