package ru.jimbot.util;

import java.io.IOException;

import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;
import org.apache.log4j.PatternLayout;
import org.apache.log4j.RollingFileAppender;

public class OutputLogger {

    private OutputLogger() {}

    public static void initialiseLogger(String name, 
                                        String layout, 
                                        String path, 
                                        int maxBackups) throws IOException {

        if (LogManager.exists(name) != null) {
            return;
        }

        Logger logger = Logger.getLogger(name);
        PatternLayout patternLayout = new PatternLayout();
        patternLayout.setConversionPattern(layout);

        RollingFileAppender appender = new RollingFileAppender(
                                                        patternLayout, 
                                                        path,
                                                        true);
        appender.setMaxBackupIndex(maxBackups);
        appender.setMaxFileSize("1MB");
        logger.addAppender(appender);
    }

    public static synchronized void append(String name, String text) {
        Logger logger = Logger.getLogger(name);
        if (logger != null) {
            logger.info(text);
        }
    }
    
    public static void info(String name, String message, Throwable throwable) {
        Logger logger = Logger.getLogger(name);        
        if (logger != null) {
            logger.info(message, throwable);
        }
    }
  
    public static void warning(String name, String message, Throwable throwable) {
        Logger logger = Logger.getLogger(name);        
        if (logger != null) {
            logger.warn(message, throwable);
        }
    }  
  
    public static void debug(String name, String message) {
        Logger logger = Logger.getLogger(name);        
        if (logger != null) {
            logger.debug(message);
        }
    }
    
    public static void debug(String name, String message, Throwable throwable) {
        Logger logger = Logger.getLogger(name);        
        if (logger != null) {
           logger.debug(message, throwable);
        }
    }

    public static void error(String name, String message, Throwable throwable) {
        Logger logger = Logger.getLogger(name);        
        if (logger != null) {
            logger.error(message, throwable);
        }
    }
  
    public static void info(String name, String message) {
        Logger logger = Logger.getLogger(name);        
        if (logger != null) {
            logger.info(message);
        }
    }
  
    public static void warning(String name, String message) {
        Logger logger = Logger.getLogger(name);        
        if (logger != null) {
            logger.warn(message);
        }  
    }  
  
    public static void error(String name, String message) {
        Logger logger = Logger.getLogger(name);        
        if (logger != null) {
            logger.error(message);
        }  
    }
    
}



