/**
 * JimBot - Java IM Bot
 * Copyright (C) 2006-2009 JimBot project
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package ru.jimbot.modules.http;

import com.mysql.jdbc.Connection;
import com.mysql.jdbc.Statement;
import java.io.BufferedInputStream;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.lang.String;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
//import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.util.Date;
import java.util.HashSet;
import java.util.Map;
import java.util.Properties;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
//import ru.jimbot.modules.chat.PanelProc;
import ru.jimbot.Manager;
import ru.jimbot.modules.MsgStatCounter;
import ru.jimbot.modules.chat.ChatCommandProc;
import ru.jimbot.modules.chat.ChatProps;
import ru.jimbot.modules.chat.ChatServer;
import ru.jimbot.modules.chat.Users;
import ru.jimbot.table.UserPreference;
import ru.jimbot.util.BarProps;
import ru.jimbot.util.CreateService;
import ru.jimbot.util.Log;
import ru.jimbot.util.MainProps;
//import ru.jimbot.modules.chat.PanelProc;
import ru.jimbot.util.OtherProp;
import ru.jimbot.util.PlainProp;
import ru.jimbot.util.ShootingProp;

/**
 *   ,     
 * @author Prolubnikov Dmitry, fraer72
 */
public class MainPage extends HttpServlet {


public ChatServer srv;

    /*  */
    private ConcurrentHashMap <String, NoAuthorization> NoAuthorization = new ConcurrentHashMap<String, NoAuthorization>();
    /*pass*/
  // int SNKEY = 0;
    /*root*/
    private String userID = "";//    
    private long dt = 0; //   
 private Connection db;
    Class self;
    Class methodParamTypes[];


    @Override
    public void init() throws ServletException {
    	self = getClass();
        methodParamTypes = new Class[1];
        try {
	methodParamTypes[0] = Class.forName("ru.jimbot.modules.http.HttpConnection");
	} catch (ClassNotFoundException e) {
	e.printStackTrace();
        throw new ServletException(e.getMessage());
	}
        Log.http("init MainPage");
    }

    @Override
    public void destroy() {
        Log.http("destroy MainPage");
    }

    /**
     *    root`a
     * @param id
     * @return
     */

    private boolean checkSession(String id){
    boolean f = (System.currentTimeMillis()-dt)<MainProps.getIntProperty("http.delay")*60000;
    dt = System.currentTimeMillis();
    return userID.equals(id) && f;
    }

    /**
     *    
     * @param id
     * @param user
     * @return
     */
    private boolean checkSession_user(String id, String user){
    if(!MainProps.testUser(user)) return false;
    boolean f = (System.currentTimeMillis()-Manager.getInstance().getBeginning(user))<MainProps.getIntProperty("http.delay")*60000;
    Manager.getInstance().setBeginning(user, System.currentTimeMillis());
    return Manager.getInstance().getUid(user).equals(id) && f;
    }

    /**
     *    
     * @return
     */
    public String timeIn(){
    String s = "";
    Date date = new Date();
    s = date.getMinutes() + ":" + date.getHours() + "   " + date.getDay()+"/"+date.getMonth()+"/"+date.getYear();
    return s;
    }

    /**
     *     
     * @param con
     * @throws Exception
     */
    public void login(HttpConnection con) throws Exception {
     String ip = con.get("ip");
     String name = con.get("name");
     String pass = con.get("password");
     if(!NoAuthorization.containsKey(ip)){
     SrvUtil.error(con, "Error. It is not defined ip the address");
     return;
     }
     NoAuthorization no = NoAuthorization.get(ip);
     Integer loginErrCount = no.loginErrCount;
     long lastErrLogin = no.lastErrLogin;
     if(loginErrCount > MainProps.getIntProperty("http.maxErrLogin"))
     if((System.currentTimeMillis()-lastErrLogin) < (60000*MainProps.getIntProperty("http.timeBlockLogin"))) return;
        if (SrvUtil.getAuth(name, pass) == 0) {
            no.loginErrCount++;
            no.lastErrLogin = System.currentTimeMillis();
            NoAuthorization.put(ip, no);
            if((System.currentTimeMillis()-lastErrLogin) > (60000*MainProps.getIntProperty("http.timeErrLogin"))) loginErrCount=0;
        	SrvUtil.error(con, "Incorrect password");
            return;
        } else if (SrvUtil.getAuth(name, pass) == 1) {// root
        NoAuthorization.remove(ip);
        String uid = "root_"+ SrvUtil.getSessionId();
        userID = uid;
        dt = System.currentTimeMillis();
        con.addPair("uid", userID);
        main_page(con);
        } else if (SrvUtil.getAuth(name, pass) == 2) {// user
        NoAuthorization.remove(ip);
        Manager.getInstance().changeUser_ipAndTime(name, ip, timeIn());
        MainProps.changeUser_ipAndTime(name, ip, timeIn());
        String uid = name + "_" +  SrvUtil.getSessionId();
        Manager.getInstance().setUid(name, uid);
        Manager.getInstance().setBeginning(name, System.currentTimeMillis());
        con.addPair("uid", uid);
        con.addPair("us", name);
        main_page_user(con);
        }
    }

/**
*      
* @param p
* @return
*/
protected String prefToHtml(UserPreference[] p) {
String s = "<TABLE>";

for (int i = 0; i < p.length; i++) {

if (p[i].getType() == UserPreference.CATEGORY_TYPE) {
s += "<TR><TH ALIGN=LEFT><u>" + p[i].getDisplayedKey() + "</u></TD></TR>";
} else if (p[i].getType() == UserPreference.BOOLEAN_TYPE) {
s += "<TR><TH ALIGN=LEFT>" + p[i].getDisplayedKey() + "</TD> " +
"<TD><INPUT TYPE=CHECKBOX NAME=\"" + p[i].getKey() +
"\" VALUE=\"true\" " + ((Boolean) p[i].getValue() ? "CHECKED" : "") + "></TD></TR>";
} else if (p[i].getType() == UserPreference.TEXTAREA_TYPE) {
s += "<TR><TH ALIGN=LEFT>" + p[i].getDisplayedKey() + "</TD> " +
"<TD><TEXTAREA NAME=\"" + p[i].getKey() +"\" class=\"ta_text\" id=\""+ p[i].getKey() +"\">"+ p[i].getValue() + "</TEXTAREA>"+
"<img src=\"http://brother-hosting.ru/panel/resizer/resizer.gif\" class=\"resizer\" onMouseDown=\"textareaResizer(event, '"+ p[i].getKey() +"');\"></TD>"+
"</TR>";
} else if (p[i].getType() == UserPreference.SELECT_TYPE) {
s += "<TR><TH ALIGN=LEFT>" + p[i].getDisplayedKey() + "</TD> " +
"<TD> <SELECT style=\"width:170px\" NAME=\"" + p[i].getKey() +"\">"+
"<OPTION SELECTED VALUE=\""+p[i].getValue()+"\">"+p[i].getValue();

for (int ii = 0; ii < p[i].getAvailableValEx().length; ii++) {
s += "<OPTION VALUE=\""+p[i].getAvailableValEx()[ii][0]+"\">"+p[i].getAvailableValEx()[ii][1]+"</OPTION>";
}
s += "</SELECT></TD></TR>";
//}else {
//s += "<TR><TH ALIGN=LEFT>" + p[i].getDisplayedKey() + "</TD> " +
//"<TD><INPUT size=\"70\" TYPE=text NAME=\"" + p[i].getKey() +
//"\" VALUE=\"" + p[i].getValue() + "\"></TD></TR>";
//}
//}
//s += "</TABLE>";
//return s;
//}

} else {
s += "<TR><TH ALIGN=LEFT>"+p[i].getDisplayedKey()+ "</TD> " +
"<TD><div class=\"field\"><INPUT class=\"container\" size=\"70\" TYPE=text NAME=\"" + p[i].getKey() +
"\" VALUE=\"" + p[i].getValue() + "\"></div></TD></TR>";
}
}
s += "</TABLE>";
return s;
}
/*private String prefToHtml(UserPreference[] p) {
String s = "<TABLE>";
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.CATEGORY_TYPE){
s += "<TR><TH ALIGN=LEFT><u>" + p[i].getDisplayedKey() + "</u></TD></TR>";
} else if(p[i].getType()==UserPreference.BOOLEAN_TYPE) {
s += "<TR><TH ALIGN=LEFT>"+p[i].getDisplayedKey()+ "</TD> " +
"<TD><INPUT TYPE=CHECKBOX NAME=\"" + p[i].getKey() +
"\" VALUE=\"true\" " + ((Boolean)p[i].getValue() ? "CHECKED" : "") + "></TD></TR>";
} else {
s += "<TR><TH ALIGN=LEFT>"+p[i].getDisplayedKey()+ "</TD> " +
"<TD><div class=\"field\"><INPUT class=\"container\" size=\"70\" TYPE=text NAME=\"" + p[i].getKey() +
"\" VALUE=\"" + p[i].getValue() + "\"></div></TD></TR>";
}
}
s += "</TABLE>";
return s;
}*/

    /**
     *  
     * @param con
     * @throws IOException
     */
public void loginForm(HttpServletRequest request, HttpConnection con, String ip) throws IOException {
con.print(HTML_HEAD + "<TITLE>"+MainProps.VERSION+" </TITLE></HEAD>" + BODY+
"<table border=0 width=100% height=90%><tr>"+
"<td align=center><table border=0 cellpadding=0 cellspacing=0 width=300><tr>"+
"<td bgcolor=#ffcc00>"+
"<table border=0 cellpadding=3 cellspacing=1 width=300><tr>"+
"<td align=center bgcolor=#000000><font color=#ffcc00 face='Verdana, Arial, Helvetica, sans-serif' size=3><b>  </b></font></td></tr><tr>"+
"<td align=center bgcolor=#ffcc00><H2><font color=\"#000000\"></font></H2></td></tr><tr>"+
"<td align=center bgcolor=#000000>"+
"<FORM METHOD=POST ACTION=\"" + con.getURI()+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"login\"><INPUT TYPE=hidden NAME=\"ip\" VALUE=\"" + ip + "\">" +
"<TABLE><TR>"+
"<TH ALIGN=LEFT><font color=\"#ffcc00\">:</font></Th>" +
"<TD><INPUT TYPE=text NAME=\"name\" SIZE=20></TD>"+
" <td rowspan=\"2\"><img src=\"http://globalme.ru/panel/auth.png\" alt=\"\"></TD>"+
"</TR>" +
"<TR><TH ALIGN=LEFT><font color=\"#ffcc00\">:</font></Th>" +
"<TD><INPUT TYPE=password NAME=\"password\" SIZE=20></TD></TR></TABLE><P>" +
"<INPUT TYPE=submit VALUE=\"\"></FORM>"+
"</td></tr>"+
"</table></td></tr></table>"+
"<font color=\"#1d1616\" face='Verdana, Arial, Helvetica, sans-serif' size=1>&copy; mod By warik777 & dim@X</font></a></td>"+

        "</tr>"+
"</FORM></body></html>");



MainProps.setStringProperty("botip", request.getRemoteHost());
MainProps.save();
    

}
    





public void main_page_user(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
Integer a = 1;
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
Manager.getInstance().setBeginning(us, System.currentTimeMillis());
String services = Manager.getInstance().getServicesUser(us);//   
if(services.equals("") || services == null){
SrvUtil.message(con, "       !");
}
String[] sn = services.split(";");
String s = "<TABLE id=\"tabs10\">";
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE>" +
"<style type=\"text/css\">   " +

"#tabs10 {float:left;font-size:93%;border-bottom:1px solid #2763A5;line-height:normal;} "+
"#tabs10 ul {margin:0;padding:10px 10px 0 50px;list-style:none;} "+
"#tabs10 li {display:inline;margin:0;padding:0;} "+
"#tabs10 a {float:left;background:url(\"http://cs978.vkontakte.ru/u38628898/99415277/x_a002cee6.jpg\") no-repeat left top;margin:0;padding:0 0 0 4px;text-decoration:none;} "+
"#tabs10 a span {float:left;display:block;background:url(\"http://cs978.vkontakte.ru/u38628898/99415277/x_ea28d276.jpg\") no-repeat right top;padding:5px 15px 4px 6px;color:#181527;} "+
/* Commented Backslash Hack hides rule from IE5-Mac \*/
"#tabs10 a span {float:none;} "+
/* End IE5-Mac hack */
"#tabs9 a:hover span {color:#FFF;} "+
"#tabs10 a:hover {background-position:0% -42px;} "+
"#tabs10 a:hover span {background-position:100% -42px;} "+
"#tabs10 #current a {background-position:0% -42px;} "+
"#tabs10 #current a span {background-position:100% -42px;} "+
"TABLE {        }   TD {         padding: 2px;     );    }  </style>"+"</HEAD>" + BODY +
"<div>"+
//"<span style=\"color: #ff0000;\"><span style=\"font-family: &quot;Comic Sans MS&quot;, sans-serif;\"><span style=\"font-size: large;\"><span style=\"font-family: &quot;Comic Sans MS&quot;, sans-serif;\"><span style=\"color: #FFFF00;\">  </span>  by dimax &amp; warik</span></span></span></span><span style=\"font-family: &quot;Comic Sans MS&quot;, sans-serif;\"><span style=\"font-size: large;\"><span style=\"color: #ff0000;\"><span style=\"color: #FFFF00;\"> &nbsp;&copy; 23.02.2011</span></span></span></span>"  +
  "<div><b>    by dimax & warik   ADMIN EDITION GAME (1.07.11)<b><br></div>"+
        "</div>"+
"<div id=\"tabs10\">"+
"<ul>"+
"<li><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=users_change_pass&us="+us+"\"><span> </span></A></li>"+
"<li><a href=\"" + con.getURI() + "?uid=" + uid + "&page=Tags\"><span></span></a></li>"+
"<li><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=exit\"><span>Exit</span></A></li>"+

"</ul>"+
"</div><BR><BR><BR>");
con.print(MainProps.getStringProperty("nebolsjoytext")+"<BR>");
for(int i=0; i<sn.length; i++){
if (MainProps.getBooleanProperty("billing.main.on.off")){
//if ((MainProps.getBooleanProperty("billing.main.on.off") && !MainProps.getBooleanProperty("pause.servise")) ||(MainProps.getBooleanProperty("pause.servise")&&Manager.getInstance().getService(sn[i]).isRun && MainProps.getBooleanProperty("billing.main.on.off"))){
if (Manager.getInstance().getService(sn[i]).getProps().getBooleanProperty("main.StartBot")){
if (Manager.getInstance().getService(sn[i]).getProps().getBooleanProperty("billing.on.off")){
int bid= Manager.getInstance().getService(sn[i]).getProps().getIntProperty("billing.id.system");
Users user = (Users) Manager.getInstance().getService(sn[i]).getDB().getObject("select * from users where id="+bid+"");
Date date = new Date(user.billing);
String bilDate = date.getDate() + "." + (1+date.getMonth()) + "." +(1900+ date.getYear()) + ". " + date.getHours() + ":" + date.getMinutes()+ ":" + date.getSeconds();
long tc =  user.billing;
long t = System.currentTimeMillis();
int dni = (int) ((tc - t) / (60000*60*24));
s += "<TR><td colspan=\"12\">  " +bilDate+".     "+dni+" </td></TR>";
}else if (Manager.getInstance().getService(sn[i]).getProps().getBooleanProperty("billing.x.on.off")){
int bid= Manager.getInstance().getService(sn[i]).getProps().getIntProperty("billing.x");
//Users user = (Users) Manager.getInstance().getService(sn[i]).getDB().getObject("select * from users where id="+bid+"");
//Date date = new Date(user.billing);
//String bilDate = date.getDate() + "." + (1+date.getMonth()) + "." +(1900+ date.getYear()) + ". " + date.getHours() + ":" + date.getMinutes()+ ":" + date.getSeconds();
long tc =  bid;
long t = System.currentTimeMillis()/60000;
int dni = (int) ((tc - t) / (60*24));
s += "<TR><td colspan=\"12\">    "+dni+" </td></TR>";
}
}
}
s += "<TR><TH ALIGN=LEFT>" + a + ") " + sn[i] + "</TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=srvs_tarif_info&ns="+ sn[i] +"\"><span></span></A></TD>";

s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=srvs_props&ns="+sn[i]+"\"><span></span></A></TD>";


s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&us=" + us + "&page=srvs_adm&ns="+sn[i]+"\"><span></span></A></TD>";

s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=srvs_other&ns="+sn[i]+"\"><span></span></A></TD>";

s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=srvs_new&ns="+sn[i]+"\"><span></span></A></TD>";

s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=amunicia&ns="+sn[i]+"\"><span></span></A></TD>";

s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=inshop&ns="+sn[i]+"\"><span></span></A></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=srvs_laid&ns="+sn[i]+"\"><span></span></A></TD>";


//s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=srvs_weapon&ns="+sn[i]+"\"><span></span></A></TD>";

s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=srvs_magazin&ns="+sn[i]+"\"><span></span></A></TD>";

//s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=srvs_texts&ns="+sn[i]+"\"><span></span></A></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=robbot&ns="+sn[i]+"\"><span></span></A></TD>";




s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=user_group_props&ns=" + sn[i] + "\"><span></span></A></TD>";

//s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=srvs_defult_setting&ns="+ sn[i]+"\"onclick=\"return confirm('         ?')\"><span></span></A></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=srvs_stats&ns="+ sn[i] +"\"><span></span></A></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=uin_activ&ns="+sn[i]+"\"><span></span></A></TD>";




if (Manager.getInstance().getService(sn[i]).getProps().getBooleanProperty("main.StartBot")){
if(Manager.getInstance().getService(sn[i]).isRun){
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=restart_service&ns="+sn[i]+"\"><span></span></A></TD>";
s += "<TD><form method=post title=\"   \"><input type=button onclick=location.href=\"" + con.getURI() +
"?uid=" + uid + "&us=" + us + "&page=srvs_stop&ns="+sn[i]+"\" name=\"openFile\" value= ></form> </TD>";
} else {
s += "<TD><form method=post title=\"   \"><input type=button onclick=location.href=\"" + con.getURI() +
"?uid=" + uid +  "&us=" + us +  "&page=srvs_start&ns="+sn[i]+"\" name=\"openFile\" value=></form> </TD>";
}
}else {
if(Manager.getInstance().getService(sn[i]).isRun){
s += "<TD><form method=post title=\"   \"><input type=button onclick=location.href=\"" + con.getURI() +
"?uid=" + uid + "&us=" + us + "&page=srvs_stop&ns="+sn[i]+"\" name=\"openFile\" value=></form> </TD>";
}
}
s += "</TR>";
a++;
}
s += "</TABLE>";
con.print(s);
con.print("</FONT></BODY></HTML>");
}

/**
*    .   
* @param con
* @throws IOException
*/
public void main_page(HttpConnection con) throws IOException {

int i = 1;
String uid = con.get("uid");
if(!checkSession(uid)) {
SrvUtil.error(con," !");
return;
}
dt = System.currentTimeMillis();
con.print(HTML_HEAD + "<TITLE>"+MainProps.VERSION+" </TITLE></HEAD>");
con.print( //HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE>" +

"<table width=\"100%\" border=\"0\">"+
"<tr>"+
//"<td width=\"62%\"><span style=\"color: #ff0000;\"><span style=\"font-family: &quot;Comic Sans MS&quot;, sans-serif;\"><span style=\"font-size: large;\"><span style=\"font-family: &quot;Comic Sans MS&quot;, sans-serif;\"><span style=\"color: #FFFF00;\">  </span> <br> by dimax &amp; warik</span></span></span></span><span style=\"font-family: &quot;Comic Sans MS&quot;, sans-serif;\"><span style=\"font-size: large;\"><span style=\"color: #ff0000;\"><span style=\"color: #FFFF00;\"> &nbsp;&copy; 23.02.2011</span></span></span></span></td>"+
"<td width=\"62%\"><b>    by dimax & warik   ADMIN EDITION GAME (1.07.11)</b></td>"+

        "<td width=\"38%\">"+
"<a href=\"" + con.getURI() + "?uid=" + uid + "&page=main_props\"><img src=\"http://globalme.ru/panel/options.png\" alt=\" \" title=\" \"></a>"+
"<a href=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_manager\"><img src=\"http://globalme.ru/panel/service.png\" alt=\" \" title=\" \"></a>"+
"<a href=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_adminUIN\"><img src=\"http://globalme.ru/panel/host.png\" alt=\"\" title=\"\"></a>"+
"<a href=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_tarif\" name=\"openFile\"><img src=\"http://cdn1.iconfinder.com/data/icons/48_px_web_icons/48/Billing.png\" alt=\"\" title=\"\"></a>"+
"<A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_UINpro\"><img src=\"http://globalme.ru/panel/uin.png\" alt=\"uins\" title=\"uins\"></A>"+
"<a href=\"" + con.getURI() + "?uid=" + uid + "&page=users_manager\"><img src=\"http://globalme.ru/panel/users.png\" alt=\"\" title=\"\"></a>"+
"<a href=\"" + con.getURI() + "?uid=" + uid + "&page=Tags\"><img src=\"http://globalme.ru/panel/help.png\" alt=\"\" title=\"\"></a>"+
"<A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=hosting\"><img src=\"http://globalme.ru/panel/res.png\" alt=\"\" title=\"\"></a>"+
"<a href=\"" + con.getURI() + "?uid=" + uid + "&page=restart_bot\"><img src=\"http://globalme.ru/panel/restart.png\" alt=\"\" title=\"\"></a>"+
"<a href=\"" + con.getURI() + "?uid=" + uid + "&page=stop_bot\" name=\"openFile\"><img src=\"http://globalme.ru/panel/stop.png\" alt=\"\" title=\"\" onclick=\"return confirm(' ?')\"></a>"+
"</td>"+
"</tr>"+
"<tr>"+
"<td colspan=\"2\">"+
"<style type=\"text/css\">   " +
"#tabs10 {float:left;font-size:93%;border-bottom:1px solid #2763A5;line-height:normal;} "+
"#tabs10 ul {margin:0;padding:10px 10px 0 50px;list-style:none;} "+
"#tabs10 li {display:inline;margin:0;padding:0;} "+
"#tabs10 a {float:left;background:url(\"http://cs978.vkontakte.ru/u38628898/99415277/x_a002cee6.jpg\") no-repeat left top;margin:0;padding:0 0 0 4px;text-decoration:none;} "+
"#tabs10 a span {float:left;display:block;background:url(\"http://cs978.vkontakte.ru/u38628898/99415277/x_ea28d276.jpg\") no-repeat right top;padding:5px 15px 4px 6px;color:#181527;} "+
/* Commented Backslash Hack hides rule from IE5-Mac \*/
"#tabs10 a span {float:none;} "+
/* End IE5-Mac hack */
"#tabs9 a:hover span {color:#FFF;} "+
"#tabs10 a:hover {background-position:0% -42px;} "+
"#tabs10 a:hover span {background-position:100% -42px;} "+
"#tabs10 #current a {background-position:0% -42px;} "+
"#tabs10 #current a span {background-position:100% -42px;} "+
"TABLE {        }   TD {         padding: 2px;     );    }  </style>" + BODY+
"<div id=\"tabs10\">"+"</ul>"+"</div><BR>");
con.print("<div><b>   !" 


        + "<b><br><br></div>");
con.print(MainProps.getStringProperty("nebolsjoytext"));
if(MainProps.getStringProperty("http.user").equals("admin") && MainProps.getStringProperty("http.pass").equals("admin"))
con.print("<H1><FONT COLOR=\"#c71585\">       " +
"        !    .</FONT></H1>");
con.print("</td>   </tr></table>" );
String s = "<TABLE id=\"tabs10\">";
for(String n:Manager.getInstance().getServiceNames()){

s += "<TR><TH ALIGN=LEFT>" + i + ") " + n + "</TD>";

s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=DB_props&ns="+n+"\"><span></span></A></TD>";

s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_props&ns="+n+"\"><span></span></A></TD>";




s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_adm&ns="+n+"\"><span></span></A></TD>";

s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_other&ns="+n+"\"><span></span></A></TD>";

s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_new&ns="+n+"\"><span></span></A></TD>";

s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=amunicia&ns="+n+"\"><span></span></A></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_laid&ns="+n+"\"><span></span></A></TD>";





s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=inshop&ns="+n+"\"><span></span></A></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_magazin&ns="+n+"\"><span></span></A></TD>";
//s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=uin_activ&ns="+n+"\"><span>!</span></A></TD>";
//s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=ActivateUIN&ns="+n+"\"><span>!</span></A></TD>";

s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_props_uin&ns="+n+"\"><span>UINs</span></A></TD>";

//s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_pass&ns="+n+"\"><span>.</span></A></TD>";

//s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_texts&ns="+n+"\"><span></span></A></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=robbot&ns="+n+"\"><span></span></A></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=user_group_props&ns=" + n + "\"><span></span></A></TD>";

//s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_stats&ns="+n+"\"><span></span></A></TD>";
//s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_defult_setting&ns="+n+"\" onclick=\"return confirm('  ?')\"><span></span></A></TD>";



////        * (dimax uin 963737) billing
if (MainProps.getBooleanProperty("billing.main.on.off")){
//if ((MainProps.getBooleanProperty("billing.main.on.off") && !MainProps.getBooleanProperty("pause.servise")) ||(MainProps.getBooleanProperty("pause.servise")&&!Manager.getInstance().getService(n).getDB(). && MainProps.getBooleanProperty("billing.main.on.off"))){
if (Manager.getInstance().getService(n).getProps().getBooleanProperty("main.StartBot")){
if (Manager.getInstance().getService(n).getProps().getBooleanProperty("billing.on.off")){
int bid= Manager.getInstance().getService(n).getProps().getIntProperty("billing.id.system");
int off= Manager.getInstance().getService(n).getProps().getIntProperty("billing.days.off.limited");
Users user = (Users) Manager.getInstance().getService(n).getDB().getObject("select * from users where id="+bid+"");
long tc =  user.billing;

long t = System.currentTimeMillis();
int dni = (int) ((tc - t) / (60000*60*24));

if ( dni <= off ) {
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_delete&ns="+n+"\"><span style=\"color: #ff0000;\" onclick=\"return confirm(' ?')\"></span></A></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_minus&ns="+n+"\"><span>-</span></A></TD>";
s += "<TD>" + dni + "<span> </span></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_plus&ns="+n+"\"><span>+</span></A></TD>";
} else {
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_minus&ns="+n+"\"><span>-</span></A></TD>";
s += "<TD>" + dni + "<span> </span></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_plus&ns="+n+"\"><span>+</span></A></TD>";
}
}
}
}
////////////////////////////////
if (Manager.getInstance().getService(n).getProps().getBooleanProperty("main.StartBot")){
if (Manager.getInstance().getService(n).getProps().getBooleanProperty("billing.x.on.off")){
long tc =  Manager.getInstance().getService(n).getProps().getIntProperty("billing.x");
int off= Manager.getInstance().getService(n).getProps().getIntProperty("billing.days.off.limited");
long t = System.currentTimeMillis()/60000;
int dni = (int) ((tc - t) / (60*24));
if ( dni <= off ) {
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_delete&ns="+n+"\"><span style=\"color: #ff0000;\" onclick=\"return confirm(' ?')\"></span></A></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_minus&ns="+n+"\"><span>-</span></A></TD>";
s += "<TD>" + dni + "<span> </span></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_plus&ns="+n+"\"><span>+</span></A></TD>";
} else {
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_minus&ns="+n+"\"><span>-</span></A></TD>";
s += "<TD>" + dni + "<span> </span></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_plus&ns="+n+"\"><span>+</span></A></TD>";
}
}
}
/////////////////////

if (Manager.getInstance().getService(n).getProps().getBooleanProperty("main.StartBot")){
if(Manager.getInstance().getService(n).isRun){
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=restart_service&ns="+n+"\"><span>R</span></A></TD>";
s += "<TD><form method=post title=\"   \"><input type=button onclick=location.href=\"" + con.getURI() +
"?uid=" + uid + "&page=srvs_stop&ns="+n+"\" name=\"openFile\" value=.></form> </TD>";
} else {
s += "<TD><form method=post title=\"   \"><input type=button onclick=location.href=\"" + con.getURI() +
"?uid=" + uid + "&page=srvs_start&ns="+n+"\" name=\"openFile\" value=.></form> </TD>";
}
}else {
if(Manager.getInstance().getService(n).isRun){
s += "<TD><form method=post title=\"   \"><input type=button onclick=location.href=\"" + con.getURI() +
"?uid=" + uid + "&page=srvs_stop&ns="+n+"\" name=\"openFile\" value=.></form> </TD>";
}
}
s += "</TR>";
i++;
}
s += "</TABLE>";




con.print(s);
con.print("</FONT></BODY></HTML>");

}

public void  hosting(HttpConnection con) throws IOException {
String uid = con.get("uid");
if (!checkSession(uid)) {
SrvUtil.error(con, " !");
return;
}
con.print(HTML_HEAD + "<TITLE>" + MainProps.VERSION + " </TITLE></HEAD>" + BODY);
con.print("<p align=\"center\"><b><FONT COLOR=\"#006400\">" + MainProps.VERSION + "</FONT></b></p>");
con.print("<center><H3> :</H3></center>");
con.print("<center><br> : " + (Runtime.getRuntime().totalMemory() / 1024 / 1024) + " MB</center>");
con.print("<center><br> : " + (Runtime.getRuntime().freeMemory() / 1024 / 1024) + " MB</center>");
con.print("<center><br> : " + ((Runtime.getRuntime().totalMemory() - Runtime.getRuntime().freeMemory()) / 1024 / 1024) + " MB</center>");
con.print("<center><br>Max.: " + (Runtime.getRuntime().maxMemory() / 1024 / 1024) + " MB</center>");
double percent = (Runtime.getRuntime().totalMemory() / 1024 / 1024 - Runtime.getRuntime().freeMemory() / 1024 / 1024) / Runtime.getRuntime().totalMemory() / 1024 / 1024 / 100;
con.print("<center><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"300\">\n<TBODY><tr><td bgcolor=\"red\" width=\"" + percent + "%\" height=\"10\"></td>" +
"<td bgcolor=\"green\" width=\"" + (100- percent) + "%\" height=\"10\"></td>" + "</tr><tr><td style=\"text-align: center\">" + percent + "%</td>" +
"<td style=\"text-align: centr\">" + (100 - percent) + "%</td></tr></TBODY></table></center><br><br>");
con.print("<center><P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\"></FORM></center>");
con.print("</FONT></BODY></HTML>");






}


/**
 *  
 * @param con
 * @throws IOException
 */
public void srvs_UINpro(HttpConnection con) throws IOException {
//String uid = con.get("uid");
//if(!checkSession(uid)) {
//SrvUtil.error(con," !");
//return;
//}
//if(!checkSession(uid))
//if(!checkSession_user(uid, us)) {
//SrvUtil.error(con," !");
//return;
//}
    String ns = con.get("ns");
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
con.print(HTML_HEAD + "<TITLE>Jimbot"+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2><font color =\"#FFFF00\">  </font></H2>" +
"<H3>    </H3>");
String s = "<TABLE BORDER=\"1\"><TR><TD>uin;</TD></TR>";

for(String n:Manager.getInstance().getServiceNames()){

s += "<TR><TH ALIGN=LEFT>"+n+"</TR>";
for (int i = 0; i < Manager.getInstance().getService(n).getProps().uinCount(); ++i) {
s += "<TD>" +Manager.getInstance().getService(n).getProps().getUin(i) + ";" + Manager.getInstance().getService(n).getProps().getPass(i)+"</td>";
s += "</TR>";
}
}
s += "</TABLE><FORM>";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onclick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\"></FORM>");
con.print("</FONT></BODY>");
}

/**
*  
* @param con
* @throws IOException
*/
public void stop_bot(HttpConnection con) throws IOException {
String uid = con.get("uid");
if(!checkSession(uid)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");

String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
Manager.getInstance().exit();
printOkMsg(con,"main_page");
}

public void restart_bot(HttpConnection con) throws IOException {
String uid = con.get("uid");
if(!checkSession(uid)) {
SrvUtil.error(con," !");
return;
}

Manager.restart();
printMsgRestart(con,"main_page", " ...");
}

public void restart_service(HttpConnection con) throws IOException {
String ns = con.get("ns");
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
Manager.getInstance().restartService(ns);
String page = us == null ? "main_page" : "main_page_user";
printMsgRestart_service(con,page, "  \"" + ns.replace("&ns=", "") + "\" ...");
}


public void printMsgRestart_service(HttpConnection con, String pg, String msg) throws IOException {
String ns = con.get("ns");
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
ns = ns==null ? "" : "&ns="+ns;
con.print(HTML_HEAD +
"<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
"<H3><FONT COLOR=\"#004000\">" +
msg + " </FONT></H3>");
con.print("<P><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" +
pg + ns +"\">" + "</A><br>");
con.print("</FONT></BODY></HTML>");
}


public void printMsgRestart(HttpConnection con, String pg, String msg) throws IOException {
String ns = con.get("ns");
String uid = con.get("uid");
if(!checkSession(uid)) {
SrvUtil.error(con," !");
return;
}
ns = ns==null ? "" : "&ns="+ns;
con.print(HTML_HEAD +
"<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
"<H3><FONT COLOR=\"#004000\">" +
msg + " </FONT></H3>");
con.print("<P><A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=" +
pg + ns +"\">" + "</A><br>");
con.print("</FONT></BODY></HTML>");
}

/**
*    
* @param con
* @throws IOException
*/
public void srvs_stats(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(HTML_HEAD + "<meta http-equiv=\"Refresh\" content=\"3; url=" +
con.getURI() + "?uid=" + uid + "&us=" + us +"&page=srvs_stats&ns="+ ns + "\" />" +
"<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
"<H3>  " + ns + "</H3>");
con.print("  : " + Manager.getInstance().getService(ns).getIneqSize() + "<br>");
con.print("  : <br>");
for(int i=0;i<Manager.getInstance().getService(ns).getProps().uinCount();i++){
    String images = "<img src=\"http://web.icq.com/whitepages/online?icq="+Manager.getInstance().getService(ns).getProps().getUin(i)+"&img=5\" alt=\">>\"/>";
con.print(images  + Manager.getInstance().getService(ns).getProps().getUin(i) +

(Manager.getInstance().getService(ns).getIcqProcess(i).isOnLine() ? "  [ ON]  " : "  [OFF]  ") +
Manager.getInstance().getService(ns).getIcqProcess(i).getOuteqSize() +
", :" + Manager.getInstance().getService(ns).getIcqProcess(i).mq.getLostMsgCount() + "<br>");
}
con.print("<br>    :<br>");
String s = "<TABLE BORDER=\"1\"><TR><TD>UIN</TD><TD>1 </TD><TD>5 </TD><TD>60 </TD><TD>24 </TD><TD></TD></TR>";
int c = Manager.getInstance().getService(ns).getProps().uinCount();
for(int i=0;i<c;i++){
String u = Manager.getInstance().getService(ns).getProps().getUin(i);
s += "<TR><TD>" + u +
"</TD><TD>" + MsgStatCounter.getElement(u).getMsgCount(MsgStatCounter.M1) +
"</TD><TD>" + MsgStatCounter.getElement(u).getMsgCount(MsgStatCounter.M5) +
"</TD><TD>" + MsgStatCounter.getElement(u).getMsgCount(MsgStatCounter.M60) +
"</TD><TD>" + MsgStatCounter.getElement(u).getMsgCount(MsgStatCounter.H24) +
"</TD><TD>" + MsgStatCounter.getElement(u).getMsgCount(MsgStatCounter.ALL) +
"</TD></TR>";
}
s += "</TABLE><FORM>";
con.print(s);
String page = us==null ? "main_page" : "main_page_user";
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" + page + "\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
*    
* @param con
* @throws IOException
*/
public void srvs_pass(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid)){
//if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
con.print("<H3>    " + ns + "</H3>");
        String ss3 = "";
con.print("  ;: <br>");
for(int i=0;i<Manager.getInstance().getService(ns).getProps().uinCount();i++){
//con.print(Manager.getInstance().getService(ns).getProps().getUin(i) +";" +Manager.getInstance().getService(ns).getProps().getPass(i)+"<br>");
ss3 +=    Manager.getInstance().getService(ns).getProps().getUin(i) +";" +Manager.getInstance().getService(ns).getProps().getPass(i)+"\n";
}

//ss3 = loadText("./text/"+ns+"/rules.txt").split("<br>");
con.print("<textarea name=\"msg2\" cols=\"25\" rows=\"20\" >"+ss3+"</textarea>");
//for(int i=0;i<ss3.length;i++){
//con.print("<FORM METHOD=POST ACTION=\""+con.getURI()+"\">"+
//"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_texts_in\">"+
//"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\""+ns+"\">"+
//"<INPUT TYPE=hidden NAME=\"us\" VALUE=\""+us+"\">"+
//"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">"+
//"<br><legend> </legend>"+
//"<textarea name=\"texts2\" cols=\""+MainProps.getIntProperty("textarea.cols")+"\"  rows=\""+MainProps.getIntProperty("textarea.rows")+"\">"+ss3[i]+"</textarea>"+
//"<div class=\"clearfloat\"></div><br>"+"<center><input type=submit value=\"\"/></center>");
//    }

String page = us==null ? "main_page" : "main_page_user";
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" + page + "\"></FORM>");
con.print("</FONT></BODY></HTML>");

    }


/**
*    
* @param con
* @throws IOException
*/
public void uin_activ(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}

con.print("<H3>   " + ns + "</H3>");
for(int i=0;i<Manager.getInstance().getService(ns).getProps().uinCount();i++){
String sa = MainProps.getStringFromHTTP("http://validate.icq.com/icq/validate.html?uid="+Manager.getInstance().getService(ns).getProps().getUin(i)+"&sid"+Manager.getInstance().getService(ns).getProps().getUin(i)+"&lang=eng");
String[] ss = sa.split("<b>");
String[] ss1 = ss[1].split("</b>");

if (!ss1[0].equals("Thank you!")){
con.print("    "+Manager.getInstance().getService(ns).getProps().getUin(i) + " - <A HREF=\"http://validate.icq.com/icq/validate.html?uid="+Manager.getInstance().getService(ns).getProps().getUin(i)+"&sid"+Manager.getInstance().getService(ns).getProps().getUin(i)+"&lang=ru\" target=\"_blank\">" +"ICQ Account Activation</A><br>");
}else if (ss1[0].equals("Thank you!")){
con.print("    "+Manager.getInstance().getService(ns).getProps().getUin(i) + " -    ICQ   <br>");

}
}
String page = us==null ? "main_page" : "main_page_user";
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" + page + "\"></FORM>");
con.print("</FONT></BODY></HTML>");

    }


//public void ActivateUIN(HttpConnection con) throws IOException {
//String uid = con.get("uid");
//if(!checkSession(uid)) {
//SrvUtil.error(con," !");
//return;
//}
//con.print(HTML_HEAD + BODY);
//con.print("<FORM ACTION=\""+con.getURI()+"\" method =\"POST\">");
//con.print("<INPUT TYPE=hidden NAME=\"page\" VALUE=\"validate\">");
//con.print("UIN  :<br>");
//con.print("<input name=\"uin\" type=\"text\" size=\"20\" maxlength=\"20\">");
//con.print("<INPUT TYPE=submit VALUE=\"\">");
//con.print("</FORM>");
//con.print("</BODY></HTML>");
//}
//
//public void validate(HttpConnection con) throws IOException {
//con.print(HTML_HEAD + BODY);
//String uin = con.get("uin");
//con.print("<center><iframe src=\"http://validate.icq.com/icq/validate.html?uid="+uin+"&sid="+uin+"&lang=ru\" width=\"790\" height=\"600\" align=\"center\">");
//con.print("     !");
//con.print("</iframe></center>");
//con.print("</BODY></HTML>");
//}
    /**
     *  
     * @param con
     * @throws IOException
     */
public void srvs_start(HttpConnection con) throws IOException {
String ns = con.get("ns");
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
Manager.getInstance().start(ns);
String page = us == null ? "main_page" : "main_page_user";
printOkMsg_Start(con,page);
}

public void srvs_stop(HttpConnection con) throws IOException {
String ns = con.get("ns");
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}

//  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
Manager.getInstance().stop(ns);
String page = us == null ? "main_page" : "main_page_user";
printOkMsg_Stop(con,page);
}

/**
*   - , .
* @param con
* @throws IOException
*/
public void users_manager(HttpConnection con) throws IOException {
int i = 1;
String uid = con.get("uid");
if(!checkSession(uid)) {
SrvUtil.error(con," !");
return;
}
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2>  </H2>" +
"<H3> </H3>");
con.print("<A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=users_create\">" +" </A><br><br>");
String s = "<TABLE>";
for(String n:Manager.getInstance().getUsersNames()){
s += "<TR><TH ALIGN=LEFT>"+ i + ") " +n+"</TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=users_info&us="+n+"\">  </A></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=users_change&us="+n+"\">  </A></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=users_delete&us="+n+"\" onclick=\"return confirm(' ?')\">  </A></TD>";
s += "</TR>";
i++;
}
s += "</TABLE><FORM>";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
*   
* @param con
* @throws IOException
*/
public void users_delete(HttpConnection con) throws IOException {
String uid = con.get("uid");
    	if(!checkSession(uid)) {
    		SrvUtil.error(con," !");
    		return;
    	}
    	String us = con.get("us"); //  
    	if(!Manager.getInstance().getUsersNames().contains(us)){
    		SrvUtil.error(con,"   !");
    		return;
    	}
    	Manager.getInstance().delUsers(us);
    	MainProps.delUser(us);
    	MainProps.save();
    	printOkMsg(con,"main_page");
    }

    /**
     *   
     * @param con
     * @throws IOException
     */
    public void users_info(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
    	if(!checkSession(uid)) {
    		SrvUtil.error(con," !");
    		return;
    	}
    	String us = con.get("us"); //  
            	if(!Manager.getInstance().getUsersNames().contains(us)){
    		SrvUtil.error(con,"   !");
    		return;
    	}
        String [] Service = Manager.getInstance().getServicesUser(us).split(";");
        String ip = Manager.getInstance().getIpUser(us);
        String time = Manager.getInstance().getTimeUser(us);
        con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
       // "<H2>  </H2><br>" +
        "<b>   - " + us + "</b>");
        con.print("<br><br>   : " + time + " ,  ip: " + ip);
        con.print("<br><br>  :<br>");
        for(int i=0; i<Service.length; i++){
        con.print(Service[i] + "<br>");
        }
        con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\"></FORM>");
        con.print("</FONT></BODY></HTML>");
    }

    /**
     *    .
     * @param con
     * @throws IOException
     */
    public void users_create(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
    	if(!checkSession(uid)) {
    		SrvUtil.error(con," !");
    		return;
    	}
    	con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
             //   "<H2>  </H2>" +
                "<H3>  </H3>");
               String s = "<FORM METHOD=POST ACTION=\"" + con.getURI() + "\">" +
                "<INPUT TYPE=hidden NAME=\"page\" VALUE=\"users_create_in\">" +
            	"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">" +
            	"<TABLE>" +
                "<TR><TD>Login:</TD><TD><INPUT TYPE=text NAME=\"login\" size=\"20\"></TD></TR>" +
                "<TR><TD>:</TD><TD><INPUT TYPE=password NAME=\"pass0\" size=\"20\"></TD></TR>"+
                "<TR><TD> :</TD><TD><INPUT TYPE=password NAME=\"pass1\" size=\"20\"></TD></TR></TABLE>";
                 s += "<b>   :<b><br>";
                 for(String n:Manager.getInstance().getServiceNames()){
                 s += "<INPUT TYPE=checkbox NAME=\"" + n + "\" VALUE=\"" + n + "\">" + n + "<br>";
                 }
              	s += "<P><INPUT TYPE=submit VALUE=\"\">";
    	s += "<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\"></FORM>";
    	s += "</FONT></BODY></HTML>";
        con.print(s);
    }

/**
*    .
* @param con
* @throws IOException
*/
public void users_change(HttpConnection con) throws IOException {
String uid = con.get("uid");
if(!checkSession(uid)) {
SrvUtil.error(con," !");
return;
}
String us = con.get("us"); //  
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2>  </H2>" +
"<H3>   - " + us + "</H3>");
String s = "<FORM METHOD=POST ACTION=\"" + con.getURI() + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" + us + "\">" +
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"users_change_in\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">" +
"<TABLE>" +
"<TR><TD> :</TD><TD><INPUT TYPE=password NAME=\"pass0\" size=\"20\"></TD></TR>"+
"<TR><TD> :</TD><TD><INPUT TYPE=password NAME=\"pass1\" size=\"20\"></TD></TR></TABLE>";
s += "<b>   :<b><br>";
for(String n:Manager.getInstance().getServiceNames()){
s += "<INPUT TYPE=checkbox NAME=\"" + n + "\" VALUE=\"" + n + "\">" + n + "<br>";
}
s += "<P><INPUT TYPE=submit VALUE=\"\">";
s += "<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\"></FORM>";
s += "</FONT></BODY></HTML>";
con.print(s);
}

    /**
     *     
     * @param con
     * @throws IOException
     */
    public void users_create_in(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
    	if(!checkSession(uid)) {
    		SrvUtil.error(con," !");
    		return;
    	}
        String service = "";
    	String login = con.get("login");
    	String pass0 = con.get("pass0");
        String pass1 = con.get("pass1");
    	if(!pass0.equalsIgnoreCase(pass1)){
    		printMsg_users(con,"users_create","  !");
    		return;
    	}
        for(String n:Manager.getInstance().getServiceNames()){
        String srv = con.get(n);
        if(service.equals(""))
        service += srv == null ? "" : srv;
        else
        service += srv == null ? "" : ";" + srv;
        }
    	if(login.equals("")){
    		printMsg_users(con,"users_create","  !");
    		return;
    	}
    	if(Manager.getInstance().getUsersNames().contains(login)){
    		printMsg_users(con,"users_create","   !");
    		return;
    	}
    	Manager.getInstance().addUser("", login, pass0, service,"");
    	MainProps.addUser(login, pass0, service);
    	MainProps.save();
    	printOkMsg(con,"main_page");
    }

/**
*     
* @param con
* @throws IOException
*/
public void users_change_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
if(!checkSession(uid)) {
SrvUtil.error(con," !");
return;
}
String service = "";
String us = con.get("us");
String pass0 = con.get("pass0");
String pass1 = con.get("pass1");
if(!pass0.equalsIgnoreCase(pass1)){
printMsg_users(con,"users_create","  !");
return;
}
for(String n:Manager.getInstance().getServiceNames()){
String srv = con.get(n);
if(service.equals(""))
service += srv == null ? "" : srv;
else
service += srv == null ? "" : ";" + srv;
}
if(us.equals("")){
printMsg_users(con,"users_create","  !");
return;
}
Manager.getInstance().changeUser(us, pass0, service);
MainProps.changeUser(us, pass0, service);
MainProps.save();
printOkMsg(con,"main_page");
}

public void printMsg_users(HttpConnection con, String pg, String msg) throws IOException {
String uid = con.get("uid");
        con.print(HTML_HEAD +
                "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
                "<H3><FONT COLOR=\"#004000\">" +
                msg + " </FONT></H3>");
    	con.print("<P><A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=" +
    			pg +"\">" + "</A><br>");
    	con.print("</FONT></BODY></HTML>");
    }

    /**
     *   - , .
     * @param con
     * @throws IOException
     */
    public void srvs_manager(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
    	if(!checkSession(uid)) {
    		SrvUtil.error(con," !");
    		return;
    	}
    	con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
              //  "<H2>  </H2>" +
                "<H3> </H3>");
    	con.print("<A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_create\">" +
    			"  </A><br><br>");
    	String s = "<TABLE>";
    	for(String n:Manager.getInstance().getServiceNames()){
    		s += "<TR><TH ALIGN=LEFT>"+n+"</TD>";
    		s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_defult_setting&ns="+ n+"\"onclick=\"return confirm('         ?')\" title=\":      .       ,  MySQL,    , ,  ..\"><span></span></A> <b>|</b> "
                        + " <A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_delete&ns="+n+"\" onclick=\"return confirm(' ?')\" title=\":    ,      .\"></A></TD>";
    		s += "</TR>";
    	}
    	s += "</TABLE><FORM>";



      


    	con.print(s);
    	con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\"></FORM>");
    	con.print("</FONT></BODY></HTML>");
    }
  public void srvs_managers(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
            	String ns = con.get("ns");
    	if(!checkSession(uid)) {
    		SrvUtil.error(con," !");
    		return;
    	}
    	con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
       
                "<H3>     "+ns+" ?</H3>");
        con.print("<FORM METHOD=POST ACTION=\"" + con.getURI() +
"\"><INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_delete\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">" +
"<table border=\"0\"><tbody>"+
"<tr><td> ?</td><td><input type=\"checkbox\" name=\"dropDB\" ></td></tr>"+
                "<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +

"</tbody></table>"+
"<P><INPUT TYPE=submit VALUE=\"\"> <b>|</b> <INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\">");


    	//con.print(s);
    	con.print("</FORM>");
    	con.print("</FONT></BODY></HTML>");
    }

    /**
     *   
     * @param con
     * @throws IOException
     */
    public void srvs_delete(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
    	if(!checkSession(uid)) {
    		SrvUtil.error(con," !");
    		return;
    	}
    	String ns = con.get("ns"); //  
    	if(!Manager.getInstance().getServiceNames().contains(ns)){
    		SrvUtil.error(con,"    !");
    		return;
    	}
        Manager.getInstance().getService(ns).getProps().setBooleanProperty("billing.on.off", false);
Manager.getInstance().getService(ns).getProps().save();
    	Manager.getInstance().delService(ns);
    	MainProps.delService(ns);
        Manager.getInstance().delService(ns);
        MainProps.delMoveservices(ns);
String dropDB = con.get("dropDB");




//--------------------------------

if(SrvUtil.getBoolVal(con, "dropDB")){


String dbs = Manager.getInstance().getService(ns).getProps().getStringProperty("db.dbname");
srv.us.db.executeQuery("DROP DATABASE `"+dbs+"`;");
printMsg(con,"srvs_create","  !");

}
    	MainProps.save();
    	printOkMsg(con,"main_page");
    }



//  /**
//*   
//* @param con
//* @throws IOException
//*/
//public void srvs_delete(HttpConnection con) throws IOException, ServletException {
//String uid = con.get("uid");
//if(!checkSession(uid)) {
//SrvUtil.error(con," !");
//return;
//}
//String ns = con.get("ns"); //  
//if(!Manager.getInstance().getServiceNames().contains(ns)){
//SrvUtil.error(con,"    !");
//return;
//}
//// ,    
//if(Manager.getInstance().isRun(ns)){
//Manager.getInstance().stop(ns);
//}
//Manager.getInstance().getService(ns).getProps().setBooleanProperty("billing.on.off", false);
//Manager.getInstance().getService(ns).getProps().save();
//
////  
//String dropDB = con.get("dropDB");
//if(SrvUtil.getBoolVal(con, "dropDB")){
//try {
///* connect (commented out strings use classic MySQL driver) */
//Class.forName("com.mysql.jdbc.Driver");
//Properties connProp = new Properties();
//connProp.put("user", Manager.getInstance().getService(ns).getProps().getStringProperty("db.user"));
//connProp.put("password", Manager.getInstance().getService(ns).getProps().getStringProperty("db.pass"));
//String datedate = Manager.getInstance().getService(ns).getProps().getStringProperty("db.dbname");
//String localhost = Manager.getInstance().getService(ns).getProps().getStringProperty("db.host");
//Connection conn = (Connection) DriverManager.getConnection("jdbc:mysql://"+localhost+"/"+datedate, connProp);
//Statement st =  (Statement) conn.createStatement();
//Log.info("DROP DATABASE `"+datedate+"`;");
//st.executeQuery("DROP DATABASE `"+datedate+"`;");
//ResultSet rs = st.executeQuery("DROP DATABASE `"+datedate+"`;");
//rs.close();
//st.close();
//conn.close();
////conn.close();
//conn.isClosed();
//} catch (Exception e) {
//throw (new ServletException(e));
//}
//printMsg(con,"srvs_create","  !");
//}
//
//MainProps.save();
//printOkMsg(con,"main_page");
//}



    /**
     *     
     * @param con
     * @throws IOException
     */
//    public void srvs_create_in(HttpConnection con) throws IOException {
//    	String uid = con.get("uid");
//    	if(!checkSession(uid)) {
//    		SrvUtil.error(con," !");
//    		return;
//    	}
//    	String ns = con.get("ns");
//    	String type = con.get("type");
//    	if(ns.equals("")){
//    		printMsg(con,"srvs_create","  !");
//    		return;
//    	}
//    	if(Manager.getInstance().getServiceNames().contains(ns)){
//    		printMsg(con,"srvs_create","     !");
//    		return;
//    	}
//    	if(type==null){
//    		printMsg(con,"srvs_create","   !");
//    		return;
//    	}
//        MainProps.AddDirectory(ns);
//        MainProps.AddTextService(ns);
//        MainProps.admin_msg(ns);
//        MainProps.CopyingHelp(ns, type);
//        MainProps.CopyingText(ns, type);
//        Manager.getInstance().addService(ns, type);
//        Manager.getInstance().getService(ns).getProps().AddXmlConfig(ns);
//    	MainProps.addService(ns, type);
//    	MainProps.save();
//    if(MainProps.getBooleanProperty("avto.db.on.off")) CreateService.initMySQLService(ns);
//
//    	printOkMsg(con,"main_page");
//    }

/**
 *    .
 * @param con
 * @throws IOException
 */
public void srvs_create(HttpConnection con) throws IOException {
String uid = con.get("uid");
if(!checkSession(uid)) {
SrvUtil.error(con," !");
return;
}
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2>  </H2>" +
"<H3>  </H3>");

con.print("<FORM METHOD=POST ACTION=\"" + con.getURI() +
"\"><INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_create_in\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">" +
"<table border=\"0\"><tbody>"+
"<tr><td> :</td><td><INPUT TYPE=text NAME=\"ns\" size=\"40\"></td></tr>"+
"<tr><td>------</td><td></td></tr>"+
"<tr><td> ?</td><td><input type=\"checkbox\" name=\"autoDB\"></td></tr>"
+
"<tr><td>:</td><td><INPUT TYPE=text NAME=\"user\" size=\"40\"></td></tr>"+
"<tr><td> :</td><td><INPUT TYPE=text NAME=\"dbname\" size=\"40\"></td></tr>"+
"<tr><td>:</td><td><INPUT TYPE=text NAME=\"pass\" size=\"40\"></td></tr>"+


"<tr><td>  : </td><td>"+
"<select name=\"menu\">"+
"<option value=\"armscii8\">armscii8</option>"+
"<option value=\"ascii\">ascii</option>"+
"<option value=\"big5\">big5</option>"+
"<option value=\"cp1250\">cp1250</option>"+
"<option value=\"cp1251\">cp1251</option>"+
"<option value=\"cp1256\">cp1256</option>"+
"<option value=\"cp1257\">cp1257</option>"+
"<option value=\"cp850\">cp850</option>"+
"<option value=\"cp852\">cp852</option>"+
"<option value=\"cp866\">cp866</option>"+
"<option value=\"geostd8\">geostd8</option>"+
"<option value=\"greek\">greek</option>"+
"<option value=\"hebrew\">hebrew</option>"+
"<option value=\"keybcs2\">keybcs2</option>"+
"<option value=\"koi8r\">koi8r</option>"+
"<option value=\"koi8u\">koi8u</option>"+
"<option value=\"latin1\">latin1</option>"+
"<option value=\"latin2\">latin2</option>"+
"<option value=\"latin7\">latin7</option>"+
"<option value=\"macce\">macce</option>"+
"<option value=\"macroman\">macroman</option>"+
"<option value=\"ucs2\">ucs2</option>"+
"<option selected=\"selected\" value=\"utf8\">utf8</option>"+
"</select></td></tr>"
+
"</tbody></table>"+
"<P><INPUT TYPE=submit VALUE=\"\">");

con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
*     
* @param con
* @throws IOException
*/
public void srvs_create_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
if(!checkSession(uid)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
//--------------------------------

String user = con.get("user");
String pass = con.get("pass");
String dbname = con.get("dbname");
String autoDB = con.get("autoDB");
String menu = SrvUtil.getStringVal(con, "menu");

//--------------------------------
if(ns.equals("")){
printMsg(con,"srvs_create","  !");
return;
}

//--------------------------------

if(SrvUtil.getBoolVal(con, "autoDB")){
if(user.equals("")){
printMsg(con,"srvs_create","  !");
return;
}
if(pass.equals("")){
printMsg(con,"srvs_create"," !");
return;
}
if(dbname.equals("")){
printMsg(con,"srvs_create","   !");
return;
}

}

//--------------------------------
if(Manager.getInstance().getServiceNames().contains(ns)){
printMsg(con,"srvs_create","     !");
return;
}
//MainProps.AddDirectory(ns);
MainProps.AddTextService(ns);
MainProps.admin_msg(ns);
MainProps.CopyingHelp(ns, "chat");
MainProps.CopyingText(ns, "chat");
Manager.getInstance().addService(ns, "chat");
Manager.getInstance().getService(ns).getProps().AddXmlConfig(ns);
PlainProp.getInstance(ns).AddXmlConfig(ns);
ShootingProp.getInstance(ns).AddXmlConfig(ns);
    Manager.getInstance().getService(ns).getProps().save();
    PlainProp.getInstance(ns).save();
    ShootingProp.getInstance(ns).save();

MainProps.addService(ns, "chat");
MainProps.save();


//if(SrvUtil.getBoolVal(con, "autoDB"))
   if(SrvUtil.getBoolVal(con, "autoDB")){
CreateService.initMySQLService(ns,user,pass,dbname, menu);

Manager.getInstance().getService(ns).getProps().setStringProperty("db.user", user);
Manager.getInstance().getService(ns).getProps().setStringProperty("db.pass", pass);
Manager.getInstance().getService(ns).getProps().setStringProperty("db.dbname", dbname);
}
Manager.getInstance().getService(ns).getProps().save();

printOkMsg(con,"main_page");
}

///**
// *    .
// * @param con
// * @throws IOException
// */
//public void srvs_create(HttpConnection con) throws IOException {
//String uid = con.get("uid");
//if(!checkSession(uid)) {
//SrvUtil.error(con," !");
//return;
//}
//con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2>  </H2>" +
//"<H3>  </H3>");
//con.print("<FORM METHOD=POST ACTION=\"" + con.getURI() +
//"\"><INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_create_in\">" +
//"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">" +
//"<table border=\"0\"><tbody>"+
//"<tr><td> :</td><td><INPUT TYPE=text NAME=\"ns\" size=\"40\"></td></tr>"+
//"<tr><td> : chat </td><td><input type=radio name=\"type\" value=\"chat\"> " +
//"<tr><td>------</td><td></td></tr>"+
//"<tr><td> ?</td><td><input type=\"checkbox\" name=\"autoDB\"></td></tr>"+
//"<tr><td>:</td><td><INPUT TYPE=text NAME=\"user\" size=\"40\"></td></tr>"+
//"<tr><td> :</td><td><INPUT TYPE=text NAME=\"dbname\" size=\"40\"></td></tr>"+
//"<tr><td>:</td><td><INPUT TYPE=password NAME=\"pass\" size=\"40\"></td></tr>"+
//
//"<tr><td>  : </td><td>"+
//"<select name=\"menu\">"+
//"<option value=\"armscii8\">armscii8</option>"+
//"<option value=\"ascii\">ascii</option>"+
//"<option value=\"big5\">big5</option>"+
//"<option value=\"cp1250\">cp1250</option>"+
//"<option value=\"cp1251\">cp1251</option>"+
//"<option value=\"cp1256\">cp1256</option>"+
//"<option value=\"cp1257\">cp1257</option>"+
//"<option value=\"cp850\">cp850</option>"+
//"<option value=\"cp852\">cp852</option>"+
//"<option value=\"cp866\">cp866</option>"+
//"<option value=\"geostd8\">geostd8</option>"+
//"<option value=\"greek\">greek</option>"+
//"<option value=\"hebrew\">hebrew</option>"+
//"<option value=\"keybcs2\">keybcs2</option>"+
//"<option value=\"koi8r\">koi8r</option>"+
//"<option value=\"koi8u\">koi8u</option>"+
//"<option value=\"latin1\">latin1</option>"+
//"<option value=\"latin2\">latin2</option>"+
//"<option value=\"latin7\">latin7</option>"+
//"<option value=\"macce\">macce</option>"+
//"<option value=\"macroman\">macroman</option>"+
//"<option value=\"ucs2\">ucs2</option>"+
//"<option selected=\"selected\" value=\"utf8\">utf8</option>"+
//"</select></td></tr>"+
//
//"</tbody></table>"+
//"<P><INPUT TYPE=submit VALUE=\"\">");
//con.print("<P><INPUT TYPE=button VALUE=\"\" onclick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\"></FORM>");
//con.print("</FONT></BODY></HTML>");
//}
//
///**
//*     
//* @param con
//* @throws IOException
//*/
//public void srvs_create_in(HttpConnection con) throws IOException {
//String uid = con.get("uid");
//if(!checkSession(uid)) {
//SrvUtil.error(con," !");
//return;
//}
//String ns = con.get("ns");
//String type = con.get("type");
////--------------------------------
//String user = con.get("user");
//String pass = con.get("pass");
//String dbname = con.get("dbname");
//String menu = SrvUtil.getStringVal(con, "menu");
////--------------------------------
//if(ns.equals("")){
//printMsg(con,"srvs_create","  !");
//return;
//}
//if(type==null){
//printMsg(con,"srvs_create","   !");
//return;
//}
////--------------------------------
//if(SrvUtil.getBoolVal(con, "autoDB")){
//if(user.equals("")){
//printMsg(con,"srvs_create","  !");
//return;
//}
//if(pass.equals("")){
//printMsg(con,"srvs_create"," !");
//return;
//}
//if(dbname.equals("")){
//printMsg(con,"srvs_create","   !");
//return;
//}
//return;
//}
////--------------------------------
//if(Manager.getInstance().getServiceNames().contains(ns)){
//printMsg(con,"srvs_create","     !");
//return;
//}
//MainProps.AddDirectory(ns);
//Manager.getInstance().addService(ns, type);
//Manager.getInstance().getService(ns).getProps().AddXmlConfig(ns);
//MainProps.addService(ns, type);
//MainProps.save();
//if(SrvUtil.getBoolVal(con, "autoDB")) CreateService.initMySQLService(ns,user,pass,dbname, menu);
//printOkMsg(con,"main_page");
//}

     /**
     *      
     * @param con
     * @throws IOException
     */
//public void srvs_props_uin(HttpConnection con) throws IOException {
//String uid = con.get("uid");
//if (!(checkSession(uid))) {
//SrvUtil.error(con, " !");
//return;
//}
//String ns = con.get("ns");
//if (!(Manager.getInstance().getServiceNames().contains(ns))) {
//SrvUtil.error(con, "    !");
//return;
//}
//con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
////"<H2>  </H2>" +
//"<H3> UIN   " + ns + "</H3>");
//
//con.print("<P><br><A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_props_uin_add&ns=" + ns + "\">" + "  UIN</A>    |    <A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_props_uin_delall&ns=" + ns + "\">" + "   </A><br>");
//
//String s = "<FORM METHOD=POST ACTION=\"" + con.getURI() + "\"><INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_props_uin_in\">" + "<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" + ns + "\">" + "<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + this.userID + "\">";
//
//for (int i = 0; i < Manager.getInstance().getService(ns).getProps().uinCount(); ++i) {
//s = s + "UIN" + i + ": " + "<INPUT TYPE=text NAME=\"uin_" + i + "\" VALUE=\"" + Manager.getInstance().getService(ns).getProps().getUin(i) + "\"> : " + "<INPUT TYPE=text NAME=\"pass_" + i + "\" VALUE=\"" + "\"> " + "<A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_props_uin_del&ns=" + ns + "&cnt=" + i + "\">" + "</A><br>";
//}
//
//s = s + " uin;pass <br><textarea name=\"msg\" cols=\"20\" rows=\"15\" >"+""+"</textarea><br>";
//s = s + "<P><INPUT TYPE=submit VALUE=\"\">";
//con.print(s);
//
//con.print("<P><INPUT TYPE=button VALUE=\"\" onclick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\"></FORM>");
//con.print("</FONT></BODY></HTML>");
//}



//    public void  srvs_props_uin_delall(HttpConnection con) throws IOException {
//    	String uid = con.get("uid");
//     String us = con.get("us");
//
//        if(!checkSession(uid)) {
//    		SrvUtil.error(con," !");
//    		return;
//    	}
//
//    	String ns = con.get("ns"); //  
//    	if(!Manager.getInstance().getServiceNames().contains(ns)){
//    		SrvUtil.error(con,"    !");
//    		return;
//    	}
//         if(us != null)
//            if(Manager.getInstance().testServicesUser(us, ns)){
//        printMsg(con, "main_page_user", "      !");
//        return;
//        }
//        con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//        //"<H2>  </H2>" +
//        	"<H3>     " + ns + "</H3>");
//Manager.getInstance().getService(ns).getProps().delAllUin();
//   Manager.getInstance().getService(ns).getProps().save();
//        con.print("</FONT></BODY></HTML>");
//  printOkMsg(con, "main_page");
//    }










    /**
     *  
     * @param con
     * @throws IOException
     * (dimax uin 963737)
     *
     */
    public void srvs_plus(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
     String us = con.get("us");

        if(!checkSession(uid)) {
    		SrvUtil.error(con," !");
    		return;
    	}

    	String ns = con.get("ns"); //  
    	if(!Manager.getInstance().getServiceNames().contains(ns)){
    		SrvUtil.error(con,"    !");
    		return;
    	}
         if(us != null)
            if(Manager.getInstance().testServicesUser(us, ns)){
        printMsg(con, "main_page_user", "      !");
        return;
        }
        con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
        	//"<H2>  </H2>" +
        	"<H3>  " + ns + "</H3>");
//int bid= Manager.getInstance().getService(ns).getProps().getIntProperty("billing.id.system");
int bl;
bl= Manager.getInstance().getService(ns).getProps().getIntProperty("billing.days");
con.print("</<P>    "+bl+"  </<P>");
//Manager.getInstance().getService(ns).getDB().executeQuery("update `users`  set billing =billing + Interval "+bl+" day where id="+bid+"");
((ChatCommandProc)Manager.getInstance().getService(ns).cmd).PlusBillingDays();

con.print("</FONT></BODY></HTML>");
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\"></FORM>");

    }

      /**
     *  
     * @param con
     * @throws IOException
       * (dimax uin 963737)
     */
    public void srvs_minus(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
     String us = con.get("us");

        if(!checkSession(uid)) {
    		SrvUtil.error(con," !");
    		return;
    	}

    	String ns = con.get("ns"); //  
    	if(!Manager.getInstance().getServiceNames().contains(ns)){
    		SrvUtil.error(con,"    !");
    		return;
    	}
         if(us != null)
            if(Manager.getInstance().testServicesUser(us, ns)){
        printMsg(con, "main_page_user", "      !");
        return;
        }
        con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
        	//"<H2>  </H2>" +
        	"<H3>  " + ns + "</H3>");
//int bid = Manager.getInstance().getService(ns).getProps().getIntProperty("billing.id.system");
int bl;
bl= Manager.getInstance().getService(ns).getProps().getIntProperty("billing.days.minus");
con.print("</<P>    "+bl+"  </<P>");

//Manager.getInstance().getService(ns).getDB().executeQuery("update `users`  set billing =billing - Interval "+bl+" day where id="+bid+"");
((ChatCommandProc)Manager.getInstance().getService(ns).cmd).MinusBillingDays();
con.print("</FONT></BODY></HTML>");
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\"></FORM>");

    }


    /**
     *     
     * @param con
     * @throws IOException
     */
//public void srvs_props_uin_in(HttpConnection con)
//    throws IOException
  //{
//    String uid = con.get("uid");
//    if (!(checkSession(uid))) {
//      SrvUtil.error(con, " !");
//      return;
//    }
//    String ns = con.get("ns");
//    String ms = con.get("msg");
//    String[] baz = ms.split("\n");
//
//if(baz.length>Manager.getInstance().getService(ns).getProps().getIntProperty("uin.col")){
//SrvUtil.error(con,",    ,     "+Manager.getInstance().getService(ns).getProps().getIntProperty("uin.col")+" !");
//return;
//}
//if(Manager.getInstance().getService(ns).getProps().uinCount() == Manager.getInstance().getService(ns).getProps().getIntProperty("uin.col")){
//SrvUtil.error(con,",    ,     "+Manager.getInstance().getService(ns).getProps().getIntProperty("uin.col")+" !");
//return;
//}
//   if (!ms.equals("")&& ms.indexOf(";")>=0){
//    String uin = "";
//    String pass = "";
//     //Manager.getInstance().getService(ns).getProps().delAllUin();
//     int id=0;
//        String[] baztext = ms.split("\n");
//        String[] up =baztext[0].split(";");
//        for(int i=0;i<baztext.length;i++){
//            id++;
//            up =baztext[i].split(";");
//           uin = up[0];
//           pass = up[1].replace("\n","");
//           pass = pass.replace("\r","");
//         Manager.getInstance().getService(ns).getProps().addUin(uin, pass);
//        }
//
//   }else{
//    if (!(Manager.getInstance().getServiceNames().contains(ns))) {
//      SrvUtil.error(con, "    !");
//      return;
//    }
//    for (int i = 0; i < Manager.getInstance().getService(ns).getProps().uinCount(); ++i)
//      if (!(con.get("pass_" + i).equals("")))
//        Manager.getInstance().getService(ns).getProps().setUin(i, con.get("uin_" + i), con.get("pass_" + i));
//   }
//    Manager.getInstance().getService(ns).getProps().save();
//
//    printOkMsg(con, "main_page");
//
//  }


///**
//*   
//* @param con
//* @throws IOException
//*/
//public void srvs_props_uin_add(HttpConnection con) throws IOException {
//String uid = con.get("uid");
//if(!checkSession(uid)) {
//SrvUtil.error(con," !");
//return;
//}
//String ns = con.get("ns"); //  
//if(!Manager.getInstance().getServiceNames().contains(ns)){
//SrvUtil.error(con,"    !");
//return;
//}
//if(Manager.getInstance().getService(ns).getProps().uinCount() == Manager.getInstance().getService(ns).getProps().getIntProperty("uin.col")){
//SrvUtil.error(con,",    ,     "+Manager.getInstance().getService(ns).getProps().getIntProperty("uin.col")+" !");
//return;
//}
//Manager.getInstance().getService(ns).getProps().addUin("111", "pass");
//Manager.getInstance().getService(ns).getProps().save();
//srvs_props_uin(con);
//}
//
//    /**
//     *  
//     * @param con
//     * @throws IOException
//     */
//    public void srvs_props_uin_del(HttpConnection con) throws IOException {
//    	String uid = con.get("uid");
//    	if(!checkSession(uid)) {
//    		SrvUtil.error(con," !");
//    		return;
//    	}
//    	String ns = con.get("ns"); //  
//    	if(!Manager.getInstance().getServiceNames().contains(ns)){
//    		SrvUtil.error(con,"    !");
//    		return;
//    	}
//    	int i = Integer.parseInt(con.get("cnt"));
//    	Manager.getInstance().getService(ns).getProps().delUin(i);
//    	srvs_props_uin(con);
//   }
//
   /**
     *       .
     *      .
     * @param con
     * @throws IOException
     */
    public void srvs_props(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
        String us = con.get("us");
    	if(!checkSession(uid))
                    if(!checkSession_user(uid, us)) {
        SrvUtil.error(con," !");
        return;
        }
    	String ns = con.get("ns"); //  
    	if(!Manager.getInstance().getServiceNames().contains(ns)){
    		SrvUtil.error(con,"    !");
    		return;
    	}
        if(us != null)
            if(Manager.getInstance().testServicesUser(us, ns)){
        printMsg(con, "main_page_user", "      !");
        return;
        }
        con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
        	//"<H2>  </H2>" +
        	"<H3>   " + ns + "</H3>");
        con.print("<FORM METHOD=POST ACTION=\"" + con.getURI() +
        	"\"><INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_props_in\">" +
        	"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +


                "<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
        	"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">" +
        	prefToHtml(Manager.getInstance().getService(ns).getProps().getUserPreference())+
          	"<P><INPUT TYPE=submit VALUE=\"\">");
        String page = us == null ? "main_page" : "main_page_user";
        con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" + page + "\"></FORM>");
        con.print("</FONT></BODY></HTML>");

    }

    /**
     *    
     * @param con
     * @throws IOException
     */
    public void srvs_props_in(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
        String us = con.get("us");
    	if(!checkSession(uid))
                    if(!checkSession_user(uid, us)) {
        SrvUtil.error(con," !");
        return;
        }
    	String ns = con.get("ns"); //  
    	if(!Manager.getInstance().getServiceNames().contains(ns)){
    		SrvUtil.error(con,"    !");
    		return;
    	}
    	UserPreference[] p = Manager.getInstance().getService(ns).getProps().getUserPreference();
    	for(int i=0;i<p.length;i++){
    		if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
    			boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
    			if(b!=(Boolean)p[i].getValue()){
    				p[i].setValue(b);
    				Manager.getInstance().getService(ns).getProps().setBooleanProperty(p[i].getKey(), b);
    			}
    		} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
    			int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
    			if(c!=(Integer)p[i].getValue()){
    				p[i].setValue(c);
    				Manager.getInstance().getService(ns).getProps().setIntProperty(p[i].getKey(), c);
    			}
    		} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
    			String s = SrvUtil.getStringVal(con, p[i].getKey());
    			if(!s.equals((String)p[i].getValue())){
    				p[i].setValue(s);
    				Manager.getInstance().getService(ns).getProps().setStringProperty(p[i].getKey(), s);
    			}
    		}
    	}
    	Manager.getInstance().getService(ns).getProps().save();
        String page = us.equals("null") ? "main_page" : "main_page_user";
    	printOkMsg(con,page);
    }


    /**
     *       
     * @param con
     * @throws IOException
     */
    public void main_props(HttpConnection con) throws IOException {
    	    String ns = con.get("ns");
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid)){
SrvUtil.error(con," !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
    	dt = System.currentTimeMillis();
    	con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
               // "<H2>  </H2>" +
                "<H3>  </H3>");
    	con.print("<FORM METHOD=POST ACTION=\"" + con.getURI() +
                "\"><INPUT TYPE=hidden NAME=\"page\" VALUE=\"main_props_in\">" +
                "<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">" +
                prefToHtml(MainProps.getUserPreference())+
                "<P><INPUT TYPE=submit VALUE=\"\">");
    	con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\"></FORM>");
    	con.print("</FONT></BODY></HTML>");
    }

    /**
     *    
     * @param con
     * @throws IOException
     */
    public void main_props_in(HttpConnection con) throws IOException {
//        String uid = con.get("uid");
//        if(!checkSession(uid)) {
//            SrvUtil.error(con," !");
//            return;
//        }
         	    String ns = con.get("ns");
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
        UserPreference[] p = MainProps.getUserPreference();
    	for(int i=0;i<p.length;i++){
    		if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
    			boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
    			if(b!=(Boolean)p[i].getValue()){
    				p[i].setValue(b);
    				MainProps.setBooleanProperty(p[i].getKey(), b);
    			}
    		} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
    			int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
    			if(c!=(Integer)p[i].getValue()){
    				p[i].setValue(c);
    				MainProps.setIntProperty(p[i].getKey(), c);
    			}
    		} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
    			String s = SrvUtil.getStringVal(con, p[i].getKey());
    			if(!s.equals((String)p[i].getValue())){
    				p[i].setValue(s);
    				MainProps.setStringProperty(p[i].getKey(), s);
    			}
    		}
    	}
    	MainProps.save();
    	printOkMsg(con,"main_page");
    }

    /**
     *       .
     *      .
     * @param con
     * @throws IOException
     */
    public void srvs_other(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
        String us = con.get("us");
    	if(!checkSession(uid))
                    if(!checkSession_user(uid, us)) {
        SrvUtil.error(con," !");
        return;
        }
    	String ns = con.get("ns"); //  
    	if(!Manager.getInstance().getServiceNames().contains(ns)){
    		SrvUtil.error(con,"    !");
    		return;
    	}
        if(us != null)
            if(Manager.getInstance().testServicesUser(us, ns)){
        printMsg(con, "main_page_user", "      !");
        return;
        }
        con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
        	//"<H2>  </H2>" +
        	"<H3>C   " + ns + "</H3>");
        con.print("<FORM METHOD=POST ACTION=\"" + con.getURI() +
        	"\"><INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_other_in\">" +
        	"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
                "<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
        	"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">" +
        	prefToHtml(Manager.getInstance().getService(ns).getProps().OtherUserPreference())+
          	"<P><INPUT TYPE=submit VALUE=\"\">");
        String page = us==null ? "main_page" : "main_page_user";
        con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" + page + "\"></FORM>");
        con.print("</FONT></BODY></HTML>");

    }

    /**
     *    
     * @param con
     * @throws IOException
     */
    public void srvs_other_in(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
        String us = con.get("us");
    	if(!checkSession(uid))
                    if(!checkSession_user(uid, us)) {
        SrvUtil.error(con," !");
        return;
        }
    	String ns = con.get("ns"); //  
    	if(!Manager.getInstance().getServiceNames().contains(ns)){
    		SrvUtil.error(con,"    !");
    		return;
    	}
    	UserPreference[] p = Manager.getInstance().getService(ns).getProps().OtherUserPreference();
    	for(int i=0;i<p.length;i++){
    		if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
    			boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
    			if(b!=(Boolean)p[i].getValue()){
    				p[i].setValue(b);
    				Manager.getInstance().getService(ns).getProps().setBooleanProperty(p[i].getKey(), b);
    			}
    		} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
    			int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
    			if(c!=(Integer)p[i].getValue()){
    				p[i].setValue(c);
    				Manager.getInstance().getService(ns).getProps().setIntProperty(p[i].getKey(), c);
    			}
    		} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
    			String s = SrvUtil.getStringVal(con, p[i].getKey());
    			if(!s.equals((String)p[i].getValue())){
    				p[i].setValue(s);
    				Manager.getInstance().getService(ns).getProps().setStringProperty(p[i].getKey(), s);
    			}
    		}
    	}
    	Manager.getInstance().getService(ns).getProps().save();
        String page = us.equals("null") ? "main_page" : "main_page_user";
    	printOkMsg(con,page);
    }

public void Tags(HttpConnection con) throws IOException {
String uid = con.get("uid");


con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2><font color =\"#FFFF00\">   mod ADMIN EDITION</font></H2>" +
"<H3>  :</H3>");


con.print("</br>");
con.print("#BOT# -  </br>");
con.print("#NIK# -  </br>");
con.print("#ID# -  </br>");
con.print("#UIN# -  </br>");
con.print("#TOPIC# -  </br>");
con.print("#GROUP# -  </br>");
con.print("#ROOM# -      ,   </br>");
con.print("#ROOMID# -      ,   </br>");
con.print("#BALL# -  </br>");
con.print("#BALLID# -   ,   </br>");
con.print("#ROOM_IN# -      </br>");
con.print("#ROOM_IN_ID# -      </br>");
con.print(" </br>");
con.print("#ODEGD# -     </br>");
con.print("#AUTO# -     </br>");
con.print("#DOM# -     </br>");
con.print("#GIV# -     </br>");
con.print("#BALL# -    </br>");
con.print("#PATRONS# -    </br>");
con.print("#RESPECT# -    </br>");
con.print("#HP# -  </br>");
con.print("#PRESTUP# -  </br>");
con.print("#BANK# -     </br>");
con.print("#SIDOK# -    </br>");
con.print("#svadba# -   </br>");
con.print("#GUN# - /P></br>");
con.print("#+# - </br>");
con.print("#BRONYA# - </br>");
con.print("#HI# -  </br>");
con.print("#BYE# -  </br>");
con.print("#ACTIV# - </br>");
con.print("#BASH# -    /</br>");
con.print("</br>");
con.print("#REC# -  </br>");
con.print("<b> -    </br>");
con.print("; -    </br>");
con.print(" </br>");
con.print("#ROOMID# -      </br>");
con.print("#ROOM# -     </br>");
con.print("#INROOM# -        </br>");






con.print("<FORM><P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\"></FORM>");



con.print("</FONT></BODY></HTML>");
}

    /**
     *    
     * @param con
     * @throws IOException
     */
    public void user_group_props(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
        String us = con.get("us");
    	if(!checkSession(uid))
                    if(!checkSession_user(uid, us)) {
        SrvUtil.error(con," !");
        return;
        }
        String ns = con.get("ns"); //  
        if(!Manager.getInstance().getServiceNames().contains(ns)){
            SrvUtil.error(con,"    !");
            return;
        }
        us = us == null ? "null" : us;
        if(!us.equals("null"))
        if(Manager.getInstance().testServicesUser(us, ns)){
        printMsg(con, "main_page_user", "      !");
        return;
        }
con.print(HTML_HEAD + "<TITLE> "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2>  </H2>" +
"<H3>  </H3>");
con.print("<FORM METHOD=POST ACTION=\"" + con.getURI() +
"\"><INPUT TYPE=hidden NAME=\"page\" VALUE=\"user_group_props_add\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" + ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<p>  :  <INPUT TYPE=text NAME=\"gr\" size=\"20\"></p> " +
"<p> (!): <INPUT TYPE=text NAME=\"gr_rus\" size=\"20\"></p> " +
"<p>  (+): <INPUT TYPE=text NAME=\"gr_rus_a\" size=\"20\"> </p> <br>" +
"<INPUT TYPE=submit VALUE=\"  \"></FORM>");
        String s = "<TABLE>";
        String[] gr = Manager.getInstance().getService(ns).getProps().getStringProperty("auth.groups").split(";");
        for(int i=0; i<gr.length; i++){
            s += "<TR><TH ALIGN=LEFT>"+gr[i]+"</TD>";

            s += i==0 ? "" : "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +
                "&page=user_group_props_del&ns="+ns+"&gr=" + gr[i] + "&us=" + us + "\">()</A></TD>";
            s += "</TR>";
        }
        s += "</TABLE>";
        con.print(s);
        con.print("<P><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=user_auth_props&ns="+ns+"\">" +
                " </A><br>");
        String page = us.equals("null") ? "main_page" : "main_page_user";
        con.print("<FORM><P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" + page + "\"></FORM>");
        con.print("</FONT></BODY></HTML>");
    }

    /**
     *    
     * @param con
     * @throws IOException
     */
public void user_group_props_add(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
if(!us.equals("null"))
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
String gr = con.get("gr");
if(gr.equals("")){
printMsg(con,"user_group_props","  !");
return;
}
String gr_rus = con.get("gr_rus");
if(gr_rus.equals("")){
printMsg(con,"user_group_props","   (!)");
return;
}
String gr_rus_a = con.get("gr_rus_a");
if(gr_rus_a.equals("")){
printMsg(con,"user_group_props","   (+a)");
return;
}
String[] s = Manager.getInstance().getService(ns).getProps().getStringProperty("auth.groups").split(";");
for(int i=0;i<s.length;i++){
if(s[i].equalsIgnoreCase(gr)){
printMsg(con,"user_group_props","     !");
return;
}
}
// List group rus in command !listgroup
String gr_rus2 = Manager.getInstance().getService(ns).getProps().getStringProperty("list.grouprus");
// List group rus in command +aa
String gr_rus_a2 = Manager.getInstance().getService(ns).getProps().getStringProperty("list.group");
Manager.getInstance().getService(ns).getProps().setStringProperty("auth.groups",
Manager.getInstance().getService(ns).getProps().getStringProperty("auth.groups") + ";" + gr);
Manager.getInstance().getService(ns).getProps().setStringProperty("auth.group_"+gr,"");
Manager.getInstance().getService(ns).getProps().setStringProperty("list.grouprus",gr_rus2+";"+gr+","+gr_rus);
Manager.getInstance().getService(ns).getProps().setStringProperty("list.group",gr_rus_a2+";"+gr+","+gr_rus_a);
Manager.getInstance().getService(ns).getProps().save();
printOkMsg(con,"user_group_props");
}

    public void user_auth_props(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
        String us = con.get("us");
    	if(!checkSession(uid))
                    if(!checkSession_user(uid, us)) {
        SrvUtil.error(con," !");
        return;
        }
        String ns = con.get("ns"); //  
        if(!Manager.getInstance().getServiceNames().contains(ns)){
            SrvUtil.error(con,"    !");
            return;
        }
        if(!us.equals("null"))
        if(Manager.getInstance().testServicesUser(us, ns)){
        printMsg(con, "main_page_user", "      !");
        return;
        }
        con.print(HTML_HEAD + "<TITLE>"+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
                //"<H2>  </H2>" +
                "<H3>  </H3>");
        String[] gr = Manager.getInstance().getService(ns).getProps().getStringProperty("auth.groups").split(";");
        Set<String> au = ((ChatCommandProc)Manager.getInstance().getService(ns).cmd).getAuthObjects().keySet();
        Map m = ((ChatCommandProc)Manager.getInstance().getService(ns).cmd).getAuthObjects();
        HashSet[] grs = new HashSet[gr.length];
        for(int i=0; i<gr.length; i++){
            grs[i] = new HashSet<String>();
            try {
                String[] s = Manager.getInstance().getService(ns).getProps().getStringProperty("auth.group_"+gr[i]).split(";");
                if(s.length>0)
                    for(int j=0;j<s.length; j++)
                        grs[i].add(s[j]);
            } catch (Exception ex) {}
        }
        String s = "<FORM METHOD=POST ACTION=\"" + con.getURI() +
        "\"><INPUT TYPE=hidden NAME=\"page\" VALUE=\"user_auth_props_in\">" +
        "<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
        "<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
        "<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">";
          s += "<TABLE><tbody><TR style=\"background-color: rgb(217, 217, 200);\"><TH ALIGN=LEFT>";
        for(int i=0;i<gr.length;i++)
            s += "<TD><b><u>" + gr[i] + "</u></b></TD>";
        s += "</TR>";
        for(String ss:au){
            s += "<TR style=backgroundColor=''\" " +
            		"onmouseover=\"this.style.backgroundColor='#336699'\" " +
            		"onmouseout=\"this.style.backgroundColor=''\">" +
            		"<TH ALIGN=LEFT>" + m.get(ss) + "  [" + ss + "]</TD>";
            for(int i=0; i<gr.length; i++){
                s += "<TD><INPUT TYPE=CHECKBOX NAME=\"" + gr[i] + "_" + ss +
                    "\" VALUE=\"true\" " + (grs[i].contains(ss) ? "CHECKED" : "") + "></TD>";
            }
            s += "</TR>";
        }
        s += "</tbody></TABLE><P><INPUT TYPE=submit VALUE=\"\">";
        con.print(s);
        String page = us.equals("null") ? "main_page" : "main_page_user";
        con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" + page + "\"></FORM>");
        con.print("</FONT></BODY></HTML>");
    }

    public void user_auth_props_in(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
        String us = con.get("us");
    	if(!checkSession(uid))
                    if(!checkSession_user(uid, us)) {
        SrvUtil.error(con," !");
        return;
        }
        String ns = con.get("ns"); //  
        if(!Manager.getInstance().getServiceNames().contains(ns)){
            SrvUtil.error(con,"    !");
            return;
        }
        if(!us.equals("null"))
            if(Manager.getInstance().testServicesUser(us, ns)){
        printMsg(con, "main_page_user", "      !");
        return;
        }
        String[] gr = Manager.getInstance().getService(ns).getProps().getStringProperty("auth.groups").split(";");
        Set<String> au = ((ChatCommandProc)Manager.getInstance().getService(ns).cmd).getAuthObjects().keySet();
        HashSet[] grs = new HashSet[gr.length];
        for(int i=0; i<gr.length; i++){
            grs[i] = new HashSet<String>();
            try {
                String[] s = Manager.getInstance().getService(ns).getProps().getStringProperty("auth.group_"+gr[i]).split(";");
                if(s.length>0)
                    for(int j=0;j<s.length; j++)
                        grs[i].add(s[j]);
            } catch (Exception ex) {}
        }
        for(int i=0; i<gr.length; i++){
            for(String s:au){
                boolean b = SrvUtil.getBoolVal(con, gr[i] + "_" + s);
                if(b && !grs[i].contains(s))
                    grs[i].add(s);
                else if(!b && grs[i].contains(s))
                    grs[i].remove(s);
            }
        }
        for(int i=0; i<gr.length; i++){
            String s = "";
            for(Object c:grs[i]){
                s += c.toString() + ";";
            }
            s = s.substring(0, s.length()-1);
            Manager.getInstance().getService(ns).getProps().setStringProperty("auth.group_"+gr[i], s);
        }
        Manager.getInstance().getService(ns).getProps().save();
        printOkMsg(con,"user_group_props");
    }

    /**
     *   
     * @param con
     * @throws IOException
     */
    public void user_group_props_del(HttpConnection con) throws IOException {
    	String uid = con.get("uid");
        String us = con.get("us");
    	if(!checkSession(uid))
                    if(!checkSession_user(uid, us)) {
        SrvUtil.error(con," !");
        return;
        }
        String ns = con.get("ns"); //  
        if(!Manager.getInstance().getServiceNames().contains(ns)){
            SrvUtil.error(con,"    !");
            return;
        }
        if(!us.equals("null"))
            if(Manager.getInstance().testServicesUser(us, ns)){
        printMsg(con, "main_page_user", "      !");
        return;
        }
        String gr = con.get("gr");
        if(gr.equals("")){
            printMsg(con,"user_group_props","  !");
            return;
        }
        String s = Manager.getInstance().getService(ns).getProps().getStringProperty("auth.groups");
        s = s.replace(";"+gr, "");
        Manager.getInstance().getService(ns).getProps().setStringProperty("auth.groups",s);
        Manager.getInstance().getService(ns).getProps().setStringProperty("auth.group_"+gr,"");
        Manager.getInstance().getService(ns).getProps().save();
        printOkMsg(con,"user_group_props");
    }

    public void printOkMsg(HttpConnection con,String pg) throws IOException {
    	String uid = con.get("uid");
        String us = con.get("us");
    	if(!checkSession(uid))
                    if(!checkSession_user(uid, us)) {
        SrvUtil.error(con," !");
        return;
        }
        String ns = con.get("ns");
        ns = ns==null ? "" : "&ns="+ns;
    	con.print(HTML_HEAD + "<meta http-equiv=\"Refresh\" content=\"3; url=" +
    			con.getURI() + "?uid=" + uid + "&page="+ pg + ns + "&us=" + us + "\" />" +
                "<TITLE>"+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
                "<H3><FONT COLOR=\"#004000\">" +
                "   </FONT></H3>");
    	con.print("<P><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" +
    			pg + ns + "\">" + "</A><br>");
    	con.print("</FONT></BODY></HTML>");
    }

        public void printOkMsg_Start(HttpConnection con,String pg) throws IOException {
    	String uid = con.get("uid");
        String us = con.get("us");
    	if(!checkSession(uid))
                    if(!checkSession_user(uid, us)) {
        SrvUtil.error(con," !");
        return;
        }
        String ns = con.get("ns");
        ns = ns==null ? "" : "&ns="+ns;
    	con.print(HTML_HEAD + "<meta http-equiv=\"Refresh\" content=\"3; url=" +
    			con.getURI() + "?uid=" + uid + "&page="+ pg + ns + "\" />" +
                "<TITLE>"+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
                "<H3><FONT COLOR=\"#004000\">" +
                " \"" + ns.replace("&ns=", "") + "\"  ! </FONT></H3>");
    	con.print("<P><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" +
    			pg + ns + "\">" + "</A><br>");
    	con.print("</FONT></BODY></HTML>");
    }

        public void printOkMsg_Stop(HttpConnection con,String pg) throws IOException {
    	String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
        String ns = con.get("ns");
        ns = ns==null ? "" : "&ns="+ns;
    	con.print(HTML_HEAD + "<meta http-equiv=\"Refresh\" content=\"3; url=" +
    			con.getURI() + "?uid=" + uid + "&page="+ pg + ns + "\" />" +
                "<TITLE>"+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
                "<H3><FONT COLOR=\"#004000\">" +
                " \"" + ns.replace("&ns=", "") + "\"  ! </FONT></H3>");
    	con.print("<P><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" +
    			pg + ns + "\">" + "</A><br>");
    	con.print("</FONT></BODY></HTML>");
    }

    public void printMsg(HttpConnection con, String pg, String msg) throws IOException {
    	String uid = con.get("uid");
        String us = con.get("us");
    	if(!checkSession(uid))
                    if(!checkSession_user(uid, us)) {
        SrvUtil.error(con," !");
        return;
        }
        String ns = con.get("ns");
        ns = ns.equals("") ? "" : "&ns="+ns;
        con.print(HTML_HEAD +
                "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
                "<H3><FONT COLOR=\"#004000\">" +
                msg + " </FONT></H3>");
    	con.print("<P><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" +
    			pg + ns +"\">" + "</A><br>");
    	con.print("</FONT></BODY></HTML>");
    }

    public void exit(HttpConnection con)throws IOException {
            String us = con.get("us");
            String uid = con.get("uid");
    	if(!checkSession(uid))
                    if(!checkSession_user(uid, us)) {
        SrvUtil.error(con," !");
        return;
        }
            if(us == null)
                userID = "";
            else
            Manager.getInstance().setUid(us, "");
        con.print(HTML_HEAD + "<TITLE>JimBot error</TITLE></HEAD><BODY>");
        con.print("<P><CENTER><A HREF=\"" + con.getURI() + "\">Login</A></CENTER>");
    	con.print("</BODY></HTML>");
    }

    @Override
    public void doGet(HttpServletRequest request, HttpServletResponse response) throws
            IOException, ServletException {
    	doGetOrPost(request, response);
    }

@Override
public void doPost(HttpServletRequest request, HttpServletResponse response) throws
IOException, ServletException {
doGetOrPost(request, response);
}

void doGetOrPost(HttpServletRequest request, HttpServletResponse response) throws
IOException, ServletException {
/* ip   ?*/
if(MainProps.isIpIgnor(request.getRemoteAddr().replace("/", ""))) return;
response.setContentType("text/html; charset=\"utf-8\"");
Log.http("HTTP LOG: " + request.getRemoteAddr()+"("+request.getRemoteHost()+") "+  			request.getQueryString());
HttpConnection con = new HttpConnection(request, response);
String page = request.getParameter("page");
/*   */
if(!NoAuthorization.containsKey(request.getRemoteAddr())){
NoAuthorization no = new NoAuthorization( 0, 0);
NoAuthorization.put(request.getRemoteAddr(), no);
}
if (page == null/*|| page.equals("exit")*/) {
loginForm(request,con, request.getRemoteAddr());

} else {
try {
Method method = self.getMethod(page, methodParamTypes);
Object methodParams[] = new Object[1];
methodParams[0] = con;
try {
method.invoke(this, methodParams);
} catch (InvocationTargetException x) {
Throwable tx = x.getTargetException();
tx.printStackTrace();
SrvUtil.error(con,
"Exception " + tx.getClass().getName() + ": " +
tx.getMessage());
} catch (Exception x) {
SrvUtil.error(con,
"Exception " + x.getClass().getName() + ": " +
x.getMessage());
}
} catch (NoSuchMethodException x) {
SrvUtil.error(con, "No such method: " + page);
}
}
con.send();
}







class NoAuthorization{
public long lastErrLogin = 0;
public int loginErrCount = 0;

NoAuthorization(long lastErrLogin, int loginErrCount){
this.lastErrLogin = lastErrLogin;
this.loginErrCount = loginErrCount;
}
}

/**
 * 
 * @param con
 * @throws IOException
 */
public void srvs_adminUIN(HttpConnection con) throws IOException {
String ns = con.get("ns");
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}

if(!checkSession(uid)){
SrvUtil.error(con," !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us,ns)){
printMsg(con, "main_page_user", "      !");
return;
}

con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2><font color =\"#FFFF00\">   mod ADMIN EDITION</font></H2>" +
"<H3>  </H3>");
String s = "<TABLE BORDER=\"1\"><TR><TD></TD><TD></TD></TR>";
for(String n:Manager.getInstance().getServiceNames()){
s += "<TR><TH ALIGN=LEFT>"+n+"</TD>";
s += "<TD>"+Manager.getInstance().getService(n).getProps().getStringProperty("bot.adminUIN")+"</TD>";
s += "</TR>";
}
s += "</TABLE><FORM>";
con.print(s);
String page = us == null ? "main_page" : "main_page_user";
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" + page + "\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

  /**
     *       . getDBPreference
     *      .
     * @param con
     * @throws IOException
     */
public void DB_props(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid)){
//if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us,ns)){
printMsg(con, "main_page_user", "      !");
return;
}
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2><font color =\"#FFFF00\">   mod ADMIN EDITION</font></H2>" +
"<H3>   " + ns + "</H3>");
con.print("<FORM METHOD=POST ACTION=\"" + con.getURI() +
"\"><INPUT TYPE=hidden NAME=\"page\" VALUE=\"DB_propss_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">" +
prefToHtml(Manager.getInstance().getService(ns).getProps().getDBPreference())+
"<P><INPUT TYPE=submit VALUE=\"\">");
String page = us == null ? "main_page" : "main_page_user";
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" + page + "\"></FORM>");







con.print("</FONT></BODY></HTML>");
}

    /**
     * getDBPreference
     * @param con
     * @throws IOException
     */
public void DB_propss_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
UserPreference[] p = Manager.getInstance().getService(ns).getProps().getDBPreference();
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
Manager.getInstance().getService(ns).getProps().setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
Manager.getInstance().getService(ns).getProps().setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
Manager.getInstance().getService(ns).getProps().setStringProperty(p[i].getKey(), s);
}
}
}
Manager.getInstance().getService(ns).getProps().save();
String page = us.equals("null") ? "main_page" : "main_page_user";
printOkMsg(con,page);
}



public void srvs_adm(HttpConnection con) throws IOException { //  -
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2>  </H2>" +
"<H3> -  " + ns + "</H3>");
con.print("<FORM METHOD=POST ACTION=\"" + con.getURI() +
"\"><INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_adm_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">" +
prefToHtml(Manager.getInstance().getService(ns).getProps().getAdmPreference())+
"<P><INPUT TYPE=submit VALUE=\"\">");
String page = us == null ? "main_page" : "main_page_user";
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" + page + "\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

public void srvs_adm_in(HttpConnection con) throws IOException { //  -
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
UserPreference[] p = Manager.getInstance().getService(ns).getProps().getAdmPreference();
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
Manager.getInstance().getService(ns).getProps().setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
Manager.getInstance().getService(ns).getProps().setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
Manager.getInstance().getService(ns).getProps().setStringProperty(p[i].getKey(), s);
}
}
}
Manager.getInstance().getService(ns).getProps().save();
String page = us.equals("null") ? "main_page" : "main_page_user";
printOkMsg(con,page);
}

public void srvs_new(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2><font color =\"#FFFF00\">   mod ADMIN EDITION</font></H2>" +
"<H3>  " + ns + "</H3>");
con.print("<FORM METHOD=POST ACTION=\"" + con.getURI() +
"\"><INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_new_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">" +
prefToHtml(Manager.getInstance().getService(ns).getProps().NewUserPreference())+
"<P><INPUT TYPE=submit VALUE=\"\">");
String page = us == null ? "main_page" : "main_page_user";
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" + page + "\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

    /**
     *    
     * @param con
     * @throws IOException
     */
public void srvs_new_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
UserPreference[] p = Manager.getInstance().getService(ns).getProps().NewUserPreference();
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
Manager.getInstance().getService(ns).getProps().setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
Manager.getInstance().getService(ns).getProps().setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
Manager.getInstance().getService(ns).getProps().setStringProperty(p[i].getKey(), s);
}
}
}
Manager.getInstance().getService(ns).getProps().save();
String page = us.equals("null") ? "main_page" : "main_page_user";
printOkMsg(con,page);
}

public void amunicia(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2><font color =\"#FFFF00\">   mod ADMIN EDITION</font></H2>" +
"<H3>   " + ns + "</H3>");
con.print("<FORM METHOD=POST ACTION=\"" + con.getURI() +
"\"><INPUT TYPE=hidden NAME=\"page\" VALUE=\"amunicia_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">" +
prefToHtml(Manager.getInstance().getService(ns).getProps().amunicia())+
"<P><INPUT TYPE=submit VALUE=\"\">");
String page = us == null ? "main_page" : "main_page_user";
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" + page + "\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

      /**
     *    
     * @param con
     * @throws IOException
     */
public void amunicia_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
UserPreference[] p = Manager.getInstance().getService(ns).getProps().amunicia();
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
Manager.getInstance().getService(ns).getProps().setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
Manager.getInstance().getService(ns).getProps().setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
Manager.getInstance().getService(ns).getProps().setStringProperty(p[i].getKey(), s);
}
}
}
Manager.getInstance().getService(ns).getProps().save();
String page = us.equals("null") ? "main_page" : "main_page_user";
printOkMsg(con,page);
}

    /**
     *       .
     *      .
     * @param con
     * @throws IOException
     */
public void srvs_magazin(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2><font color =\"#FFFF00\">   mod ADMIN EDITION</font></H2>" +
"<H3>        " + ns + "</H3>");
con.print("<FORM METHOD=POST ACTION=\"" + con.getURI() +
"\"><INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_magazin_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">" +
prefToHtml(Manager.getInstance().getService(ns).getProps().MagazinUserPreference())+
"<P><INPUT TYPE=submit VALUE=\"\">");
String page = us == null ? "main_page" : "main_page_user";
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" + page + "\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

    /**
     *    
     * @param con
     * @throws IOException
     */
public void srvs_magazin_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
UserPreference[] p = Manager.getInstance().getService(ns).getProps().MagazinUserPreference();
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
Manager.getInstance().getService(ns).getProps().setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
Manager.getInstance().getService(ns).getProps().setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
Manager.getInstance().getService(ns).getProps().setStringProperty(p[i].getKey(), s);
}
}
}
Manager.getInstance().getService(ns).getProps().save();
String page = us.equals("null") ? "main_page" : "main_page_user";
printOkMsg(con,page);
}


public String loadText(String fname){
String s = "";
try {
BufferedReader r = new BufferedReader(new InputStreamReader(new FileInputStream(fname),"windows-1251"));
while (r.ready()) {
s += r.readLine() + "\n";


}
r.close();
} catch (Exception ex) {
ex.printStackTrace();
}
return s;
}


public void srvs_texts(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}


con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
        //"<H2>  </H2>" +
"<H3> </H3>"+"<table width=\"25%\" border=\"0\" cellpadding=\"18\">"+"<fieldset>");

if (Manager.getInstance().getService(ns).getProps().getBooleanProperty("help.on.off")){



String helps = Manager.getInstance().getService(ns).getProps().getStringProperty("help.txt");
String[] helpsi = helps.split(";");
String categori = Manager.getInstance().getService(ns).getProps().getStringProperty("categori.txt");
String[] categorii = categori.split(";");
for(int ih=0;ih<helpsi.length;ih++){

String[] ss0 = loadText("./text/"+ns+"/help/"+helpsi[ih]).split("<br>");
for(int i=0;i<ss0.length;i++){




con.print("<FORM METHOD=POST ACTION=\""+con.getURI()+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_texts_in\">"+
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\""+ns+"\">"+
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\""+us+"\">"+
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">"+
"<br><legend>"+categorii[ih]+"</legend>"+
"<textarea name=\"helps"+ih+"\" cols=\""+MainProps.getIntProperty("textarea.cols")+"\"  rows=\""+MainProps.getIntProperty("textarea.rows")+"\">"+ss0[i]+"</textarea>"+

"<div class=\"clearfloat\"></div>");
}
    }
    }


String[] ss = loadText("./text/"+ns+"/Bytilochka.txt").split("<br>");
for(int i=0;i<ss.length;i++){
con.print("<FORM METHOD=POST ACTION=\""+con.getURI()+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_texts_in\">"+
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\""+ns+"\">"+
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\""+us+"\">"+
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">"+
"<br><legend>  </legend>"+
"<textarea name=\"texts"+"\" cols=\""+MainProps.getIntProperty("textarea.cols")+"\"  rows=\""+MainProps.getIntProperty("textarea.rows")+"\">"+ss[i]+"</textarea>"+

"<div class=\"clearfloat\"></div>");
}
String[] ss2 = loadText("./text/"+ns+"/admin_msg.txt").split("<br>");
for(int i=0;i<ss2.length;i++){
con.print("<FORM METHOD=POST ACTION=\""+con.getURI()+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_texts_in\">"+
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\""+ns+"\">"+
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\""+us+"\">"+
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">"+
"<br><legend> </legend>"+
"<textarea name=\"texts1\" cols=\""+MainProps.getIntProperty("textarea.cols")+"\"  rows=\""+MainProps.getIntProperty("textarea.rows")+"\">"+ss2[i]+"</textarea>"+
"<div class=\"clearfloat\"></div>");
}

String[] ss3 = loadText("./text/"+ns+"/rules.txt").split("<br>");
for(int i=0;i<ss3.length;i++){
con.print("<FORM METHOD=POST ACTION=\""+con.getURI()+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_texts_in\">"+
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\""+ns+"\">"+
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\""+us+"\">"+
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">"+
"<br><legend> </legend>"+
"<textarea name=\"texts2\" cols=\""+MainProps.getIntProperty("textarea.cols")+"\"  rows=\""+MainProps.getIntProperty("textarea.rows")+"\">"+ss3[i]+"</textarea>"+
"<div class=\"clearfloat\"></div><br>"+"<center><input type=submit value=\"\"/></center>");
}
String page = us==null ? "main_page" : "main_page_user";
con.print("</fieldset>"+"</table>"+"<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=" + page + "\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

public void srvs_texts_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");

if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}

if (Manager.getInstance().getService(ns).getProps().getBooleanProperty("help.on.off")){

String helps = Manager.getInstance().getService(ns).getProps().getStringProperty("help.txt");
String[] helpsi = helps.split(";");
for(int ih=0;ih<helpsi.length;ih++){

String helpsih = con.get("helps"+ih);
OutputStreamWriter ow0 = new OutputStreamWriter(new FileOutputStream("./text/"+ns+"/help/"+helpsi[ih],false),"windows-1251");
ow0.write(helpsih);
ow0.close();
    }
    }

String texts = con.get("texts");
OutputStreamWriter ow = new OutputStreamWriter(new FileOutputStream("./text/"+ns+"/Bytilochka.txt",false),"windows-1251");
ow.write(texts);
ow.close();
String texts1 = con.get("texts1");
OutputStreamWriter ow1 = new OutputStreamWriter(new FileOutputStream("./text/"+ns+"/admin_msg.txt",false),"windows-1251");
ow1.write(texts1);
ow1.close();
String texts2 = con.get("texts2");
OutputStreamWriter ow2 = new OutputStreamWriter(new FileOutputStream("./text/"+ns+"/rules.txt",false),"windows-1251");
ow2.write(texts2);
ow2.close();
/////////////////////////
String page = us.equals("null") ? "main_page" : "main_page_user";
printOkMsg(con,page);
}



/**srvs_UINpro
*   - , .
* @param con
* @throws IOException
*/
public void srvs_tarif(HttpConnection con) throws IOException {
String uid = con.get("uid");
if(!checkSession(uid)) {
SrvUtil.error(con," !");
return;
}
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2>  </H2>"+
"<H3> </H3>");
String s = "<TABLE BORDER=\"1\"><TR><TD></TD><TD></TD><TD></TD><TD>/</TD><TD> </TD><TD> </TD></TR>";
//for(String n:Manager.getInstance().getServiceNames()){
//s += "<p><b> "+n+"  [ "+Manager.getInstance().getService(n).getProps().getStringProperty("sn.tarif")+" ]- "+
//"<A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_edit_tarif&ns="+n+"\">" + " </A> | "+
//"<a href=\""+con.getURI()+"?uid="+uid+"&page=srvs_tarif_info&ns="+n+"\"> <a></p>";
//}


for(String n:Manager.getInstance().getServiceNames()){
s += "<TR><TH ALIGN=LEFT>"+n+"</TD>";
s += "<TD>"+Manager.getInstance().getService(n).getProps().getStringProperty("sn.tarif")+"</TD>";
s += "<TD>"+Manager.getInstance().getService(n).getProps().getIntProperty("uin.col")+"</TD>";
s += "<TD>"+Manager.getInstance().getService(n).getProps().getIntProperty("chat.maxUserOnUin")+"</TD>";


s += "<TD><a href=\""+con.getURI()+"?uid="+uid+"&page=srvs_tarif_info&ns="+n+"\"> <a></TD>";
s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_edit_tarif&ns="+n+"\">" + " </A> </TD>";
s += "</TR>";
}
s += "</TABLE><FORM>";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=main_page\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

public void srvs_edit_tarif(HttpConnection con) throws IOException {
String uid = con.get("uid");
if(!checkSession(uid)){
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2>  </H2>" +
"<H3>   "+ns+"</H3>");
String s = "<FORM METHOD=POST ACTION=\"" + con.getURI() +"\"><INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_edit_tarif_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">";
s += "<TABLE cellspacing=\"0\"><p><b>";

s += "<tr>"+
"<td><p><b> </p></b></td>"+
"<td><p><b> - </p></b></td>"+
"<td><INPUT TYPE=text NAME=\"tarif\" VALUE=\"" + Manager.getInstance().getService(ns).getProps().getStringProperty("sn.tarif")+ "\"></td>"+
"</tr>";
s += "<tr>"+
"<td><p><b>   1 </p></b></td>"+
"<td><p><b> - </p></b></td>"+
"<td><INPUT TYPE=text NAME=\"uin.chel\" VALUE=\"" + Manager.getInstance().getService(ns).getProps().getIntProperty("chat.maxUserOnUin")+ "\"></td>"+
"</tr>";
s += "<tr>"+
"<td><p><b>   </p></b></td>"+
"<td><p><b> - </p></b></td>"+
"<td><INPUT TYPE=text NAME=\"uin.sn\" VALUE=\"" + Manager.getInstance().getService(ns).getProps().getIntProperty("uin.col")+ "\"></td>"+
"</tr>";

s += "</TABLE>";
s += "<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("</fieldset>"+"</table>");
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_tarif&ns="+ns+"\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

public void srvs_edit_tarif_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
if(!checkSession(uid)){
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
int uin = Integer.parseInt(con.get("uin.sn"));
int chel = Integer.parseInt(con.get("uin.chel"));

Manager.getInstance().getService(ns).getProps().setIntProperty("uin.col", uin);
Manager.getInstance().getService(ns).getProps().setIntProperty("chat.maxUserOnUin", chel);
Manager.getInstance().getService(ns).getProps().setStringProperty("sn.tarif", con.get("tarif"));
Manager.getInstance().getService(ns).getProps().save();
printOkMsg(con, "main_page");
}

public void srvs_tarif_info(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
String ns = con.get("ns"); //  
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2>  </H2>" +
"<H3>  </H3>");
String s = "<TABLE>";

s += "<tr>"+
"<td><p><b> </p></b></td>"+
"<td><p><b> - </p></b></td>"+
"<td><p><b>" + Manager.getInstance().getService(ns).getProps().getStringProperty("sn.tarif")+ "</p></b></td>"+
"</tr>";
s += "<tr>"+
"<td><p><b>   1 </p></b></td>"+
"<td><p><b> - </p></b></td>"+
"<td><p><b>" + Manager.getInstance().getService(ns).getProps().getIntProperty("chat.maxUserOnUin")+ "</p></b></td>"+
"</tr>";
s += "<tr>"+
"<td><p><b>   </p></b></td>"+
"<td><p><b> - </p></b></td>"+
"<td><p><b>" + Manager.getInstance().getService(ns).getProps().getIntProperty("uin.col")+ "</p></b></td>"+
"</tr>";

s += "</TABLE><FORM>";
con.print(s);
String page = us == null ? "main_page" : "main_page_user";
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&page="+page+"\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
*    .
* @param con
* @throws IOException
*/
public void users_change_pass(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us"); //  
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +
//"<H2>  </H2>" +
"<H3> </H3>");
String s = "<FORM METHOD=POST ACTION=\"" + con.getURI() + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" + us + "\">" +
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"users_change_pass_in\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">" +
"<TABLE>" +
"<TR><TD> :</TD><TD><INPUT TYPE=password NAME=\"pass0\" size=\"20\"></TD></TR>"+
"<TR><TD> :</TD><TD><INPUT TYPE=password NAME=\"pass1\" size=\"20\"></TD></TR></TABLE>";
s += "<P><INPUT TYPE=submit VALUE=\"\">";
String page = us == null ? "main_page" : "main_page_user";
s += "<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid+ "&us=" + us + "&page="+page+"\"></FORM>";
s += "</FONT></BODY></HTML>";
con.print(s);
}

/**
*     
* @param con
* @throws IOException
*/
public void users_change_pass_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us"); //  
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String pass0 = con.get("pass0");
String pass1 = con.get("pass1");
if(!pass0.equalsIgnoreCase(pass1)){
printMsg_users(con,"users_create","  !");
return;
}
//if(us.equals("")){
//printMsg_users(con,"users_create","  !");
///return;
//}
MainProps.copy_user(us);
//Manager.getInstance().changeUser_user(us, pass0);
MainProps.changeUser_user(us, pass0);
MainProps.save();
String page = us == null ? "main_page" : "main_page_user";
printOkMsg(con,page);
}


   
    
 public String BODY = "" +
                "<style type="+"text/css"+">" +
                  "a:link {color: #"+MainProps.getStringProperty("css.a10")+";}" +
                "a:visited {color: #"+MainProps.getStringProperty("css.a20")+";}" +
                "th {color: #"+MainProps.getStringProperty("css.texts")+";}" +
                "th font {color: #"+MainProps.getStringProperty("css.cat")+";}" +
                "th u {color: #"+MainProps.getStringProperty("css.cat")+";}" +
                "p {color: #"+MainProps.getStringProperty("css.texts")+";}" +
                "h1 {color: #"+MainProps.getStringProperty("css.texts")+";}" +
                "h2 {color: #"+MainProps.getStringProperty("css.texts")+";}" +
                "h3 {color: #"+MainProps.getStringProperty("css.texts")+";}" +
                "h4 {color: #"+MainProps.getStringProperty("css.texts")+";}" +
                "BODY {" +
                "background-image : url("+MainProps.getStringProperty("bg.image")+") ;" +
                //"background-repeat: no-repeat;" +
                "background-attachment: fixed;" +
                "}</style>"+
                  "<BODY bgcolor=\"#"+MainProps.getStringProperty("bg.color")+"\">"
         ;


 public String HTML_HEAD =
            "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 3.2//EN\"><HTML><HEAD>" +
            "<meta content=\"text/html; charset=windows-1251\" http-equiv=\"Content-Type\" />"+
"<link rel=\"stylesheet\" type=\"text/css\" href=\"http://brother-hosting.ru/panel/resizer/resizer.css\" />"+
"<script src=\"http://brother-hosting.ru/panel/resizer/resizer.js\"></script>";






//*****************************************
//s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_weapon&ns="+n+"\"><span>XML</span></A></TD>";

public void srvs_armour(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
Object url = con.getURI();
con.print(SrvUtil.HTML_HEAD + BODY +"<H2>  </H2><H3> </H3>");
if(!checkSession(uid)){
con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_armour_add&ns="+ns+"\">  </A> | <A HREF=\"" + url + "?uid=" + uid + "&us=" + us + "&page=srvs_armour_all_edit&ns="+ns+"\">  </A> | "
        + "<A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_armour_all_del&ns="+ns+"\" onClick=\"return window.confirm('    ?')\">  </A><br>");
}else {
con.print("<P><A HREF=\"" + url + "?uid=" + uid + "&page=srvs_armour_add&ns="+ns+"\">  </A> | <A HREF=\"" + url + "?uid=" + uid + "&page=srvs_armour_all_edit&ns="+ns+"\"> </A> | "
              + "<A HREF=\"" + url + "?uid=" + uid +"&page=srvs_armour_all_del&ns="+ns+"\" onClick=\"return window.confirm('    ?')\">  </A><br>");
}
String s = "<FORM METHOD=POST ACTION=\"" + url +"\">"+
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">";
if(!checkSession(uid)){
for(int i=1;i<OtherProp.getInstance(ns).weaponCount();i++){
s += i+"  "+OtherProp.getInstance(ns).getName(i)+
" <A HREF=\""+url+"?uid="+uid+"&us=" + us +"&page=srvs_armour_edit&id="+i+"&ns="+ns+"\">  </A> - "+
" <A HREF=\""+url+"?uid="+uid+"&us=" + us +"&page=srvs_armour_del&id="+i+"&ns="+ns+"\" onClick=\"return window.confirm('   ?')\"> </A> <br>";
}
}else {
for(int i=1;i<OtherProp.getInstance(ns).weaponCount();i++){
s += i+"  "+OtherProp.getInstance(ns).getName(i)+
"<A HREF=\""+url+"?uid="+uid+"&page=srvs_armour_edit&id="+i+"&ns="+ns+"\">  </A> - "+
"<A HREF=\""+url+"?uid="+uid+"&page=srvs_armour_del&id="+i+"&ns="+ns+"\" onClick=\"return window.confirm('   ?')\"> </A> <br>";
}
}
con.print(s);
if(!checkSession(uid)){
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page_user\"></FORM>");
}else{
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page\"></FORM>");
}
con.print("</FONT></BODY></HTML>");
}

public void srvs_armour_edit(HttpConnection con) throws IOException {
String uid = con.get("uid");
String id_ = con.get("id");
int id = Integer.parseInt(id_);
Object url = con.getURI();
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(SrvUtil.HTML_HEAD + BODY +
"<H2>  </H2>" +
"<H3> .</H3>");
String s = "<FORM METHOD=POST ACTION=\""+url+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_armour_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">"+
"<INPUT TYPE=hidden NAME=\"id\" VALUE=\""+id+"\">";
s += prefToHtml(OtherProp.getInstance(ns).getArmourPreference(id))+
"<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\""+url+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_armour\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

public void srvs_armour_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
int id = Integer.parseInt(con.get("id"));
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
UserPreference[] p = OtherProp.getInstance(ns).getArmourPreference(id);
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
OtherProp.getInstance(ns).setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
OtherProp.getInstance(ns).setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
OtherProp.getInstance(ns).setStringProperty(p[i].getKey(), s);
}
}
}
OtherProp.getInstance(ns).save();
String page = us.equals("null") ? "main_page" : "main_page_user";
printOkMsg(con,page);
}

public void srvs_armour_add(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
OtherProp.getInstance(ns).addWeapon("",0,0);
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_armour\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_armour\">" + "</A><br>");
}

/**
*  
* @param con
* @throws IOException
*/
public void srvs_armour_del(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
int id = Integer.parseInt(con.get("id"));
OtherProp.getInstance(ns).delWeapon(id);
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_armour\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_armour\">" + "</A><br>");
}
//********************************************************************************





public void srvs_armour_all_edit(HttpConnection con) throws IOException {
String uid = con.get("uid");
Object url = con.getURI();
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY +
"<H2>  </H2>" +
"<H3> .</H3>");
String s = "<FORM METHOD=POST ACTION=\""+url+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_armour_all_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">";
for(int i=1;i<OtherProp.getInstance(ns).weaponCount();i++){
s += prefToHtml(OtherProp.getInstance(ns).getArmourPreference(i));
}
s += "<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\""+url+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_armour\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

public void srvs_armour_all_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
for(int id=1;id<OtherProp.getInstance(ns).weaponCount();id++){
UserPreference[] p = OtherProp.getInstance(ns).getArmourPreference(id);
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
OtherProp.getInstance(ns).setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
OtherProp.getInstance(ns).setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
OtherProp.getInstance(ns).setStringProperty(p[i].getKey(), s);
}
}
}
}
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_armour\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_armour\">" + "</A><br>");
}

public void srvs_armour_all_del(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
//for(int j=1;j<OtherProp.getInstance(ns).weaponCount();j++){
OtherProp.getInstance(ns).delallWeapon();
//}
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_armour\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_armour\">" + "</A><br>");
}

//public void srvs_defult_setting(HttpConnection con) throws IOException {
//String uid = con.get("uid");
//String us = con.get("us");
//if(!checkSession(uid))
//if(!checkSession_user(uid, us)) {
//SrvUtil.error(con," !");
//return;
//}
//String ns = con.get("ns");
//if(!Manager.getInstance().getServiceNames().contains(ns)){
//SrvUtil.error(con,"    !");
//return;
//}
//String user = Manager.getInstance().getService(ns).getProps().getStringProperty("db.user");
//String pass =Manager.getInstance().getService(ns).getProps().getStringProperty("db.pass");
//String dbname =Manager.getInstance().getService(ns).getProps().getStringProperty("db.dbname");
//String ms="";
//for(int i=0;i<Manager.getInstance().getService(ns).getProps().uinCount();i++){
//ms += Manager.getInstance().getService(ns).getProps().getUin(i) +";" +Manager.getInstance().getService(ns).getProps().getPass(i)+"\n";
//    }
//
//
//Log.info("  ["+ns+"]");
//if(Manager.getInstance().getService(ns).isRun) Manager.getInstance().stop(ns);
//Log.info("      ["+ns+"]");
//Manager.getInstance().getService(ns).getProps().setDefault();
//Manager.getInstance().getService(ns).getProps().save();
//
//Manager.getInstance().getService(ns).getProps().setStringProperty("db.user", user);
//Manager.getInstance().getService(ns).getProps().setStringProperty("db.pass", pass);
//Manager.getInstance().getService(ns).getProps().setStringProperty("db.dbname", dbname);
//Manager.getInstance().getService(ns).getProps().save();
//
//   if (!ms.equals("")&& ms.indexOf(";")>=0){
//    String uin = "";
//    String passu = "";
//       int id=0;
//        String[] baztext = ms.split("\n");
//        String[] up =baztext[0].split(";");
//        for(int yi=0;yi<baztext.length;yi++){
//            id++;
//            up =baztext[yi].split(";");
//           uin = up[0];
//           passu = up[1].replace("\n","");
//           passu = passu.replace("\r","");
//         Manager.getInstance().getService(ns).getProps().addUin(uin, passu);
//        }
//    }
//
//Log.info("      ["+ns+"]");
//PanelProc.getInstance(ns).setDefault();
//PanelProc.getInstance(ns).save();
//Log.info("     !");
//if(!checkSession(uid)){
//con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=main_page_user\" />" +
//"<H3><FONT>    !</FONT></H3>");
//con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=main_page_user\"></FORM>");
//}else{
//con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=main_page\" />" +
//"<H3><FONT>    !</FONT></H3>");
//con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=main_page\"></FORM>");
//}
//}


  /**
 *     
 * @param con
 * @throws IOException
 */
//public void srvs_defult_setting(HttpConnection con) throws IOException {
//String uid = con.get("uid");
//String us = con.get("us");
//if(!checkSession(uid))
//if(!checkSession_user(uid, us)) {
//SrvUtil.error(con," !");
//return;
//}
//String ns = con.get("ns");
//if(!Manager.getInstance().getServiceNames().contains(ns)){
//SrvUtil.error(con,"    !");
//return;
//}
//int count = Manager.getInstance().getService(ns).getProps().uinCount();
//Properties uin = new Properties();
//uin.put("db.host", Manager.getInstance().getService(ns).getProps().getStringProperty("db.host"));
//uin.put("db.user", Manager.getInstance().getService(ns).getProps().getStringProperty("db.user"));
//uin.put("db.pass", Manager.getInstance().getService(ns).getProps().getStringProperty("db.pass"));
//uin.put("db.dbname", Manager.getInstance().getService(ns).getProps().getStringProperty("db.dbname"));
//for(int i=0;i<Manager.getInstance().getService(ns).getProps().uinCount();i++){
//uin.put("conn.uin"+i, Manager.getInstance().getService(ns).getProps().getUin(i));
//uin.put("conn.pass"+i, Manager.getInstance().getService(ns).getProps().getPass(i));
//}
//Log.info("  ["+ns+"]");
//if(Manager.getInstance().getService(ns).isRun) Manager.getInstance().stop(ns);
//Log.info("      ["+ns+"]");
//Manager.getInstance().getService(ns).getProps().setDefault();
//Manager.getInstance().getService(ns).getProps().save();
//Log.info("      ["+ns+"]");
//PanelProc.getInstance(ns).setDefault();
//PanelProc.getInstance(ns).save();
//for(int i=0;i<count;i++){
//Manager.getInstance().getService(ns).getProps().setIntProperty("conn.uinCount", count);
//Manager.getInstance().getService(ns).getProps().setStringProperty("conn.uin"+i, uin.getProperty("conn.uin"+i));
//Manager.getInstance().getService(ns).getProps().setStringProperty("conn.pass"+i, uin.getProperty("conn.pass"+i));
//}
//Manager.getInstance().getService(ns).getProps().setStringProperty("db.host", uin.getProperty("db.host"));
//Manager.getInstance().getService(ns).getProps().setStringProperty("db.user", uin.getProperty("db.user"));
//Manager.getInstance().getService(ns).getProps().setStringProperty("db.pass", uin.getProperty("db.pass"));
//Manager.getInstance().getService(ns).getProps().setStringProperty("db.dbname", uin.getProperty("db.dbname"));
//Manager.getInstance().getService(ns).getProps().save();
//uin.clear();
//Log.info("     !");
//if(!checkSession(uid)){
//con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=main_page_user\" />" +
//"<H3><FONT>  !</FONT></H3>");
//con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=main_page_user\"></FORM>");
//}else{
//con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=main_page\" />" +
//"<H3><FONT>  !</FONT></H3>");
//con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=main_page\"></FORM>");
//}
//}
//


//*********************************************************************

/**
*      
* @param con
* @throws IOException
*/
public void srvs_props_uin(HttpConnection con) throws IOException {
String uid = con.get("uid");
if (!(checkSession(uid))) {
SrvUtil.error(con, " !");
return;
}
String ns = con.get("ns");
if (!(Manager.getInstance().getServiceNames().contains(ns))) {
SrvUtil.error(con, "    !");
return;
}
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +"<H3> UIN   " + ns + "</H3>");
con.print("<P><br>"+
"<A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_props_uin_add&ns=" + ns + "\">" + "</A> <b>|</b> "+
"<A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_props_uin_add_all&ns=" + ns + "\">" + "</A> <b>|</b> "+





        "<A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_pass&ns="+ns+"\"></A> <b>|</b> "
        + "<A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=uin_activ&ns="+ns+"\"><span></span></A> <b>|||</b> "
        + "<A HREF=\"" + con.getURI() + "?uid=" + uid +"&page=srvs_stats&ns="+ns+"\"><span></span></A>"

        + "<br>");
String s = "<FORM METHOD=POST ACTION=\"" + con.getURI() + "\">"+
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" + ns + "\">"+
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + this.userID + "\">";
for (int i = 0; i < Manager.getInstance().getService(ns).getProps().uinCount(); ++i) {
s = s+"UIN "+i+" ["+Manager.getInstance().getService(ns).getProps().getUin(i)+"] - "+
"<A HREF=\"" + con.getURI() + "?uid=" + uid + "&ns="+ns+"&id="+i+"&page=srvs_props_uin_edit\"></A> <b>|</b>"+
" <A HREF=\"" + con.getURI() + "?uid=" + uid + "&ns="+ns+"&id="+i+"&page=srvs_props_uin_del\" onclick=\"return confirm(' uin "+Manager.getInstance().getService(ns).getProps().getUin(i)+" ?')\"></A><br>";
}
con.print(s);
con.print("<br><A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_props_uin_edit_all&ns=" + ns + "\">" + " </A> <b>|</b> <A HREF=\"" + con.getURI() + "?uid=" + uid + "&page=srvs_props_uin_delall&ns=" + ns + "\" onclick=\"return confirm('  ?')\" >" + " </A><br>");
con.print("<P><INPUT TYPE=button VALUE=\"\" onclick=location.href=\"" + con.getURI() + "?uid=" + uid + "&ns="+ns+"&page=main_page\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
 *   
 * @param con
 * @throws IOException
 */
public void srvs_props_uin_add_all(HttpConnection con) throws IOException {
String uid = con.get("uid");
if (!(checkSession(uid))) {
SrvUtil.error(con, " !");
return;
}
String ns = con.get("ns");
if (!(Manager.getInstance().getServiceNames().contains(ns))) {
SrvUtil.error(con, "    !");
return;
}
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +"<H3>  UIN'</H3>");
String s = "<FORM METHOD=POST ACTION=\"" + con.getURI() + "\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_props_uin_all_in\">"+
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" + ns + "\">"+
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + this.userID + "\">";
s = s + " UIN;PASS <br><textarea name=\"msg\" cols=\"25\" rows=\"20\" >;\n;\n;\n</textarea><br>";
s = s + "<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onclick=location.href=\"" + con.getURI() + "?uid=" + uid +"&ns="+ns+ "&page=srvs_props_uin\"><br>");
//con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin\"></A><br>");
con.print("</FONT></BODY></HTML>");
}

/**
 *   
 * @param con
 * @throws IOException
 */
public void srvs_props_uin_all_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
if (!(checkSession(uid))) {
SrvUtil.error(con, " !");
return;
}
String ns = con.get("ns");
if (!(Manager.getInstance().getServiceNames().contains(ns))) {
SrvUtil.error(con, "    !");
return;
}
String ms = con.get("msg");
String[] baz = ms.split("\n");
if(baz.length>Manager.getInstance().getService(ns).getProps().getIntProperty("uin.col")){
SrvUtil.error(con,",    ,     "+Manager.getInstance().getService(ns).getProps().getIntProperty("uin.col")+" !");
return;
}
if(Manager.getInstance().getService(ns).getProps().uinCount() == Manager.getInstance().getService(ns).getProps().getIntProperty("uin.col")){
SrvUtil.error(con,",    ,     "+Manager.getInstance().getService(ns).getProps().getIntProperty("uin.col")+" !");
return;
}
String uin = "";
String pass = "";
int id=0;
String[] baztext = ms.split("\n");
String[] up =baztext[0].split(";");
for(int i=0;i<baztext.length;i++){
id++;
up =baztext[i].split(";");
uin = up[0];
pass = up[1].replace("\n","");
pass = pass.replace("\r","");
Manager.getInstance().getService(ns).getProps().addUin(uin, pass);
Manager.getInstance().getService(ns).getProps().save();
}
//con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin_add\" />" +
//"<H3><FONT>UIN'  !</FONT></H3>");
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin\" />" +
"<H3><FONT>UIN'  !</FONT></H3>");
//con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin_add\"></A><br>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin\"></A><br>");
}

/**
 *  
 * @param con
 * @throws IOException
 */
public void srvs_props_uin_edit(HttpConnection con) throws IOException {
String uid = con.get("uid");
if (!(checkSession(uid))) {
SrvUtil.error(con, " !");
return;
}
String ns = con.get("ns");
int id = Integer.parseInt(con.get("id"));
if (!(Manager.getInstance().getServiceNames().contains(ns))) {
SrvUtil.error(con, "    !");
return;
}
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +"<H3>  UIN'</H3>");
String s = "<FORM METHOD=POST ACTION=\"" + con.getURI() + "\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_props_uin_in\">"+
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" + ns + "\">"+
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + this.userID + "\">"+
"<INPUT TYPE=hidden NAME=\"id\" VALUE=\""+id+"\">"+
      "<table border=\"0\"><tbody>"+
"<tr>"+
"<td>UIN</td>"+
"<td><INPUT TYPE=text NAME=\"uin_"+id+"\" size=\"20\" value=\""+Manager.getInstance().getService(ns).getProps().getUin(id)+"\"></td>"+
"</tr><tr><td></td><td><INPUT TYPE=password NAME=\"pass_"+id+"\" size=\"20\"></td></tr></tbody></table>";

s += "<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onclick=location.href=\"" + con.getURI() + "?uid=" + uid +"&ns="+ns+ "&page=srvs_props_uin\"><br>");
con.print("</FONT></BODY></HTML>");
}

/**
*     
* @param con
* @throws IOException
*/
public void srvs_props_uin_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
if (!(checkSession(uid))) {
SrvUtil.error(con, " !");
return;
}
String ns = con.get("ns");
if (!(Manager.getInstance().getServiceNames().contains(ns))) {
SrvUtil.error(con, "    !");
return;
}
int id = Integer.parseInt(con.get("id"));
if (!(con.get("pass_" + id).equals("")))
Manager.getInstance().getService(ns).getProps().setUin(id, con.get("uin_" + id), con.get("pass_" + id));
Manager.getInstance().getService(ns).getProps().save();
//con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin_add\" />" +
//"<H3><FONT>  !</FONT></H3>");
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin\" />" +
"<H3><FONT>UIN'  !</FONT></H3>");
//con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin_add\"></A><br>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin\"></A><br>");
}

/**
*   
* @param con
* @throws IOException
*/
public void srvs_props_uin_add(HttpConnection con) throws IOException {
String uid = con.get("uid");
if(!checkSession(uid)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
if(Manager.getInstance().getService(ns).getProps().uinCount() == Manager.getInstance().getService(ns).getProps().getIntProperty("uin.col")){
SrvUtil.error(con,",    ,     "+Manager.getInstance().getService(ns).getProps().getIntProperty("uin.col")+" !");
return;
}
Manager.getInstance().getService(ns).getProps().addUin("111", "pass");
Manager.getInstance().getService(ns).getProps().save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin\" />" +
"<H3><FONT>UIN'  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin\"></A><br>");
//srvs_props_uin(con);
}

/**
*  
* @param con
* @throws IOException
*/
public void srvs_props_uin_del(HttpConnection con) throws IOException {
String uid = con.get("uid");
if(!checkSession(uid)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
int i = Integer.parseInt(con.get("id"));
Manager.getInstance().getService(ns).getProps().delUin(i);
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin\" />" +
"<H3><FONT>UIN'  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin\"></A><br>");
//srvs_props_uin(con);
}

/**
 *   
 * @param con
 * @throws IOException
 */
public void  srvs_props_uin_delall(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
if(us != null)
if(Manager.getInstance().testServicesUser(us, ns)){
printMsg(con, "main_page_user", "      !");
return;
}
Manager.getInstance().getService(ns).getProps().delAllUin();
Manager.getInstance().getService(ns).getProps().save();
con.print("</FONT></BODY></HTML>");
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin\" />" +
"<H3><FONT>UIN'  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin\"></A><br>");
//srvs_props_uin(con);
}


/**
 *   
 * @param con
 * @throws IOException
 */
public void srvs_props_uin_edit_all(HttpConnection con) throws IOException {
String uid = con.get("uid");
if (!(checkSession(uid))) {
SrvUtil.error(con, " !");
return;
}
String ns = con.get("ns");
if (!(Manager.getInstance().getServiceNames().contains(ns))) {
SrvUtil.error(con, "    !");
return;
}
con.print(HTML_HEAD + "<TITLE>JimBot "+MainProps.VERSION+" </TITLE></HEAD>" + BODY +"<H3>  UIN'</H3>");
String s = "<FORM METHOD=POST ACTION=\"" + con.getURI() + "\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_props_edit_all_in\">"+
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" + ns + "\">"+
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + this.userID + "\">";
for(int id=0;id<Manager.getInstance().getService(ns).getProps().uinCount();id++){
s += prefToHtml(Manager.getInstance().getService(ns).getProps().getUIN(id));
}
s += "<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onclick=location.href=\"" + con.getURI() + "?uid=" + uid +"&ns="+ns+ "&page=srvs_props_uin\"><br>");
con.print("</FONT></BODY></HTML>");
}

/**
*     
* @param con
* @throws IOException
*/
public void srvs_props_edit_all_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
if (!(checkSession(uid))) {
SrvUtil.error(con, " !");
return;
}
String ns = con.get("ns");
if (!(Manager.getInstance().getServiceNames().contains(ns))) {
SrvUtil.error(con, "    !");
return;
}
for(int id=0;id<Manager.getInstance().getService(ns).getProps().uinCount();id++){
UserPreference[] p = Manager.getInstance().getService(ns).getProps().getUIN(id);
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
Manager.getInstance().getService(ns).getProps().setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
Manager.getInstance().getService(ns).getProps().setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
Manager.getInstance().getService(ns).getProps().setStringProperty(p[i].getKey(), s);
}
}
}
}
Manager.getInstance().getService(ns).getProps().save();
//con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin\" />" +
//"<H3><FONT>  !</FONT></H3>");
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin\" />" +
"<H3><FONT>UIN'  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&ns="+ns+"&page=srvs_props_uin\"></A><br>");
}
//*********************************************************************

//<a href="javascript:document.forms(0).submit()")>
//<a href="#" onclick="document.getElementById('myform').submit(); return false;"/>
//<a href="/delete.html" onclick="return confirm(' ?')"></a>





//*********************************************************************


/**
 *   
 * @author Warik777
 * @param con
 * @throws IOException
 */
//public void in1shop(HttpConnection con) throws IOException {
//String uid = con.get("uid");
//String us = con.get("us");
//if(!checkSession(uid))
//if(!checkSession_user(uid, us)) {
//SrvUtil.error(con," !");
//return;
//}
//String ns = con.get("ns"); //  
//if(!Manager.getInstance().getServiceNames().contains(ns)){
//SrvUtil.error(con,"    !");
//return;
//}
//Object url = con.getURI();
//con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY );
//con.print("<H3>   </H3>");
//if(!checkSession(uid)){
//con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_weapon&ns="+ns+"\"> </A>    | "   +
//      " <A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_weapon_plain&ns="+ns+"\"> </A>    |    "+
//"<A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_armour&ns="+ns+"\"></A>    |    ");
//}else {
//con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&page=srvs_weapon&ns="+ns+"\"> </A>    |    "+
//"<A HREF=\"" + url + "?uid=" + uid +"&page=srvs_weapon_plain&ns="+ns+"\"> </A>    |    "+
//"<A HREF=\"" + url + "?uid=" + uid +"&page=srvs_armour&ns="+ns+"\"></A>    |    ");
//
//}
//con.print("<br><H3>  </H3>");
//if(!checkSession(uid)){
//con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_prava&ns="+ns+"\">   </A>    | ");
//}else {
//con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&page=srvs_prava&ns="+ns+"\">   </A>    |    ");
//
//}



//if(!checkSession(uid)){
//con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page_user\"></FORM>");
//}else{
//con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page\"></FORM>");
//}
//con.print("</FONT></BODY></HTML>");
//}



//***************************************************************//
/**
 *  
 * @author 
 * @param con
 * @throws IOException
 */
public void inshop(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
Object url = con.getURI();
con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY);
con.print("<H3> </H3>");
con.print("<H4> </H4>");
con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_weapon&ns="+ns+"\" title=\"  ["+ShootingProp.getInstance(ns).weaponCount()+"]\">"+
" </A>    | "   +
" <A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_weapon_plain&ns="+ns+"\" title=\"  ["+PlainProp.getInstance(ns).weaponCount()+"]\">"+
" </A>    |    "+
"<A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_armour&ns="+ns+"\" title=\"  ["+OtherProp.getInstance(ns).weaponCount()+"]\">"+
"</A>");
con.print("<H4></H4>");
con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_prava&ns="+ns+"\" title=\" / ["+OtherProp.getInstance(ns).pravaCount()+"]\">"+
"   </A>    |    "+
"<A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_bar&ns="+ns+"\" title=\"  ["+BarProps.getInstance(ns).barCount()+"]\">"+
"</A>");
if(!checkSession(uid)){
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page_user\"></FORM>");
}else{
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page\"></FORM>");
}
con.print("</FONT></BODY></HTML>");
}
/**
 *   
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
Object url = con.getURI();
con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY +"<H2>  </H2><H3>  </H3>");
if(!checkSession(uid)){
con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_weapon_add&ns="+ns+"\">  </A>    |    "+
"<A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_weapon_all_edit&ns="+ns+"\">  </A>    |    "+
"<A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_weapon_all_del&ns="+ns+"\" onClick=\"return window.confirm('    ?')\">  </A><br>");
}else {
con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&page=srvs_weapon_add&ns="+ns+"\">  </A>    |    "+
"<A HREF=\"" + url + "?uid=" + uid +"&page=srvs_weapon_all_edit&ns="+ns+"\">  </A>    |    "+
"<A HREF=\"" + url + "?uid=" + uid +"&page=srvs_weapon_all_del&ns="+ns+"\" onClick=\"return window.confirm('    ?')\">  </A><br>");
}
String s = "<FORM METHOD=POST ACTION=\"" + url +"\">"+
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">";
if(!checkSession(uid)){
for(int i=1;i<ShootingProp.getInstance(ns).weaponCount();i++){
s += i+"  "+ShootingProp.getInstance(ns).getName(i)+" [<a title=\" \">"+ShootingProp.getInstance(ns).getPrice(i)+"</a>]"+
" <A HREF=\""+url+"?uid="+uid+"&us=" + us +"&page=srvs_weapon_edit&id="+i+"&ns="+ns+"\"></A>    |    "+
" <A HREF=\""+url+"?uid="+uid+"&us=" + us +"&page=srvs_weapon_del&id="+i+"&ns="+ns+"\" onClick=\"return window.confirm('   ?')\"> </A> <br>";
}
}else {
for(int i=1;i<ShootingProp.getInstance(ns).weaponCount();i++){
s += i+"  "+ShootingProp.getInstance(ns).getName(i)+" [<a title=\" \">"+ShootingProp.getInstance(ns).getPrice(i)+"</a>]"+
"<A HREF=\""+url+"?uid="+uid+"&page=srvs_weapon_edit&id="+i+"&ns="+ns+"\"> </A>    |    "+
"<A HREF=\""+url+"?uid="+uid+"&page=srvs_weapon_del&id="+i+"&ns="+ns+"\" onClick=\"return window.confirm('   ?')\"> </A> <br>";
}
}
con.print(s);
if(!checkSession(uid)){
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page_user\"></FORM>");
}else{
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page\"></FORM>");
}
con.print("</FONT></BODY></HTML>");
}

/**
 *   
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon_edit(HttpConnection con) throws IOException {
String uid = con.get("uid");
String id_ = con.get("id");
int id = Integer.parseInt(id_);
Object url = con.getURI();
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY +
"<H2>  </H2>" +
"<H3> .</H3>");
String s = "<FORM METHOD=POST ACTION=\""+url+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_weapon_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">"+
"<INPUT TYPE=hidden NAME=\"id\" VALUE=\""+id+"\">";
s += prefToHtml(ShootingProp.getInstance(ns).getAmountPreference(id))+
"<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\""+url+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
 *  
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
int id = Integer.parseInt(con.get("id"));
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
UserPreference[] p = ShootingProp.getInstance(ns).getAmountPreference(id);
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
ShootingProp.getInstance(ns).setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
ShootingProp.getInstance(ns).setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
ShootingProp.getInstance(ns).setStringProperty(p[i].getKey(), s);
}
}
}
ShootingProp.getInstance(ns).save();
String page = us.equals("null") ? "main_page" : "main_page_user";
printOkMsg(con,page);
}

/**
 *   
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon_add(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
String name = ShootingProp.getInstance(ns).getRName(0); //0- 
int price = Integer.parseInt(ShootingProp.getInstance(ns).getRPrice(4)); //  9999
int criminality = Integer.parseInt(ShootingProp.getInstance(ns).getRPrice(2)); //  99
int health = Integer.parseInt(ShootingProp.getInstance(ns).getRPrice(2)); //  99
int armour = Integer.parseInt(ShootingProp.getInstance(ns).getRPrice(2)); //  99
int purse = Integer.parseInt(ShootingProp.getInstance(ns).getRPrice(4)); //  99
int reward = Integer.parseInt(ShootingProp.getInstance(ns).getRPrice(3)); //  999
ShootingProp.getInstance(ns).addWeapon(name,price,criminality,health,armour,purse,reward);
ShootingProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY+
"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon\">" + "</A><br>");
}

/**
 *  
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon_del(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
int id = Integer.parseInt(con.get("id"));
ShootingProp.getInstance(ns).delWeapon(id);
ShootingProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon\">" + "</A><br>");
}

/**
 *    
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon_all_edit(HttpConnection con) throws IOException {
String uid = con.get("uid");
Object url = con.getURI();
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY +
"<H2>  </H2>" +
"<H3> .</H3>");
String s = "<FORM METHOD=POST ACTION=\""+url+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_weapon_all_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">";
for(int id=0;id<ShootingProp.getInstance(ns).weaponCount();id++){
s += prefToHtml(ShootingProp.getInstance(ns).getAmountPreference(id));
}
s += "<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\""+url+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
 *  
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon_all_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
for(int id=0;id<ShootingProp.getInstance(ns).weaponCount();id++){
UserPreference[] p = ShootingProp.getInstance(ns).getAmountPreference(id);
for(int i=1;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
ShootingProp.getInstance(ns).setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
ShootingProp.getInstance(ns).setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
ShootingProp.getInstance(ns).setStringProperty(p[i].getKey(), s);
}
}
}
}
ShootingProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon\">" + "</A><br>");
}

/**
 *   
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon_all_del(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
//for(int id=0;id<=ShootingProp.getInstance(ns).weaponCount();id++){
ShootingProp.getInstance(ns).delallWeapon();
//}
ShootingProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon\">" + "</A><br>");
}

/**
 *     
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_defult_setting(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
int count = Manager.getInstance().getService(ns).getProps().uinCount();
Properties uin = new Properties();
uin.put("db.host", Manager.getInstance().getService(ns).getProps().getStringProperty("db.host"));
uin.put("db.user", Manager.getInstance().getService(ns).getProps().getStringProperty("db.user"));
uin.put("db.pass", Manager.getInstance().getService(ns).getProps().getStringProperty("db.pass"));
uin.put("db.dbname", Manager.getInstance().getService(ns).getProps().getStringProperty("db.dbname"));
for(int i=0;i<Manager.getInstance().getService(ns).getProps().uinCount();i++){
uin.put("conn.uin"+i, Manager.getInstance().getService(ns).getProps().getUin(i));
uin.put("conn.pass"+i, Manager.getInstance().getService(ns).getProps().getPass(i));
}
Log.info("  ["+ns+"]");
if(Manager.getInstance().getService(ns).isRun) Manager.getInstance().stop(ns);
Log.info("      ["+ns+"]");
Manager.getInstance().getService(ns).getProps().setDefault();
Manager.getInstance().getService(ns).getProps().save();
Log.info("      ["+ns+"]");
ShootingProp.getInstance(ns).setDefault();
ShootingProp.getInstance(ns).save();
Log.info(" ");
for(int i=0;i<count;i++){
Manager.getInstance().getService(ns).getProps().setIntProperty("conn.uinCount", count);
Manager.getInstance().getService(ns).getProps().setStringProperty("conn.uin"+i, uin.getProperty("conn.uin"+i));
Manager.getInstance().getService(ns).getProps().setStringProperty("conn.pass"+i, uin.getProperty("conn.pass"+i));
}
Log.info("   ");
Manager.getInstance().getService(ns).getProps().setStringProperty("db.host", uin.getProperty("db.host"));
Manager.getInstance().getService(ns).getProps().setStringProperty("db.user", uin.getProperty("db.user"));
Manager.getInstance().getService(ns).getProps().setStringProperty("db.pass", uin.getProperty("db.pass"));
Manager.getInstance().getService(ns).getProps().setStringProperty("db.dbname", uin.getProperty("db.dbname"));
Manager.getInstance().getService(ns).getProps().save();
uin.clear();
Log.info("     !");
if(!checkSession(uid)){
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=main_page_user\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=main_page_user\"></FORM>");
}else{
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=main_page\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + con.getURI() + "?uid=" + uid + "&us=" + us + "&page=main_page\"></FORM>");
}
}

//*********************************************************************

/**
 *   
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon_plain(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
Object url = con.getURI();
con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY +"<H2>  </H2><H3>  </H3>");
if(!checkSession(uid)){
con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_weapon_plain_add&ns="+ns+"\">  </A>    |    "+
"<A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_weapon_plain_all_edit&ns="+ns+"\">  </A>    |    "+
"<A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_weapon_plain_all_del&ns="+ns+"\" onClick=\"return window.confirm('    ?')\">  </A><br>");
}else {
con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&page=srvs_weapon_plain_add&ns="+ns+"\">  </A>    |    "+
"<A HREF=\"" + url + "?uid=" + uid +"&page=srvs_weapon_plain_all_edit&ns="+ns+"\">  </A>    |    "+
"<A HREF=\"" + url + "?uid=" + uid +"&page=srvs_weapon_plain_all_del&ns="+ns+"\" onClick=\"return window.confirm('    ?')\">  </A><br>");
}
String s = "<FORM METHOD=POST ACTION=\"" + url +"\">"+
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">";
if(!checkSession(uid)){
for(int i=1;i<PlainProp.getInstance(ns).weaponCount();i++){
s += i+"  "+PlainProp.getInstance(ns).getName(i)+" [<a title=\" \">"+PlainProp.getInstance(ns).getPrice(i)+"</a>]"+
" <A HREF=\""+url+"?uid="+uid+"&us=" + us +"&page=srvs_weapon_plain_edit&id="+i+"&ns="+ns+"\"></A>    |    "+
" <A HREF=\""+url+"?uid="+uid+"&us=" + us +"&page=srvs_weapon_plain_del&id="+i+"&ns="+ns+"\" onClick=\"return window.confirm('   ?')\"> </A> <br>";
}
}else {
for(int i=1;i<PlainProp.getInstance(ns).weaponCount();i++){
s += i+"  "+PlainProp.getInstance(ns).getName(i)+" [<a title=\" \">"+PlainProp.getInstance(ns).getPrice(i)+"</a>]"+
"<A HREF=\""+url+"?uid="+uid+"&page=srvs_weapon_plain_edit&id="+i+"&ns="+ns+"\"> </A>    |    "+
"<A HREF=\""+url+"?uid="+uid+"&page=srvs_weapon_plain_del&id="+i+"&ns="+ns+"\" onClick=\"return window.confirm('   ?')\"> </A> <br>";
}
}
con.print(s);
if(!checkSession(uid)){
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page_user\"></FORM>");
}else{
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page\"></FORM>");
}
con.print("</FONT></BODY></HTML>");
}

/**
 *   
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon_plain_edit(HttpConnection con) throws IOException {
String uid = con.get("uid");
String id_ = con.get("id");
int id = Integer.parseInt(id_);
Object url = con.getURI();
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY +
"<H2>  </H2>" +
"<H3> .</H3>");
String s = "<FORM METHOD=POST ACTION=\""+url+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_weapon_plain_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">"+
"<INPUT TYPE=hidden NAME=\"id\" VALUE=\""+id+"\">";
s += prefToHtml(PlainProp.getInstance(ns).getPlainPreference(id))+
"<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\""+url+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon_plain\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
 *  
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon_plain_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
int id = Integer.parseInt(con.get("id"));
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
UserPreference[] p = PlainProp.getInstance(ns).getPlainPreference(id);
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
PlainProp.getInstance(ns).setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
PlainProp.getInstance(ns).setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
PlainProp.getInstance(ns).setStringProperty(p[i].getKey(), s);
}
}
}
PlainProp.getInstance(ns).save();
String page = us.equals("null") ? "main_page" : "main_page_user";
printOkMsg(con,page);
}

/**
 *   
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon_plain_add(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
String name = ShootingProp.getInstance(ns).getRName(1); //1- 
int price = Integer.parseInt(ShootingProp.getInstance(ns).getRPrice(2)); //  99
int criminality = Integer.parseInt(ShootingProp.getInstance(ns).getRPrice(1)); //  9
int health = Integer.parseInt(ShootingProp.getInstance(ns).getRPrice(1)); //  9
int purse = Integer.parseInt(ShootingProp.getInstance(ns).getRPrice(1)); //  9
int reward = Integer.parseInt(ShootingProp.getInstance(ns).getRPrice(2)); //  99
PlainProp.getInstance(ns).addWeapon(name,price,criminality,health,purse,reward);
PlainProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY+
"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon_plain\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon_plain\"></A><br>");
}

/**
 *  
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon_plain_del(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
int id = Integer.parseInt(con.get("id"));
PlainProp.getInstance(ns).delWeapon(id);
PlainProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon_plain\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon_plain\"></A><br>");
}

/**
 *    
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon_plain_all_edit(HttpConnection con) throws IOException {
String uid = con.get("uid");
Object url = con.getURI();
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY +
"<H2>  </H2>" +
"<H3> .</H3>");
String s = "<FORM METHOD=POST ACTION=\""+url+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_weapon_plain_all_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">";
for(int id=0;id<PlainProp.getInstance(ns).weaponCount();id++){
s += prefToHtml(PlainProp.getInstance(ns).getPlainPreference(id));
}
s += "<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\""+url+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon_plain\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
 *  
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon_plain_all_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
for(int id=0;id<PlainProp.getInstance(ns).weaponCount();id++){
UserPreference[] p = PlainProp.getInstance(ns).getPlainPreference(id);
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
PlainProp.getInstance(ns).setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
PlainProp.getInstance(ns).setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
PlainProp.getInstance(ns).setStringProperty(p[i].getKey(), s);
}
}
}
}
PlainProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon_plain\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon_plain\"></A><br>");
}

/**
 *   
 * @author Warik777
 * @param con
 * @throws IOException
 */
public void srvs_weapon_plain_all_del(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
//for(int id=-1;id<PlainProp.getInstance(ns).weaponCount();id++){
PlainProp.getInstance(ns).delallWeapon();
//}
PlainProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon_plain\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_weapon_plain\"></A><br>");
}

///////// 





public void srvs_prava(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
Object url = con.getURI();
con.print(SrvUtil.HTML_HEAD + BODY +"<H2>  </H2><H3>  </H3>");
if(!checkSession(uid)){
con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_prava_add&ns="+ns+"\">  </A> | <A HREF=\"" + url + "?uid=" + uid + "&us=" + us + "&page=srvs_prava_all_edit&ns="+ns+"\"> </A> | "
        + "<A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_prava_all_del&ns="+ns+"\" onClick=\"return window.confirm('      ?')\"> </A><br>");
}else {
con.print("<P><A HREF=\"" + url + "?uid=" + uid + "&page=srvs_prava_add&ns="+ns+"\">  </A> | <A HREF=\"" + url + "?uid=" + uid + "&page=srvs_prava_all_edit&ns="+ns+"\"> </A> | "
              + "<A HREF=\"" + url + "?uid=" + uid +"&page=srvs_prava_all_del&ns="+ns+"\" onClick=\"return window.confirm('   ?')\"> </A><br>");
}
String s = "<FORM METHOD=POST ACTION=\"" + url +"\">"+
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">";
if(!checkSession(uid)){
for(int i=1;i<OtherProp.getInstance(ns).pravaCount();i++){
s += i+"  "+OtherProp.getInstance(ns).getPravaName(i)+
" <A HREF=\""+url+"?uid="+uid+"&us=" + us +"&page=srvs_prava_edit&id="+i+"&ns="+ns+"\">  </A> - "+
" <A HREF=\""+url+"?uid="+uid+"&us=" + us +"&page=srvs_prava_del&id="+i+"&ns="+ns+"\" onClick=\"return window.confirm('   ?')\"> </A> <br>";
}
}else {
for(int i=1;i<OtherProp.getInstance(ns).pravaCount();i++){
s += i+"  "+OtherProp.getInstance(ns).getPravaName(i)+
"<A HREF=\""+url+"?uid="+uid+"&page=srvs_prava_edit&id="+i+"&ns="+ns+"\">  </A> - "+
"<A HREF=\""+url+"?uid="+uid+"&page=srvs_prava_del&id="+i+"&ns="+ns+"\" onClick=\"return window.confirm('  ?')\"> </A> <br>";
}
}
con.print(s);
if(!checkSession(uid)){
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page_user\"></FORM>");
}else{
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page\"></FORM>");
}
con.print("</FONT></BODY></HTML>");
}

public void srvs_prava_edit(HttpConnection con) throws IOException {
String uid = con.get("uid");
String id_ = con.get("id");
int id = Integer.parseInt(id_);
Object url = con.getURI();
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(SrvUtil.HTML_HEAD + BODY +
"<H2>  </H2>" +
"<H3>  .</H3>");
String s = "<FORM METHOD=POST ACTION=\""+url+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_prava_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">"+
"<INPUT TYPE=hidden NAME=\"id\" VALUE=\""+id+"\">";
s += prefToHtml(OtherProp.getInstance(ns).getPravaPreference(id))+
"<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\""+url+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_prava\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

public void srvs_prava_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
int id = Integer.parseInt(con.get("id"));
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
UserPreference[] p = OtherProp.getInstance(ns).getPravaPreference(id);
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
OtherProp.getInstance(ns).setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
OtherProp.getInstance(ns).setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
OtherProp.getInstance(ns).setStringProperty(p[i].getKey(), s);
}
}
}
OtherProp.getInstance(ns).save();
String page = us.equals("null") ? "main_page" : "main_page_user";
printOkMsg(con,page);
}

public void srvs_prava_add(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
OtherProp.getInstance(ns).addPravo("",0,"   (admin  ban)");
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_prava\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_prava\">" + "</A><br>");
}

/**
*  
* @param con
* @throws IOException
*/
public void srvs_prava_del(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
int id = Integer.parseInt(con.get("id"));
OtherProp.getInstance(ns).delPrava(id);
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_prava\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_prava\">" + "</A><br>");
}
//********************************************************************************





public void srvs_prava_all_edit(HttpConnection con) throws IOException {
String uid = con.get("uid");
Object url = con.getURI();
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY +
"<H2>  </H2>" +
"<H3>  .</H3>");
String s = "<FORM METHOD=POST ACTION=\""+url+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_prava_all_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">";
for(int i=1;i<OtherProp.getInstance(ns).pravaCount();i++){
s += prefToHtml(OtherProp.getInstance(ns).getPravaPreference(i));
}
s += "<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\""+url+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_prava\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

public void srvs_prava_all_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
for(int id=1;id<OtherProp.getInstance(ns).pravaCount();id++){
UserPreference[] p = OtherProp.getInstance(ns).getPravaPreference(id);
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
OtherProp.getInstance(ns).setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
OtherProp.getInstance(ns).setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
OtherProp.getInstance(ns).setStringProperty(p[i].getKey(), s);
}
}
}
}
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_prava\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_prava\">" + "</A><br>");
}

public void srvs_prava_all_del(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
//for(int j=1;j<OtherProp.getInstance(ns).weaponCount();j++){
OtherProp.getInstance(ns).delallPrava();
//}
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_prava\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_prava\">" + "</A><br>");
}









//********************************* ******************************//
/**
 *  
 * @param con
 * @throws IOException
 */
public void srvs_bar(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
Object url = con.getURI();
con.print(SrvUtil.HTML_HEAD + BODY +"<H2>  </H2><H3> </H3>");
con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_bar_add&ns="+ns+"\">  </A> | <A HREF=\"" + url + "?uid=" + uid + "&us=" + us + "&page=srvs_bar_all_edit&ns="+ns+"\">  </A> | "+
"<A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_bar_all_del&ns="+ns+"\" onClick=\"return window.confirm('    ?')\">  </A><br>");
String s = "<FORM METHOD=POST ACTION=\"" + url +"\">"+
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">";
for(int i=0;i<BarProps.getInstance(ns).barCount();i++){
s += i+"  "+BarProps.getInstance(ns).getName(i)+
" <A HREF=\""+url+"?uid="+uid+"&us=" + us +"&page=srvs_bar_edit&id="+i+"&ns="+ns+"\">  </A> - "+
" <A HREF=\""+url+"?uid="+uid+"&us=" + us +"&page=srvs_bar_del&id="+i+"&ns="+ns+"\" onClick=\"return window.confirm('   ?')\"> </A> <br>";
}
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&ns="+ns+"&page=inshop\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
 *  
 * @param con
 * @throws IOException
 */
public void srvs_bar_edit(HttpConnection con) throws IOException {
String uid = con.get("uid");
String id_ = con.get("id");
int id = Integer.parseInt(id_);
Object url = con.getURI();
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(SrvUtil.HTML_HEAD + BODY +
"<H2>  </H2>" +
"<H3> .</H3>");
String s = "<FORM METHOD=POST ACTION=\""+url+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_bar_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">"+
"<INPUT TYPE=hidden NAME=\"id\" VALUE=\""+id+"\">";
s += prefToHtml(BarProps.getInstance(ns).getBatPreference(id))+
"<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\""+url+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bar\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
 *  
 * @param con
 * @throws IOException
 */
public void srvs_bar_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
int id = Integer.parseInt(con.get("id"));
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
UserPreference[] p = BarProps.getInstance(ns).getBatPreference(id);
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
BarProps.getInstance(ns).setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
BarProps.getInstance(ns).setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
BarProps.getInstance(ns).setStringProperty(p[i].getKey(), s);
}
}
}
BarProps.getInstance(ns).save();
String page = us.equals("null") ? "main_page" : "main_page_user";
printOkMsg(con,page);
}

/**
 *   
 * @param con
 * @throws IOException
 */
public void srvs_bar_add(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
BarProps.getInstance(ns).addBar("",0,0);
BarProps.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bar\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bar\">" + "</A><br>");
}

/**
*  
* @param con
* @throws IOException
*/
public void srvs_bar_del(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
String id_ = con.get("id");
int id = Integer.parseInt(id_);

BarProps.getInstance(ns).delBar(id);
BarProps.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bar\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bar\">" + "</A><br>");
}

/**
 *   
 * @param con
 * @throws IOException
 */
public void srvs_bar_all_edit(HttpConnection con) throws IOException {
String uid = con.get("uid");
Object url = con.getURI();
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY +
"<H2>  </H2>" +
"<H3> .</H3>");
String s = "<FORM METHOD=POST ACTION=\""+url+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_bar_all_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">";
for(int i=0;i<BarProps.getInstance(ns).barCount();i++){
s += prefToHtml(BarProps.getInstance(ns).getBatPreference(i));
}
s += "<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\""+url+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bar\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
 *  
 * @param con
 * @throws IOException
 */
public void srvs_bar_all_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
for(int id=0;id<BarProps.getInstance(ns).barCount();id++){
UserPreference[] p = BarProps.getInstance(ns).getBatPreference(id);
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
BarProps.getInstance(ns).setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
BarProps.getInstance(ns).setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
BarProps.getInstance(ns).setStringProperty(p[i].getKey(), s);
}
}
}
}
BarProps.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bar\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bar\">" + "</A><br>");
}

/**
 *   
 * @param con
 * @throws IOException
 */
public void srvs_bar_all_del(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
BarProps.getInstance(ns).setDefault();
BarProps.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bar\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bar\">" + "</A><br>");
}








public void robbot(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
Object url = con.getURI();
con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY);
con.print("<H4>  </H4>");
if(!checkSession(uid)){
con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_texts&ns="+ns+"\"> ! , ,  ,  </A>");
}else{
//s += "<TD><A HREF=\"" + con.getURI() + "?uid=" + uid + "&us=" + us +"&page=srvs_texts&ns="+sn[i]+"\"><span></span></A></TD>";
con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&page=srvs_texts&ns="+ns+"\"> ! , ,  ,  </A>");
}
//
//<A HREF=\"" + url + "?uid=" + uid +"&page=srvs_adm&ns="+ns+"\">  
//con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_adm&ns="+ns+"\">  </A>");
con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_bot&ns="+ns+"\" title=\"  ["+OtherProp.getInstance(ns).robCount()+"]\">"+
" !</A> ");
if(!checkSession(uid)){
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page_user\"></FORM>");
}else{
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page\"></FORM>");
}
con.print("</FONT></BODY></HTML>");
}


//*********************************bot******************************//
/**
 *  
 * @param con
 * @throws IOException
 */
public void srvs_bot(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
Object url = con.getURI();
con.print(SrvUtil.HTML_HEAD + BODY +"<H2>  </H2><H3>  </H3>");
con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_bot_add&ns="+ns+"\">  </A> | <A HREF=\"" + url + "?uid=" + uid + "&us=" + us + "&page=srvs_bot_all_edit&ns="+ns+"\">  </A> | "+
"<A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_bot_all_del&ns="+ns+"\" onClick=\"return window.confirm('   ?')\">  </A><br>");
String s = "<FORM METHOD=POST ACTION=\"" + url +"\">"+
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">";
for(int i=1;i<OtherProp.getInstance(ns).robCount();i++){
s += i+"  "+OtherProp.getInstance(ns).getRobName(i)+
" <A HREF=\""+url+"?uid="+uid+"&us=" + us +"&page=srvs_bot_edit&id="+i+"&ns="+ns+"\">  </A> - "+
" <A HREF=\""+url+"?uid="+uid+"&us=" + us +"&page=srvs_bot_del&id="+i+"&ns="+ns+"\" onClick=\"return window.confirm('  ?')\"> </A> <br>";
}
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&ns="+ns+"&page=robbot\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
 *  
 * @param con
 * @throws IOException
 */
public void srvs_bot_edit(HttpConnection con) throws IOException {
String uid = con.get("uid");
String id_ = con.get("id");
int id = Integer.parseInt(id_);
Object url = con.getURI();
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(SrvUtil.HTML_HEAD + BODY +
"<H2>  </H2>" +
"<H3> .</H3>");
String s = "<FORM METHOD=POST ACTION=\""+url+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_bot_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">"+
"<INPUT TYPE=hidden NAME=\"id\" VALUE=\""+id+"\">";
s += prefToHtml(OtherProp.getInstance(ns).getRobPreference(id))+
"<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\""+url+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bot\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
 *  
 * @param con
 * @throws IOException
 */
public void srvs_bot_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
int id = Integer.parseInt(con.get("id"));
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
UserPreference[] p = OtherProp.getInstance(ns).getRobPreference(id);
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
OtherProp.getInstance(ns).setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
OtherProp.getInstance(ns).setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
OtherProp.getInstance(ns).setStringProperty(p[i].getKey(), s);
}
}
}
OtherProp.getInstance(ns).save();
String page = us.equals("null") ? "srvs_bot" : "srvs_bot";
printOkMsg(con,page);
}

/**
 *   
 * @param con
 * @throws IOException
 */
public void srvs_bot_add(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
OtherProp.getInstance(ns).addRob("","");
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bot\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bot\">" + "</A><br>");
}

/**
*  
* @param con
* @throws IOException
*/
public void srvs_bot_del(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
String id_ = con.get("id");
int id = Integer.parseInt(id_);
OtherProp.getInstance(ns).delRob(id);
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bot\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bot\">" + "</A><br>");
}

/**
 *   
 * @param con
 * @throws IOException
 */
public void srvs_bot_all_edit(HttpConnection con) throws IOException {
String uid = con.get("uid");
Object url = con.getURI();
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY +
"<H2>  </H2>" +
"<H3> .</H3>");
String s = "<FORM METHOD=POST ACTION=\""+url+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_bot_all_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">";
for(int i=1;i<OtherProp.getInstance(ns).robCount();i++){
s += prefToHtml(OtherProp.getInstance(ns).getRobPreference(i));
}
s += "<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\""+url+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bot\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
 *  
 * @param con
 * @throws IOException
 */
public void srvs_bot_all_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
for(int id=1;id<OtherProp.getInstance(ns).robCount();id++){
UserPreference[] p = OtherProp.getInstance(ns).getRobPreference(id);
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
OtherProp.getInstance(ns).setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
OtherProp.getInstance(ns).setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
OtherProp.getInstance(ns).setStringProperty(p[i].getKey(), s);
}
}
}
}
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bot\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bot\">" + "</A><br>");
}

/**
 *   
 * @param con
 * @throws IOException
 */
public void srvs_bot_all_del(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
OtherProp.getInstance(ns).delallRob();
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bot\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_bot\">" + "</A><br>");
}











//***************************************************************//

/**
 * 
 * @param con
 * @throws IOException
 */
public void srvs_laid(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
Object url = con.getURI();
con.print(SrvUtil.HTML_HEAD + BODY +"<H2>  </H2><H3> </H3>");
con.print("<P><A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_laid_add&ns="+ns+"\">  </A> | <A HREF=\"" + url + "?uid=" + uid + "&us=" + us + "&page=srvs_laid_all_edit&ns="+ns+"\">  </A> | "+
"<A HREF=\"" + url + "?uid=" + uid +"&us=" + us + "&page=srvs_laid_all_del&ns="+ns+"\" onClick=\"return window.confirm('    ?')\">  </A><br>");
String s = "<FORM METHOD=POST ACTION=\"" + url +"\">"+
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\"" + uid + "\">";
for(int i=1;i< OtherProp.getInstance(ns).laidCount();i++){
s += i+"  "+ OtherProp.getInstance(ns).getLaidName(i)+
" <A HREF=\""+url+"?uid="+uid+"&us=" + us +"&page=srvs_laid_edit&id="+i+"&ns="+ns+"\">  </A> - "+
" <A HREF=\""+url+"?uid="+uid+"&us=" + us +"&page=srvs_laid_del&id="+i+"&ns="+ns+"\" onClick=\"return window.confirm('   ?')\"> </A> <br>";
}
con.print(s);


con.print("</br>#NIK# #ID# -    </br>#NIKS# #IDS# -   ");
     
if(!checkSession(uid)){
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page_user\"></FORM>");
}else{
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\"" + url + "?uid=" + uid + "&us=" + us + "&page=main_page\"></FORM>");
}
con.print("</FONT></BODY></HTML>");
}

/**
 *  
 * @param con
 * @throws IOException
 */
public void srvs_laid_edit(HttpConnection con) throws IOException {
String uid = con.get("uid");
String id_ = con.get("id");
int id = Integer.parseInt(id_);
Object url = con.getURI();
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(SrvUtil.HTML_HEAD + BODY +
"<H2>  </H2>" +
"<H3> </H3>");
String s = "<FORM METHOD=POST ACTION=\""+url+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_laid_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">"+
"<INPUT TYPE=hidden NAME=\"id\" VALUE=\""+id+"\">";
s += prefToHtml(OtherProp.getInstance(ns).getLaidUpPreference(id))+
"<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\""+url+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_laid\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
 *  
 * @param con
 * @throws IOException
 */
public void srvs_laid_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
int id = Integer.parseInt(con.get("id"));
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
UserPreference[] p = OtherProp.getInstance(ns).getLaidUpPreference(id);
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
OtherProp.getInstance(ns).setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
OtherProp.getInstance(ns).setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
OtherProp.getInstance(ns).setStringProperty(p[i].getKey(), s);
}
}
}
OtherProp.getInstance(ns).save();
String page = us.equals("null") ? "main_page" : "main_page_user";
printOkMsg(con,page);
}

/**
 *   
 * @param con
 * @throws IOException
 */
public void srvs_laid_add(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
OtherProp.getInstance(ns).addLaid(" ", "#NIK#[#ID#]    #NIKS# [#IDS#]", "#NIK#[#ID#],    #NIKS# [#IDS#]", "#NIKS#[#IDS#],    #NIK# [#ID#]");
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_laid\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_laid\">" + "</A><br>");
}

/**
*  
* @param con
* @throws IOException
*/
public void srvs_laid_del(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
int id = Integer.parseInt(con.get("id"));
OtherProp.getInstance(ns).delLaid(id);
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_laid\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_laid\">" + "</A><br>");
}

/**
 *   
 * @param con
 * @throws IOException
 */
public void srvs_laid_all_edit(HttpConnection con) throws IOException {
String uid = con.get("uid");
Object url = con.getURI();
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns"); //  
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
con.print(SrvUtil.HTML_HEAD+ "<title>  </title>" + BODY +
"<H2>  </H2>" +
"<H3> </H3>");
String s = "<FORM METHOD=POST ACTION=\""+url+"\">"+
"<INPUT TYPE=hidden NAME=\"page\" VALUE=\"srvs_laid_all_in\">" +
"<INPUT TYPE=hidden NAME=\"ns\" VALUE=\"" +ns + "\">" +
"<INPUT TYPE=hidden NAME=\"us\" VALUE=\"" +us + "\">" +
"<INPUT TYPE=hidden NAME=\"uid\" VALUE=\""+uid+"\">";
for(int i=0;i<OtherProp.getInstance(ns).laidCount();i++){
s += prefToHtml(OtherProp.getInstance(ns).getLaidUpPreference(i));
}
s += "<P><INPUT TYPE=submit VALUE=\"\">";
con.print(s);
con.print("<P><INPUT TYPE=button VALUE=\"\" onClick=location.href=\""+url+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_laid\"></FORM>");
con.print("</FONT></BODY></HTML>");
}

/**
 *  
 * @param con
 * @throws IOException
 */
public void srvs_laid_all_in(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
for(int id=0;id<OtherProp.getInstance(ns).laidCount();id++){
UserPreference[] p = OtherProp.getInstance(ns).getLaidUpPreference(id);
for(int i=0;i<p.length;i++){
if(p[i].getType()==UserPreference.BOOLEAN_TYPE){
boolean b = SrvUtil.getBoolVal(con, p[i].getKey());
if(b!=(Boolean)p[i].getValue()){
p[i].setValue(b);
OtherProp.getInstance(ns).setBooleanProperty(p[i].getKey(), b);
}
} else if(p[i].getType()==UserPreference.INTEGER_TYPE){
int c = Integer.parseInt(SrvUtil.getStringVal(con, p[i].getKey()));
if(c!=(Integer)p[i].getValue()){
p[i].setValue(c);
OtherProp.getInstance(ns).setIntProperty(p[i].getKey(), c);
}
} else if(p[i].getType()!=UserPreference.CATEGORY_TYPE){
String s = SrvUtil.getStringVal(con, p[i].getKey());
if(!s.equals((String)p[i].getValue())){
p[i].setValue(s);
OtherProp.getInstance(ns).setStringProperty(p[i].getKey(), s);
}
}
}
}
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_laid\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_laid\">" + "</A><br>");
}

/**
 *   
 * @param con
 * @throws IOException
 */
public void srvs_laid_all_del(HttpConnection con) throws IOException {
String uid = con.get("uid");
String us = con.get("us");
if(!checkSession(uid))
if(!checkSession_user(uid, us)) {
SrvUtil.error(con," !");
return;
}
String ns = con.get("ns");
if(!Manager.getInstance().getServiceNames().contains(ns)){
SrvUtil.error(con,"    !");
return;
}
OtherProp.getInstance(ns).delAllLaid();
OtherProp.getInstance(ns).save();
con.print(SrvUtil.HTML_HEAD + BODY+"<meta http-equiv=\"Refresh\" content=\"1; url=" +con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_laid\" />" +
"<H3><FONT>  !</FONT></H3>");
con.print("<P><A HREF=\""+con.getURI()+"?uid="+uid+"&us="+us+"&ns="+ns+"&page=srvs_laid\">" + "</A><br>");
}




}